/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.51.0-dev-20240817(f6187471cac67802a414c5e0c9f81290b82371f2)
 * Released under the MIT license
 * https://github.com/microsoft/vscode/blob/main/LICENSE.txt
 *-----------------------------------------------------------*/(function(){var Y=["require","exports","vs/editor/common/core/range","vs/editor/common/core/position","vs/base/common/errors","vs/editor/common/core/offsetRange","vs/base/common/strings","vs/base/common/arrays","vs/editor/common/diff/defaultLinesDiffComputer/algorithms/diffAlgorithm","vs/base/common/assert","vs/base/common/platform","vs/base/common/event","vs/base/common/uri","vs/editor/common/core/lineRange","vs/base/common/arraysFind","vs/base/common/lifecycle","vs/base/common/objects","vs/editor/common/diff/defaultLinesDiffComputer/utils","vs/editor/common/diff/rangeMapping","vs/base/common/functional","vs/base/common/iterator","vs/base/common/linkedList","vs/base/common/map","vs/base/common/path","vs/base/common/stopwatch","vs/base/common/diff/diff","vs/base/common/types","vs/base/common/codiconsUtil","vs/base/common/uint","vs/base/common/network","vs/editor/common/core/characterClassifier","vs/editor/common/core/textLength","vs/editor/common/core/wordHelper","vs/editor/common/diff/defaultLinesDiffComputer/algorithms/myersDiffAlgorithm","vs/editor/common/diff/defaultLinesDiffComputer/linesSliceCharSequence","vs/editor/common/diff/linesDiffComputer","vs/base/common/cache","vs/base/common/color","vs/base/common/diff/diffChange","vs/base/common/keyCodes","vs/base/common/lazy","vs/base/common/process","vs/base/common/cancellation","vs/base/common/hash","vs/base/common/codiconsLibrary","vs/base/common/codicons","vs/editor/common/core/selection","vs/editor/common/core/positionToOffset","vs/editor/common/core/textEdit","vs/editor/common/core/wordCharacterClassifier","vs/editor/common/diff/defaultLinesDiffComputer/heuristicSequenceOptimizations","vs/editor/common/diff/defaultLinesDiffComputer/lineSequence","vs/editor/common/diff/defaultLinesDiffComputer/algorithms/dynamicProgrammingDiffing","vs/editor/common/diff/defaultLinesDiffComputer/computeMovedLines","vs/editor/common/diff/defaultLinesDiffComputer/defaultLinesDiffComputer","vs/editor/common/diff/legacyLinesDiffComputer","vs/editor/common/diff/linesDiffComputers","vs/editor/common/languages/defaultDocumentColorsComputer","vs/editor/common/languages/linkComputer","vs/editor/common/languages/supports/inplaceReplaceSupport","vs/editor/common/model","vs/editor/common/model/prefixSumComputer","vs/editor/common/model/mirrorTextModel","vs/editor/common/model/textModelSearch","vs/editor/common/services/findSectionHeaders","vs/editor/common/services/unicodeTextModelHighlighter","vs/editor/common/standalone/standaloneEnums","vs/editor/common/tokenizationRegistry","vs/nls","vs/editor/common/languages","vs/editor/common/services/editorBaseApi","vs/base/common/worker/simpleWorker","vs/editor/common/services/editorSimpleWorker"],J=function(W){for(var r=[],n=0,D=W.length;n<D;n++)r[n]=Y[W[n]];return r};const Re=this,Ae=typeof global=="object"?global:{};var ae;(function(W){W.global=Re;class r{get isWindows(){return this._detect(),this._isWindows}get isNode(){return this._detect(),this._isNode}get isElectronRenderer(){return this._detect(),this._isElectronRenderer}get isWebWorker(){return this._detect(),this._isWebWorker}get isElectronNodeIntegrationWebWorker(){return this._detect(),this._isElectronNodeIntegrationWebWorker}constructor(){this._detected=!1,this._isWindows=!1,this._isNode=!1,this._isElectronRenderer=!1,this._isWebWorker=!1,this._isElectronNodeIntegrationWebWorker=!1}_detect(){this._detected||(this._detected=!0,this._isWindows=r._isWindows(),this._isNode=typeof module<"u"&&!!module.exports,this._isElectronRenderer=typeof process<"u"&&typeof process.versions<"u"&&typeof process.versions.electron<"u"&&process.type==="renderer",this._isWebWorker=typeof W.global.importScripts=="function",this._isElectronNodeIntegrationWebWorker=this._isWebWorker&&typeof process<"u"&&typeof process.versions<"u"&&typeof process.versions.electron<"u"&&process.type==="worker")}static _isWindows(){return typeof navigator<"u"&&navigator.userAgent&&navigator.userAgent.indexOf("Windows")>=0?!0:typeof process<"u"?process.platform==="win32":!1}}W.Environment=r})(ae||(ae={}));var ae;(function(W){class r{constructor(g,c,m){this.type=g,this.detail=c,this.timestamp=m}}W.LoaderEvent=r;class n{constructor(g){this._events=[new r(1,"",g)]}record(g,c){this._events.push(new r(g,c,W.Utilities.getHighPerformanceTimestamp()))}getEvents(){return this._events}}W.LoaderEventRecorder=n;class D{record(g,c){}getEvents(){return[]}}D.INSTANCE=new D,W.NullLoaderEventRecorder=D})(ae||(ae={}));var ae;(function(W){class r{static fileUriToFilePath(D,A){if(A=decodeURI(A).replace(/%23/g,"#"),D){if(/^file:\/\/\//.test(A))return A.substr(8);if(/^file:\/\//.test(A))return A.substr(5)}else if(/^file:\/\//.test(A))return A.substr(7);return A}static startsWith(D,A){return D.length>=A.length&&D.substr(0,A.length)===A}static endsWith(D,A){return D.length>=A.length&&D.substr(D.length-A.length)===A}static containsQueryString(D){return/^[^\#]*\?/gi.test(D)}static isAbsolutePath(D){return/^((http:\/\/)|(https:\/\/)|(file:\/\/)|(\/))/.test(D)}static forEachProperty(D,A){if(D){let g;for(g in D)D.hasOwnProperty(g)&&A(g,D[g])}}static isEmpty(D){let A=!0;return r.forEachProperty(D,()=>{A=!1}),A}static recursiveClone(D){if(!D||typeof D!="object"||D instanceof RegExp||!Array.isArray(D)&&Object.getPrototypeOf(D)!==Object.prototype)return D;let A=Array.isArray(D)?[]:{};return r.forEachProperty(D,(g,c)=>{c&&typeof c=="object"?A[g]=r.recursiveClone(c):A[g]=c}),A}static generateAnonymousModule(){return"===anonymous"+r.NEXT_ANONYMOUS_ID+++"==="}static isAnonymousModule(D){return r.startsWith(D,"===anonymous")}static getHighPerformanceTimestamp(){return this.PERFORMANCE_NOW_PROBED||(this.PERFORMANCE_NOW_PROBED=!0,this.HAS_PERFORMANCE_NOW=W.global.performance&&typeof W.global.performance.now=="function"),this.HAS_PERFORMANCE_NOW?W.global.performance.now():Date.now()}}r.NEXT_ANONYMOUS_ID=1,r.PERFORMANCE_NOW_PROBED=!1,r.HAS_PERFORMANCE_NOW=!1,W.Utilities=r})(ae||(ae={}));var ae;(function(W){function r(A){if(A instanceof Error)return A;const g=new Error(A.message||String(A)||"Unknown Error");return A.stack&&(g.stack=A.stack),g}W.ensureError=r;class n{static validateConfigurationOptions(g){function c(m){if(m.phase==="loading"){console.error('Loading "'+m.moduleId+'" failed'),console.error(m),console.error("Here are the modules that depend on it:"),console.error(m.neededBy);return}if(m.phase==="factory"){console.error('The factory function of "'+m.moduleId+'" has thrown an exception'),console.error(m),console.error("Here are the modules that depend on it:"),console.error(m.neededBy);return}}if(g=g||{},typeof g.baseUrl!="string"&&(g.baseUrl=""),typeof g.isBuild!="boolean"&&(g.isBuild=!1),typeof g.paths!="object"&&(g.paths={}),typeof g.config!="object"&&(g.config={}),typeof g.catchError>"u"&&(g.catchError=!1),typeof g.recordStats>"u"&&(g.recordStats=!1),typeof g.urlArgs!="string"&&(g.urlArgs=""),typeof g.onError!="function"&&(g.onError=c),Array.isArray(g.ignoreDuplicateModules)||(g.ignoreDuplicateModules=[]),g.baseUrl.length>0&&(W.Utilities.endsWith(g.baseUrl,"/")||(g.baseUrl+="/")),typeof g.cspNonce!="string"&&(g.cspNonce=""),typeof g.preferScriptTags>"u"&&(g.preferScriptTags=!1),g.nodeCachedData&&typeof g.nodeCachedData=="object"&&(typeof g.nodeCachedData.seed!="string"&&(g.nodeCachedData.seed="seed"),(typeof g.nodeCachedData.writeDelay!="number"||g.nodeCachedData.writeDelay<0)&&(g.nodeCachedData.writeDelay=1e3*7),!g.nodeCachedData.path||typeof g.nodeCachedData.path!="string")){const m=r(new Error("INVALID cached data configuration, 'path' MUST be set"));m.phase="configuration",g.onError(m),g.nodeCachedData=void 0}return g}static mergeConfigurationOptions(g=null,c=null){let m=W.Utilities.recursiveClone(c||{});return W.Utilities.forEachProperty(g,(o,u)=>{o==="ignoreDuplicateModules"&&typeof m.ignoreDuplicateModules<"u"?m.ignoreDuplicateModules=m.ignoreDuplicateModules.concat(u):o==="paths"&&typeof m.paths<"u"?W.Utilities.forEachProperty(u,(b,e)=>m.paths[b]=e):o==="config"&&typeof m.config<"u"?W.Utilities.forEachProperty(u,(b,e)=>m.config[b]=e):m[o]=W.Utilities.recursiveClone(u)}),n.validateConfigurationOptions(m)}}W.ConfigurationOptionsUtil=n;class D{constructor(g,c){if(this._env=g,this.options=n.mergeConfigurationOptions(c),this._createIgnoreDuplicateModulesMap(),this._createSortedPathsRules(),this.options.baseUrl===""&&this.options.nodeRequire&&this.options.nodeRequire.main&&this.options.nodeRequire.main.filename&&this._env.isNode){let m=this.options.nodeRequire.main.filename,o=Math.max(m.lastIndexOf("/"),m.lastIndexOf("\\"));this.options.baseUrl=m.substring(0,o+1)}}_createIgnoreDuplicateModulesMap(){this.ignoreDuplicateModulesMap={};for(let g=0;g<this.options.ignoreDuplicateModules.length;g++)this.ignoreDuplicateModulesMap[this.options.ignoreDuplicateModules[g]]=!0}_createSortedPathsRules(){this.sortedPathsRules=[],W.Utilities.forEachProperty(this.options.paths,(g,c)=>{Array.isArray(c)?this.sortedPathsRules.push({from:g,to:c}):this.sortedPathsRules.push({from:g,to:[c]})}),this.sortedPathsRules.sort((g,c)=>c.from.length-g.from.length)}cloneAndMerge(g){return new D(this._env,n.mergeConfigurationOptions(g,this.options))}getOptionsLiteral(){return this.options}_applyPaths(g){let c;for(let m=0,o=this.sortedPathsRules.length;m<o;m++)if(c=this.sortedPathsRules[m],W.Utilities.startsWith(g,c.from)){let u=[];for(let b=0,e=c.to.length;b<e;b++)u.push(c.to[b]+g.substr(c.from.length));return u}return[g]}_addUrlArgsToUrl(g){return W.Utilities.containsQueryString(g)?g+"&"+this.options.urlArgs:g+"?"+this.options.urlArgs}_addUrlArgsIfNecessaryToUrl(g){return this.options.urlArgs?this._addUrlArgsToUrl(g):g}_addUrlArgsIfNecessaryToUrls(g){if(this.options.urlArgs)for(let c=0,m=g.length;c<m;c++)g[c]=this._addUrlArgsToUrl(g[c]);return g}moduleIdToPaths(g){if(this._env.isNode&&this.options.amdModulesPattern instanceof RegExp&&!this.options.amdModulesPattern.test(g))return this.isBuild()?["empty:"]:["node|"+g];let c=g,m;if(!W.Utilities.endsWith(c,".js")&&!W.Utilities.isAbsolutePath(c)){m=this._applyPaths(c);for(let o=0,u=m.length;o<u;o++)this.isBuild()&&m[o]==="empty:"||(W.Utilities.isAbsolutePath(m[o])||(m[o]=this.options.baseUrl+m[o]),!W.Utilities.endsWith(m[o],".js")&&!W.Utilities.containsQueryString(m[o])&&(m[o]=m[o]+".js"))}else!W.Utilities.endsWith(c,".js")&&!W.Utilities.containsQueryString(c)&&(c=c+".js"),m=[c];return this._addUrlArgsIfNecessaryToUrls(m)}requireToUrl(g){let c=g;return W.Utilities.isAbsolutePath(c)||(c=this._applyPaths(c)[0],W.Utilities.isAbsolutePath(c)||(c=this.options.baseUrl+c)),this._addUrlArgsIfNecessaryToUrl(c)}isBuild(){return this.options.isBuild}shouldInvokeFactory(g){return!!(!this.options.isBuild||W.Utilities.isAnonymousModule(g)||this.options.buildForceInvokeFactory&&this.options.buildForceInvokeFactory[g])}isDuplicateMessageIgnoredFor(g){return this.ignoreDuplicateModulesMap.hasOwnProperty(g)}getConfigForModule(g){if(this.options.config)return this.options.config[g]}shouldCatchError(){return this.options.catchError}shouldRecordStats(){return this.options.recordStats}onError(g){this.options.onError(g)}}W.Configuration=D})(ae||(ae={}));var ae;(function(W){class r{constructor(u){this._env=u,this._scriptLoader=null,this._callbackMap={}}load(u,b,e,f){if(!this._scriptLoader)if(this._env.isWebWorker)this._scriptLoader=new A;else if(this._env.isElectronRenderer){const{preferScriptTags:a}=u.getConfig().getOptionsLiteral();a?this._scriptLoader=new n:this._scriptLoader=new g(this._env)}else this._env.isNode?this._scriptLoader=new g(this._env):this._scriptLoader=new n;let i={callback:e,errorback:f};if(this._callbackMap.hasOwnProperty(b)){this._callbackMap[b].push(i);return}this._callbackMap[b]=[i],this._scriptLoader.load(u,b,()=>this.triggerCallback(b),a=>this.triggerErrorback(b,a))}triggerCallback(u){let b=this._callbackMap[u];delete this._callbackMap[u];for(let e=0;e<b.length;e++)b[e].callback()}triggerErrorback(u,b){let e=this._callbackMap[u];delete this._callbackMap[u];for(let f=0;f<e.length;f++)e[f].errorback(b)}}class n{attachListeners(u,b,e){let f=()=>{u.removeEventListener("load",i),u.removeEventListener("error",a)},i=h=>{f(),b()},a=h=>{f(),e(h)};u.addEventListener("load",i),u.addEventListener("error",a)}load(u,b,e,f){if(/^node\|/.test(b)){let i=u.getConfig().getOptionsLiteral(),a=c(u.getRecorder(),i.nodeRequire||W.global.nodeRequire),h=b.split("|"),l=null;try{l=a(h[1])}catch(S){f(S);return}u.enqueueDefineAnonymousModule([],()=>l),e()}else{let i=document.createElement("script");i.setAttribute("async","async"),i.setAttribute("type","text/javascript"),this.attachListeners(i,e,f);const{trustedTypesPolicy:a}=u.getConfig().getOptionsLiteral();a&&(b=a.createScriptURL(b)),i.setAttribute("src",b);const{cspNonce:h}=u.getConfig().getOptionsLiteral();h&&i.setAttribute("nonce",h),document.getElementsByTagName("head")[0].appendChild(i)}}}function D(o){const{trustedTypesPolicy:u}=o.getConfig().getOptionsLiteral();try{return(u?self.eval(u.createScript("","true")):new Function("true")).call(self),!0}catch{return!1}}class A{constructor(){this._cachedCanUseEval=null}_canUseEval(u){return this._cachedCanUseEval===null&&(this._cachedCanUseEval=D(u)),this._cachedCanUseEval}load(u,b,e,f){if(/^node\|/.test(b)){const i=u.getConfig().getOptionsLiteral(),a=c(u.getRecorder(),i.nodeRequire||W.global.nodeRequire),h=b.split("|");let l=null;try{l=a(h[1])}catch(S){f(S);return}u.enqueueDefineAnonymousModule([],function(){return l}),e()}else{const{trustedTypesPolicy:i}=u.getConfig().getOptionsLiteral();if(!(/^((http:)|(https:)|(file:))/.test(b)&&b.substring(0,self.origin.length)!==self.origin)&&this._canUseEval(u)){fetch(b).then(h=>{if(h.status!==200)throw new Error(h.statusText);return h.text()}).then(h=>{h=`${h}
//# sourceURL=${b}`,(i?self.eval(i.createScript("",h)):new Function(h)).call(self),e()}).then(void 0,f);return}try{i&&(b=i.createScriptURL(b)),importScripts(b),e()}catch(h){f(h)}}}}class g{constructor(u){this._env=u,this._didInitialize=!1,this._didPatchNodeRequire=!1}_init(u){this._didInitialize||(this._didInitialize=!0,this._fs=u("fs"),this._vm=u("vm"),this._path=u("path"),this._crypto=u("crypto"))}_initNodeRequire(u,b){const{nodeCachedData:e}=b.getConfig().getOptionsLiteral();if(!e||this._didPatchNodeRequire)return;this._didPatchNodeRequire=!0;const f=this,i=u("module");function a(h){const l=h.constructor;let S=function(N){try{return h.require(N)}finally{}};return S.resolve=function(N,M){return l._resolveFilename(N,h,!1,M)},S.resolve.paths=function(N){return l._resolveLookupPaths(N,h)},S.main=process.mainModule,S.extensions=l._extensions,S.cache=l._cache,S}i.prototype._compile=function(h,l){const S=i.wrap(h.replace(/^#!.*/,"")),L=b.getRecorder(),N=f._getCachedDataPath(e,l),M={filename:l};let E;try{const C=f._fs.readFileSync(N);E=C.slice(0,16),M.cachedData=C.slice(16),L.record(60,N)}catch{L.record(61,N)}const w=new f._vm.Script(S,M),s=w.runInThisContext(M),d=f._path.dirname(l),v=a(this),p=[this.exports,v,this,l,d,process,Ae,Buffer],_=s.apply(this.exports,p);return f._handleCachedData(w,S,N,!M.cachedData,b),f._verifyCachedData(w,S,N,E,b),_}}load(u,b,e,f){const i=u.getConfig().getOptionsLiteral(),a=c(u.getRecorder(),i.nodeRequire||W.global.nodeRequire),h=i.nodeInstrumenter||function(S){return S};this._init(a),this._initNodeRequire(a,u);let l=u.getRecorder();if(/^node\|/.test(b)){let S=b.split("|"),L=null;try{L=a(S[1])}catch(N){f(N);return}u.enqueueDefineAnonymousModule([],()=>L),e()}else{b=W.Utilities.fileUriToFilePath(this._env.isWindows,b);const S=this._path.normalize(b),L=this._getElectronRendererScriptPathOrUri(S),N=!!i.nodeCachedData,M=N?this._getCachedDataPath(i.nodeCachedData,b):void 0;this._readSourceAndCachedData(S,M,l,(E,w,s,d)=>{if(E){f(E);return}let v;w.charCodeAt(0)===g._BOM?v=g._PREFIX+w.substring(1)+g._SUFFIX:v=g._PREFIX+w+g._SUFFIX,v=h(v,S);const p={filename:L,cachedData:s},_=this._createAndEvalScript(u,v,p,e,f);this._handleCachedData(_,v,M,N&&!s,u),this._verifyCachedData(_,v,M,d,u)})}}_createAndEvalScript(u,b,e,f,i){const a=u.getRecorder();a.record(31,e.filename);const h=new this._vm.Script(b,e),l=h.runInThisContext(e),S=u.getGlobalAMDDefineFunc();let L=!1;const N=function(){return L=!0,S.apply(null,arguments)};return N.amd=S.amd,l.call(W.global,u.getGlobalAMDRequireFunc(),N,e.filename,this._path.dirname(e.filename)),a.record(32,e.filename),L?f():i(new Error(`Didn't receive define call in ${e.filename}!`)),h}_getElectronRendererScriptPathOrUri(u){if(!this._env.isElectronRenderer)return u;let b=u.match(/^([a-z])\:(.*)/i);return b?`file:///${(b[1].toUpperCase()+":"+b[2]).replace(/\\/g,"/")}`:`file://${u}`}_getCachedDataPath(u,b){const e=this._crypto.createHash("md5").update(b,"utf8").update(u.seed,"utf8").update(process.arch,"").digest("hex"),f=this._path.basename(b).replace(/\.js$/,"");return this._path.join(u.path,`${f}-${e}.code`)}_handleCachedData(u,b,e,f,i){u.cachedDataRejected?this._fs.unlink(e,a=>{i.getRecorder().record(62,e),this._createAndWriteCachedData(u,b,e,i),a&&i.getConfig().onError(a)}):f&&this._createAndWriteCachedData(u,b,e,i)}_createAndWriteCachedData(u,b,e,f){let i=Math.ceil(f.getConfig().getOptionsLiteral().nodeCachedData.writeDelay*(1+Math.random())),a=-1,h=0,l;const S=()=>{setTimeout(()=>{l||(l=this._crypto.createHash("md5").update(b,"utf8").digest());const L=u.createCachedData();if(!(L.length===0||L.length===a||h>=5)){if(L.length<a){S();return}a=L.length,this._fs.writeFile(e,Buffer.concat([l,L]),N=>{N&&f.getConfig().onError(N),f.getRecorder().record(63,e),S()})}},i*Math.pow(4,h++))};S()}_readSourceAndCachedData(u,b,e,f){if(!b)this._fs.readFile(u,{encoding:"utf8"},f);else{let i,a,h,l=2;const S=L=>{L?f(L):--l===0&&f(void 0,i,a,h)};this._fs.readFile(u,{encoding:"utf8"},(L,N)=>{i=N,S(L)}),this._fs.readFile(b,(L,N)=>{!L&&N&&N.length>0?(h=N.slice(0,16),a=N.slice(16),e.record(60,b)):e.record(61,b),S()})}}_verifyCachedData(u,b,e,f,i){f&&(u.cachedDataRejected||setTimeout(()=>{const a=this._crypto.createHash("md5").update(b,"utf8").digest();f.equals(a)||(i.getConfig().onError(new Error(`FAILED TO VERIFY CACHED DATA, deleting stale '${e}' now, but a RESTART IS REQUIRED`)),this._fs.unlink(e,h=>{h&&i.getConfig().onError(h)}))},Math.ceil(5e3*(1+Math.random()))))}}g._BOM=65279,g._PREFIX="(function (require, define, __filename, __dirname) { ",g._SUFFIX=`
});`;function c(o,u){if(u.__$__isRecorded)return u;const b=function(f){o.record(33,f);try{return u(f)}finally{o.record(34,f)}};return b.__$__isRecorded=!0,b}W.ensureRecordedNodeRequire=c;function m(o){return new r(o)}W.createScriptLoader=m})(ae||(ae={}));var ae;(function(W){class r{constructor(o){let u=o.lastIndexOf("/");u!==-1?this.fromModulePath=o.substr(0,u+1):this.fromModulePath=""}static _normalizeModuleId(o){let u=o,b;for(b=/\/\.\//;b.test(u);)u=u.replace(b,"/");for(u=u.replace(/^\.\//g,""),b=/\/(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//;b.test(u);)u=u.replace(b,"/");return u=u.replace(/^(([^\/])|([^\/][^\/\.])|([^\/\.][^\/])|([^\/][^\/][^\/]+))\/\.\.\//,""),u}resolveModule(o){let u=o;return W.Utilities.isAbsolutePath(u)||(W.Utilities.startsWith(u,"./")||W.Utilities.startsWith(u,"../"))&&(u=r._normalizeModuleId(this.fromModulePath+u)),u}}r.ROOT=new r(""),W.ModuleIdResolver=r;class n{constructor(o,u,b,e,f,i){this.id=o,this.strId=u,this.dependencies=b,this._callback=e,this._errorback=f,this.moduleIdResolver=i,this.exports={},this.error=null,this.exportsPassedIn=!1,this.unresolvedDependenciesCount=this.dependencies.length,this._isComplete=!1}static _safeInvokeFunction(o,u){try{return{returnedValue:o.apply(W.global,u),producedError:null}}catch(b){return{returnedValue:null,producedError:b}}}static _invokeFactory(o,u,b,e){return o.shouldInvokeFactory(u)?o.shouldCatchError()?this._safeInvokeFunction(b,e):{returnedValue:b.apply(W.global,e),producedError:null}:{returnedValue:null,producedError:null}}complete(o,u,b,e){this._isComplete=!0;let f=null;if(this._callback)if(typeof this._callback=="function"){o.record(21,this.strId);let i=n._invokeFactory(u,this.strId,this._callback,b);f=i.producedError,o.record(22,this.strId),!f&&typeof i.returnedValue<"u"&&(!this.exportsPassedIn||W.Utilities.isEmpty(this.exports))&&(this.exports=i.returnedValue)}else this.exports=this._callback;if(f){let i=W.ensureError(f);i.phase="factory",i.moduleId=this.strId,i.neededBy=e(this.id),this.error=i,u.onError(i)}this.dependencies=null,this._callback=null,this._errorback=null,this.moduleIdResolver=null}onDependencyError(o){return this._isComplete=!0,this.error=o,this._errorback?(this._errorback(o),!0):!1}isComplete(){return this._isComplete}}W.Module=n;class D{constructor(){this._nextId=0,this._strModuleIdToIntModuleId=new Map,this._intModuleIdToStrModuleId=[],this.getModuleId("exports"),this.getModuleId("module"),this.getModuleId("require")}getMaxModuleId(){return this._nextId}getModuleId(o){let u=this._strModuleIdToIntModuleId.get(o);return typeof u>"u"&&(u=this._nextId++,this._strModuleIdToIntModuleId.set(o,u),this._intModuleIdToStrModuleId[u]=o),u}getStrModuleId(o){return this._intModuleIdToStrModuleId[o]}}class A{constructor(o){this.id=o}}A.EXPORTS=new A(0),A.MODULE=new A(1),A.REQUIRE=new A(2),W.RegularDependency=A;class g{constructor(o,u,b){this.id=o,this.pluginId=u,this.pluginParam=b}}W.PluginDependency=g;class c{constructor(o,u,b,e,f=0){this._env=o,this._scriptLoader=u,this._loaderAvailableTimestamp=f,this._defineFunc=b,this._requireFunc=e,this._moduleIdProvider=new D,this._config=new W.Configuration(this._env),this._hasDependencyCycle=!1,this._modules2=[],this._knownModules2=[],this._inverseDependencies2=[],this._inversePluginDependencies2=new Map,this._currentAnonymousDefineCall=null,this._recorder=null,this._buildInfoPath=[],this._buildInfoDefineStack=[],this._buildInfoDependencies=[],this._requireFunc.moduleManager=this}reset(){return new c(this._env,this._scriptLoader,this._defineFunc,this._requireFunc,this._loaderAvailableTimestamp)}getGlobalAMDDefineFunc(){return this._defineFunc}getGlobalAMDRequireFunc(){return this._requireFunc}static _findRelevantLocationInStack(o,u){let b=i=>i.replace(/\\/g,"/"),e=b(o),f=u.split(/\n/);for(let i=0;i<f.length;i++){let a=f[i].match(/(.*):(\d+):(\d+)\)?$/);if(a){let h=a[1],l=a[2],S=a[3],L=Math.max(h.lastIndexOf(" ")+1,h.lastIndexOf("(")+1);if(h=h.substr(L),h=b(h),h===e){let N={line:parseInt(l,10),col:parseInt(S,10)};return N.line===1&&(N.col-=53),N}}}throw new Error("Could not correlate define call site for needle "+o)}getBuildInfo(){if(!this._config.isBuild())return null;let o=[],u=0;for(let b=0,e=this._modules2.length;b<e;b++){let f=this._modules2[b];if(!f)continue;let i=this._buildInfoPath[f.id]||null,a=this._buildInfoDefineStack[f.id]||null,h=this._buildInfoDependencies[f.id];o[u++]={id:f.strId,path:i,defineLocation:i&&a?c._findRelevantLocationInStack(i,a):null,dependencies:h,shim:null,exports:f.exports}}return o}getRecorder(){return this._recorder||(this._config.shouldRecordStats()?this._recorder=new W.LoaderEventRecorder(this._loaderAvailableTimestamp):this._recorder=W.NullLoaderEventRecorder.INSTANCE),this._recorder}getLoaderEvents(){return this.getRecorder().getEvents()}enqueueDefineAnonymousModule(o,u){if(this._currentAnonymousDefineCall!==null)throw new Error("Can only have one anonymous define call per script file");let b=null;this._config.isBuild()&&(b=new Error("StackLocation").stack||null),this._currentAnonymousDefineCall={stack:b,dependencies:o,callback:u}}defineModule(o,u,b,e,f,i=new r(o)){let a=this._moduleIdProvider.getModuleId(o);if(this._modules2[a]){this._config.isDuplicateMessageIgnoredFor(o)||console.warn("Duplicate definition of module '"+o+"'");return}let h=new n(a,o,this._normalizeDependencies(u,i),b,e,i);this._modules2[a]=h,this._config.isBuild()&&(this._buildInfoDefineStack[a]=f,this._buildInfoDependencies[a]=(h.dependencies||[]).map(l=>this._moduleIdProvider.getStrModuleId(l.id))),this._resolve(h)}_normalizeDependency(o,u){if(o==="exports")return A.EXPORTS;if(o==="module")return A.MODULE;if(o==="require")return A.REQUIRE;let b=o.indexOf("!");if(b>=0){let e=u.resolveModule(o.substr(0,b)),f=u.resolveModule(o.substr(b+1)),i=this._moduleIdProvider.getModuleId(e+"!"+f),a=this._moduleIdProvider.getModuleId(e);return new g(i,a,f)}return new A(this._moduleIdProvider.getModuleId(u.resolveModule(o)))}_normalizeDependencies(o,u){let b=[],e=0;for(let f=0,i=o.length;f<i;f++)b[e++]=this._normalizeDependency(o[f],u);return b}_relativeRequire(o,u,b,e){if(typeof u=="string")return this.synchronousRequire(u,o);this.defineModule(W.Utilities.generateAnonymousModule(),u,b,e,null,o)}synchronousRequire(o,u=new r(o)){let b=this._normalizeDependency(o,u),e=this._modules2[b.id];if(!e)throw new Error("Check dependency list! Synchronous require cannot resolve module '"+o+"'. This is the first mention of this module!");if(!e.isComplete())throw new Error("Check dependency list! Synchronous require cannot resolve module '"+o+"'. This module has not been resolved completely yet.");if(e.error)throw e.error;return e.exports}configure(o,u){let b=this._config.shouldRecordStats();u?this._config=new W.Configuration(this._env,o):this._config=this._config.cloneAndMerge(o),this._config.shouldRecordStats()&&!b&&(this._recorder=null)}getConfig(){return this._config}_onLoad(o){if(this._currentAnonymousDefineCall!==null){let u=this._currentAnonymousDefineCall;this._currentAnonymousDefineCall=null,this.defineModule(this._moduleIdProvider.getStrModuleId(o),u.dependencies,u.callback,null,u.stack)}}_createLoadError(o,u){let b=this._moduleIdProvider.getStrModuleId(o),e=(this._inverseDependencies2[o]||[]).map(i=>this._moduleIdProvider.getStrModuleId(i));const f=W.ensureError(u);return f.phase="loading",f.moduleId=b,f.neededBy=e,f}_onLoadError(o,u){const b=this._createLoadError(o,u);this._modules2[o]||(this._modules2[o]=new n(o,this._moduleIdProvider.getStrModuleId(o),[],()=>{},null,null));let e=[];for(let a=0,h=this._moduleIdProvider.getMaxModuleId();a<h;a++)e[a]=!1;let f=!1,i=[];for(i.push(o),e[o]=!0;i.length>0;){let a=i.shift(),h=this._modules2[a];h&&(f=h.onDependencyError(b)||f);let l=this._inverseDependencies2[a];if(l)for(let S=0,L=l.length;S<L;S++){let N=l[S];e[N]||(i.push(N),e[N]=!0)}}f||this._config.onError(b)}_hasDependencyPath(o,u){let b=this._modules2[o];if(!b)return!1;let e=[];for(let i=0,a=this._moduleIdProvider.getMaxModuleId();i<a;i++)e[i]=!1;let f=[];for(f.push(b),e[o]=!0;f.length>0;){let a=f.shift().dependencies;if(a)for(let h=0,l=a.length;h<l;h++){let S=a[h];if(S.id===u)return!0;let L=this._modules2[S.id];L&&!e[S.id]&&(e[S.id]=!0,f.push(L))}}return!1}_findCyclePath(o,u,b){if(o===u||b===50)return[o];let e=this._modules2[o];if(!e)return null;let f=e.dependencies;if(f)for(let i=0,a=f.length;i<a;i++){let h=this._findCyclePath(f[i].id,u,b+1);if(h!==null)return h.push(o),h}return null}_createRequire(o){let u=(b,e,f)=>this._relativeRequire(o,b,e,f);return u.toUrl=b=>this._config.requireToUrl(o.resolveModule(b)),u.getStats=()=>this.getLoaderEvents(),u.hasDependencyCycle=()=>this._hasDependencyCycle,u.config=(b,e=!1)=>{this.configure(b,e)},u.__$__nodeRequire=W.global.nodeRequire,u}_loadModule(o){if(this._modules2[o]||this._knownModules2[o])return;this._knownModules2[o]=!0;let u=this._moduleIdProvider.getStrModuleId(o),b=this._config.moduleIdToPaths(u),e=/^@[^\/]+\/[^\/]+$/;this._env.isNode&&(u.indexOf("/")===-1||e.test(u))&&b.push("node|"+u);let f=-1,i=a=>{if(f++,f>=b.length)this._onLoadError(o,a);else{let h=b[f],l=this.getRecorder();if(this._config.isBuild()&&h==="empty:"){this._buildInfoPath[o]=h,this.defineModule(this._moduleIdProvider.getStrModuleId(o),[],null,null,null),this._onLoad(o);return}l.record(10,h),this._scriptLoader.load(this,h,()=>{this._config.isBuild()&&(this._buildInfoPath[o]=h),l.record(11,h),this._onLoad(o)},S=>{l.record(12,h),i(S)})}};i(null)}_loadPluginDependency(o,u){if(this._modules2[u.id]||this._knownModules2[u.id])return;this._knownModules2[u.id]=!0;let b=e=>{this.defineModule(this._moduleIdProvider.getStrModuleId(u.id),[],e,null,null)};b.error=e=>{this._config.onError(this._createLoadError(u.id,e))},o.load(u.pluginParam,this._createRequire(r.ROOT),b,this._config.getOptionsLiteral())}_resolve(o){let u=o.dependencies;if(u)for(let b=0,e=u.length;b<e;b++){let f=u[b];if(f===A.EXPORTS){o.exportsPassedIn=!0,o.unresolvedDependenciesCount--;continue}if(f===A.MODULE){o.unresolvedDependenciesCount--;continue}if(f===A.REQUIRE){o.unresolvedDependenciesCount--;continue}let i=this._modules2[f.id];if(i&&i.isComplete()){if(i.error){o.onDependencyError(i.error);return}o.unresolvedDependenciesCount--;continue}if(this._hasDependencyPath(f.id,o.id)){this._hasDependencyCycle=!0,console.warn("There is a dependency cycle between '"+this._moduleIdProvider.getStrModuleId(f.id)+"' and '"+this._moduleIdProvider.getStrModuleId(o.id)+"'. The cyclic path follows:");let a=this._findCyclePath(f.id,o.id,0)||[];a.reverse(),a.push(f.id),console.warn(a.map(h=>this._moduleIdProvider.getStrModuleId(h)).join(` => 
`)),o.unresolvedDependenciesCount--;continue}if(this._inverseDependencies2[f.id]=this._inverseDependencies2[f.id]||[],this._inverseDependencies2[f.id].push(o.id),f instanceof g){let a=this._modules2[f.pluginId];if(a&&a.isComplete()){this._loadPluginDependency(a.exports,f);continue}let h=this._inversePluginDependencies2.get(f.pluginId);h||(h=[],this._inversePluginDependencies2.set(f.pluginId,h)),h.push(f),this._loadModule(f.pluginId);continue}this._loadModule(f.id)}o.unresolvedDependenciesCount===0&&this._onModuleComplete(o)}_onModuleComplete(o){let u=this.getRecorder();if(o.isComplete())return;let b=o.dependencies,e=[];if(b)for(let h=0,l=b.length;h<l;h++){let S=b[h];if(S===A.EXPORTS){e[h]=o.exports;continue}if(S===A.MODULE){e[h]={id:o.strId,config:()=>this._config.getConfigForModule(o.strId)};continue}if(S===A.REQUIRE){e[h]=this._createRequire(o.moduleIdResolver);continue}let L=this._modules2[S.id];if(L){e[h]=L.exports;continue}e[h]=null}const f=h=>(this._inverseDependencies2[h]||[]).map(l=>this._moduleIdProvider.getStrModuleId(l));o.complete(u,this._config,e,f);let i=this._inverseDependencies2[o.id];if(this._inverseDependencies2[o.id]=null,i)for(let h=0,l=i.length;h<l;h++){let S=i[h],L=this._modules2[S];L.unresolvedDependenciesCount--,L.unresolvedDependenciesCount===0&&this._onModuleComplete(L)}let a=this._inversePluginDependencies2.get(o.id);if(a){this._inversePluginDependencies2.delete(o.id);for(let h=0,l=a.length;h<l;h++)this._loadPluginDependency(o.exports,a[h])}}}W.ModuleManager=c})(ae||(ae={}));var X,ae;(function(W){const r=new W.Environment;let n=null;const D=function(m,o,u){typeof m!="string"&&(u=o,o=m,m=null),(typeof o!="object"||!Array.isArray(o))&&(u=o,o=null),o||(o=["require","exports","module"]),m?n.defineModule(m,o,u,null,null):n.enqueueDefineAnonymousModule(o,u)};D.amd={jQuery:!0};const A=function(m,o=!1){n.configure(m,o)},g=function(){if(arguments.length===1){if(arguments[0]instanceof Object&&!Array.isArray(arguments[0])){A(arguments[0]);return}if(typeof arguments[0]=="string")return n.synchronousRequire(arguments[0])}if((arguments.length===2||arguments.length===3)&&Array.isArray(arguments[0])){n.defineModule(W.Utilities.generateAnonymousModule(),arguments[0],arguments[1],arguments[2],null);return}throw new Error("Unrecognized require call")};g.config=A,g.getConfig=function(){return n.getConfig().getOptionsLiteral()},g.reset=function(){n=n.reset()},g.getBuildInfo=function(){return n.getBuildInfo()},g.getStats=function(){return n.getLoaderEvents()},g.define=D;function c(){if(typeof W.global.require<"u"||typeof require<"u"){const m=W.global.require||require;if(typeof m=="function"&&typeof m.resolve=="function"){const o=W.ensureRecordedNodeRequire(n.getRecorder(),m);W.global.nodeRequire=o,g.nodeRequire=o,g.__$__nodeRequire=o}}r.isNode&&!r.isElectronRenderer&&!r.isElectronNodeIntegrationWebWorker?module.exports=g:(r.isElectronRenderer||(W.global.define=D),W.global.require=g)}W.init=c,(typeof W.global.define!="function"||!W.global.define.amd)&&(n=new W.ModuleManager(r,W.createScriptLoader(r),D,g,W.Utilities.getHighPerformanceTimestamp()),typeof W.global.require<"u"&&typeof W.global.require!="function"&&g.config(W.global.require),X=function(){return D.apply(null,arguments)},X.amd=D.amd,typeof doNotInitLoader>"u"&&c())})(ae||(ae={})),function(){const W=globalThis.MonacoEnvironment,r=W&&W.baseUrl?W.baseUrl:"../../../";function n(e,f){if(W?.createTrustedTypesPolicy)try{return W.createTrustedTypesPolicy(e,f)}catch(i){console.warn(i);return}try{return self.trustedTypes?.createPolicy(e,f)}catch(i){console.warn(i);return}}const D=n("amdLoader",{createScriptURL:e=>e,createScript:(e,...f)=>{const i=f.slice(0,-1).join(","),a=f.pop().toString();return`(function anonymous(${i}) { ${a}
})`}});function A(){try{return(D?globalThis.eval(D.createScript("","true")):new Function("true")).call(globalThis),!0}catch{return!1}}function g(){return new Promise((e,f)=>{if(typeof globalThis.define=="function"&&globalThis.define.amd)return e();const i=r+"vs/loader.js";if(!(/^((http:)|(https:)|(file:))/.test(i)&&i.substring(0,globalThis.origin.length)!==globalThis.origin)&&A()){fetch(i).then(h=>{if(h.status!==200)throw new Error(h.statusText);return h.text()}).then(h=>{h=`${h}
//# sourceURL=${i}`,(D?globalThis.eval(D.createScript("",h)):new Function(h)).call(globalThis),e()}).then(void 0,f);return}D?importScripts(D.createScriptURL(i)):importScripts(i),e()})}function c(){require.config({baseUrl:r,catchError:!0,trustedTypesPolicy:D,amdModulesPattern:/^vs\//})}function m(e){return g().then(()=>(c(),new Promise((f,i)=>{require([e],f,i)})))}function o(e){setTimeout(function(){const f=e.create((i,a)=>{globalThis.postMessage(i,a)});for(self.onmessage=i=>f.onmessage(i.data,i.ports);b.length>0;)self.onmessage(b.shift())},0)}typeof globalThis.define=="function"&&globalThis.define.amd&&c();let u=!0;const b=[];globalThis.onmessage=e=>{if(!u){b.push(e);return}u=!1,m(e.data).then(f=>{o(f)},f=>{console.error(f)})}}(),X(Y[7],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Permutation=r.CallbackIterable=r.ArrayQueue=r.booleanComparator=r.numberComparator=r.CompareResult=void 0,r.tail=n,r.tail2=D,r.equals=A,r.removeFastWithoutKeepingOrder=g,r.binarySearch=c,r.binarySearch2=m,r.quickSelect=o,r.groupBy=u,r.groupAdjacentBy=b,r.forEachAdjacent=e,r.forEachWithNeighbors=f,r.coalesce=i,r.coalesceInPlace=a,r.isFalsyOrEmpty=h,r.isNonEmptyArray=l,r.distinct=S,r.firstOrDefault=L,r.range=N,r.arrayInsert=M,r.pushToStart=E,r.pushToEnd=w,r.pushMany=s,r.asArray=d,r.insertInto=v,r.splice=p,r.compareBy=y,r.tieBreakComparators=R,r.reverseOrder=O;function n(I,F=0){return I[I.length-(1+F)]}function D(I){if(I.length===0)throw new Error("Invalid tail call");return[I.slice(0,I.length-1),I[I.length-1]]}function A(I,F,B=(G,j)=>G===j){if(I===F)return!0;if(!I||!F||I.length!==F.length)return!1;for(let G=0,j=I.length;G<j;G++)if(!B(I[G],F[G]))return!1;return!0}function g(I,F){const B=I.length-1;F<B&&(I[F]=I[B]),I.pop()}function c(I,F,B){return m(I.length,G=>B(I[G],F))}function m(I,F){let B=0,G=I-1;for(;B<=G;){const j=(B+G)/2|0,ee=F(j);if(ee<0)B=j+1;else if(ee>0)G=j-1;else return j}return-(B+1)}function o(I,F,B){if(I=I|0,I>=F.length)throw new TypeError("invalid index");const G=F[Math.floor(F.length*Math.random())],j=[],ee=[],te=[];for(const re of F){const oe=B(re,G);oe<0?j.push(re):oe>0?ee.push(re):te.push(re)}return I<j.length?o(I,j,B):I<j.length+te.length?te[0]:o(I-(j.length+te.length),ee,B)}function u(I,F){const B=[];let G;for(const j of I.slice(0).sort(F))!G||F(G[0],j)!==0?(G=[j],B.push(G)):G.push(j);return B}function*b(I,F){let B,G;for(const j of I)G!==void 0&&F(G,j)?B.push(j):(B&&(yield B),B=[j]),G=j;B&&(yield B)}function e(I,F){for(let B=0;B<=I.length;B++)F(B===0?void 0:I[B-1],B===I.length?void 0:I[B])}function f(I,F){for(let B=0;B<I.length;B++)F(B===0?void 0:I[B-1],I[B],B+1===I.length?void 0:I[B+1])}function i(I){return I.filter(F=>!!F)}function a(I){let F=0;for(let B=0;B<I.length;B++)I[B]&&(I[F]=I[B],F+=1);I.length=F}function h(I){return!Array.isArray(I)||I.length===0}function l(I){return Array.isArray(I)&&I.length>0}function S(I,F=B=>B){const B=new Set;return I.filter(G=>{const j=F(G);return B.has(j)?!1:(B.add(j),!0)})}function L(I,F){return I.length>0?I[0]:F}function N(I,F){let B=typeof F=="number"?I:0;typeof F=="number"?B=I:(B=0,F=I);const G=[];if(B<=F)for(let j=B;j<F;j++)G.push(j);else for(let j=B;j>F;j--)G.push(j);return G}function M(I,F,B){const G=I.slice(0,F),j=I.slice(F);return G.concat(B,j)}function E(I,F){const B=I.indexOf(F);B>-1&&(I.splice(B,1),I.unshift(F))}function w(I,F){const B=I.indexOf(F);B>-1&&(I.splice(B,1),I.push(F))}function s(I,F){for(const B of F)I.push(B)}function d(I){return Array.isArray(I)?I:[I]}function v(I,F,B){const G=_(I,F),j=I.length,ee=B.length;I.length=j+ee;for(let te=j-1;te>=G;te--)I[te+ee]=I[te];for(let te=0;te<ee;te++)I[te+G]=B[te]}function p(I,F,B,G){const j=_(I,F);let ee=I.splice(j,B);return ee===void 0&&(ee=[]),v(I,j,G),ee}function _(I,F){return F<0?Math.max(F+I.length,0):Math.min(F,I.length)}var C;(function(I){function F(ee){return ee<0}I.isLessThan=F;function B(ee){return ee<=0}I.isLessThanOrEqual=B;function G(ee){return ee>0}I.isGreaterThan=G;function j(ee){return ee===0}I.isNeitherLessOrGreaterThan=j,I.greaterThan=1,I.lessThan=-1,I.neitherLessOrGreaterThan=0})(C||(r.CompareResult=C={}));function y(I,F){return(B,G)=>F(I(B),I(G))}function R(...I){return(F,B)=>{for(const G of I){const j=G(F,B);if(!C.isNeitherLessOrGreaterThan(j))return j}return C.neitherLessOrGreaterThan}}const x=(I,F)=>I-F;r.numberComparator=x;const P=(I,F)=>(0,r.numberComparator)(I?1:0,F?1:0);r.booleanComparator=P;function O(I){return(F,B)=>-I(F,B)}class q{constructor(F){this.items=F,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(F){let B=this.firstIdx;for(;B<this.items.length&&F(this.items[B]);)B++;const G=B===this.firstIdx?null:this.items.slice(this.firstIdx,B);return this.firstIdx=B,G}takeFromEndWhile(F){let B=this.lastIdx;for(;B>=0&&F(this.items[B]);)B--;const G=B===this.lastIdx?null:this.items.slice(B+1,this.lastIdx+1);return this.lastIdx=B,G}peek(){if(this.length!==0)return this.items[this.firstIdx]}dequeue(){const F=this.items[this.firstIdx];return this.firstIdx++,F}takeCount(F){const B=this.items.slice(this.firstIdx,this.firstIdx+F);return this.firstIdx+=F,B}}r.ArrayQueue=q;class V{static{this.empty=new V(F=>{})}constructor(F){this.iterate=F}toArray(){const F=[];return this.iterate(B=>(F.push(B),!0)),F}filter(F){return new V(B=>this.iterate(G=>F(G)?B(G):!0))}map(F){return new V(B=>this.iterate(G=>B(F(G))))}findLast(F){let B;return this.iterate(G=>(F(G)&&(B=G),!0)),B}findLastMaxBy(F){let B,G=!0;return this.iterate(j=>((G||C.isGreaterThan(F(j,B)))&&(G=!1,B=j),!0)),B}}r.CallbackIterable=V;class ${constructor(F){this._indexMap=F}static createSortPermutation(F,B){const G=Array.from(F.keys()).sort((j,ee)=>B(F[j],F[ee]));return new $(G)}apply(F){return F.map((B,G)=>F[this._indexMap[G]])}inverse(){const F=this._indexMap.slice();for(let B=0;B<this._indexMap.length;B++)F[this._indexMap[B]]=B;return new $(F)}}r.Permutation=$}),X(Y[14],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.MonotonousArray=void 0,r.findLast=n,r.findLastIdx=D,r.findLastMonotonous=A,r.findLastIdxMonotonous=g,r.findFirstMonotonous=c,r.findFirstIdxMonotonousOrArrLen=m,r.findFirstMax=u,r.findLastMax=b,r.findFirstMin=e,r.findMaxIdx=f,r.mapFindFirst=i;function n(a,h){const l=D(a,h);if(l!==-1)return a[l]}function D(a,h,l=a.length-1){for(let S=l;S>=0;S--){const L=a[S];if(h(L))return S}return-1}function A(a,h){const l=g(a,h);return l===-1?void 0:a[l]}function g(a,h,l=0,S=a.length){let L=l,N=S;for(;L<N;){const M=Math.floor((L+N)/2);h(a[M])?L=M+1:N=M}return L-1}function c(a,h){const l=m(a,h);return l===a.length?void 0:a[l]}function m(a,h,l=0,S=a.length){let L=l,N=S;for(;L<N;){const M=Math.floor((L+N)/2);h(a[M])?N=M:L=M+1}return L}class o{static{this.assertInvariants=!1}constructor(h){this._array=h,this._findLastMonotonousLastIdx=0}findLastMonotonous(h){if(o.assertInvariants){if(this._prevFindLastPredicate){for(const S of this._array)if(this._prevFindLastPredicate(S)&&!h(S))throw new Error("MonotonousArray: current predicate must be weaker than (or equal to) the previous predicate.")}this._prevFindLastPredicate=h}const l=g(this._array,h,this._findLastMonotonousLastIdx);return this._findLastMonotonousLastIdx=l+1,l===-1?void 0:this._array[l]}}r.MonotonousArray=o;function u(a,h){if(a.length===0)return;let l=a[0];for(let S=1;S<a.length;S++){const L=a[S];h(L,l)>0&&(l=L)}return l}function b(a,h){if(a.length===0)return;let l=a[0];for(let S=1;S<a.length;S++){const L=a[S];h(L,l)>=0&&(l=L)}return l}function e(a,h){return u(a,(l,S)=>-h(l,S))}function f(a,h){if(a.length===0)return-1;let l=0;for(let S=1;S<a.length;S++){const L=a[S];h(L,a[l])>0&&(l=S)}return l}function i(a,h){for(const l of a){const S=h(l);if(S!==void 0)return S}}}),X(Y[36],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.CachedFunction=r.LRUCachedFunction=void 0,r.identity=n;function n(g){return g}class D{constructor(c,m){this.lastCache=void 0,this.lastArgKey=void 0,typeof c=="function"?(this._fn=c,this._computeKey=n):(this._fn=m,this._computeKey=c.getCacheKey)}get(c){const m=this._computeKey(c);return this.lastArgKey!==m&&(this.lastArgKey=m,this.lastCache=this._fn(c)),this.lastCache}}r.LRUCachedFunction=D;class A{get cachedValues(){return this._map}constructor(c,m){this._map=new Map,this._map2=new Map,typeof c=="function"?(this._fn=c,this._computeKey=n):(this._fn=m,this._computeKey=c.getCacheKey)}get(c){const m=this._computeKey(c);if(this._map2.has(m))return this._map2.get(m);const o=this._fn(c);return this._map.set(c,o),this._map2.set(m,o),o}}r.CachedFunction=A}),X(Y[37],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Color=r.HSVA=r.HSLA=r.RGBA=void 0;function n(m,o){const u=Math.pow(10,o);return Math.round(m*u)/u}class D{constructor(o,u,b,e=1){this._rgbaBrand=void 0,this.r=Math.min(255,Math.max(0,o))|0,this.g=Math.min(255,Math.max(0,u))|0,this.b=Math.min(255,Math.max(0,b))|0,this.a=n(Math.max(Math.min(1,e),0),3)}static equals(o,u){return o.r===u.r&&o.g===u.g&&o.b===u.b&&o.a===u.a}}r.RGBA=D;class A{constructor(o,u,b,e){this._hslaBrand=void 0,this.h=Math.max(Math.min(360,o),0)|0,this.s=n(Math.max(Math.min(1,u),0),3),this.l=n(Math.max(Math.min(1,b),0),3),this.a=n(Math.max(Math.min(1,e),0),3)}static equals(o,u){return o.h===u.h&&o.s===u.s&&o.l===u.l&&o.a===u.a}static fromRGBA(o){const u=o.r/255,b=o.g/255,e=o.b/255,f=o.a,i=Math.max(u,b,e),a=Math.min(u,b,e);let h=0,l=0;const S=(a+i)/2,L=i-a;if(L>0){switch(l=Math.min(S<=.5?L/(2*S):L/(2-2*S),1),i){case u:h=(b-e)/L+(b<e?6:0);break;case b:h=(e-u)/L+2;break;case e:h=(u-b)/L+4;break}h*=60,h=Math.round(h)}return new A(h,l,S,f)}static _hue2rgb(o,u,b){return b<0&&(b+=1),b>1&&(b-=1),b<1/6?o+(u-o)*6*b:b<1/2?u:b<2/3?o+(u-o)*(2/3-b)*6:o}static toRGBA(o){const u=o.h/360,{s:b,l:e,a:f}=o;let i,a,h;if(b===0)i=a=h=e;else{const l=e<.5?e*(1+b):e+b-e*b,S=2*e-l;i=A._hue2rgb(S,l,u+1/3),a=A._hue2rgb(S,l,u),h=A._hue2rgb(S,l,u-1/3)}return new D(Math.round(i*255),Math.round(a*255),Math.round(h*255),f)}}r.HSLA=A;class g{constructor(o,u,b,e){this._hsvaBrand=void 0,this.h=Math.max(Math.min(360,o),0)|0,this.s=n(Math.max(Math.min(1,u),0),3),this.v=n(Math.max(Math.min(1,b),0),3),this.a=n(Math.max(Math.min(1,e),0),3)}static equals(o,u){return o.h===u.h&&o.s===u.s&&o.v===u.v&&o.a===u.a}static fromRGBA(o){const u=o.r/255,b=o.g/255,e=o.b/255,f=Math.max(u,b,e),i=Math.min(u,b,e),a=f-i,h=f===0?0:a/f;let l;return a===0?l=0:f===u?l=((b-e)/a%6+6)%6:f===b?l=(e-u)/a+2:l=(u-b)/a+4,new g(Math.round(l*60),h,f,o.a)}static toRGBA(o){const{h:u,s:b,v:e,a:f}=o,i=e*b,a=i*(1-Math.abs(u/60%2-1)),h=e-i;let[l,S,L]=[0,0,0];return u<60?(l=i,S=a):u<120?(l=a,S=i):u<180?(S=i,L=a):u<240?(S=a,L=i):u<300?(l=a,L=i):u<=360&&(l=i,L=a),l=Math.round((l+h)*255),S=Math.round((S+h)*255),L=Math.round((L+h)*255),new D(l,S,L,f)}}r.HSVA=g;class c{static fromHex(o){return c.Format.CSS.parseHex(o)||c.red}static equals(o,u){return!o&&!u?!0:!o||!u?!1:o.equals(u)}get hsla(){return this._hsla?this._hsla:A.fromRGBA(this.rgba)}get hsva(){return this._hsva?this._hsva:g.fromRGBA(this.rgba)}constructor(o){if(o)if(o instanceof D)this.rgba=o;else if(o instanceof A)this._hsla=o,this.rgba=A.toRGBA(o);else if(o instanceof g)this._hsva=o,this.rgba=g.toRGBA(o);else throw new Error("Invalid color ctor argument");else throw new Error("Color needs a value")}equals(o){return!!o&&D.equals(this.rgba,o.rgba)&&A.equals(this.hsla,o.hsla)&&g.equals(this.hsva,o.hsva)}getRelativeLuminance(){const o=c._relativeLuminanceForComponent(this.rgba.r),u=c._relativeLuminanceForComponent(this.rgba.g),b=c._relativeLuminanceForComponent(this.rgba.b),e=.2126*o+.7152*u+.0722*b;return n(e,4)}static _relativeLuminanceForComponent(o){const u=o/255;return u<=.03928?u/12.92:Math.pow((u+.055)/1.055,2.4)}isLighter(){return(this.rgba.r*299+this.rgba.g*587+this.rgba.b*114)/1e3>=128}isLighterThan(o){const u=this.getRelativeLuminance(),b=o.getRelativeLuminance();return u>b}isDarkerThan(o){const u=this.getRelativeLuminance(),b=o.getRelativeLuminance();return u<b}lighten(o){return new c(new A(this.hsla.h,this.hsla.s,this.hsla.l+this.hsla.l*o,this.hsla.a))}darken(o){return new c(new A(this.hsla.h,this.hsla.s,this.hsla.l-this.hsla.l*o,this.hsla.a))}transparent(o){const{r:u,g:b,b:e,a:f}=this.rgba;return new c(new D(u,b,e,f*o))}isTransparent(){return this.rgba.a===0}isOpaque(){return this.rgba.a===1}opposite(){return new c(new D(255-this.rgba.r,255-this.rgba.g,255-this.rgba.b,this.rgba.a))}makeOpaque(o){if(this.isOpaque()||o.rgba.a!==1)return this;const{r:u,g:b,b:e,a:f}=this.rgba;return new c(new D(o.rgba.r-f*(o.rgba.r-u),o.rgba.g-f*(o.rgba.g-b),o.rgba.b-f*(o.rgba.b-e),1))}toString(){return this._toString||(this._toString=c.Format.CSS.format(this)),this._toString}static getLighterColor(o,u,b){if(o.isLighterThan(u))return o;b=b||.5;const e=o.getRelativeLuminance(),f=u.getRelativeLuminance();return b=b*(f-e)/f,o.lighten(b)}static getDarkerColor(o,u,b){if(o.isDarkerThan(u))return o;b=b||.5;const e=o.getRelativeLuminance(),f=u.getRelativeLuminance();return b=b*(e-f)/e,o.darken(b)}static{this.white=new c(new D(255,255,255,1))}static{this.black=new c(new D(0,0,0,1))}static{this.red=new c(new D(255,0,0,1))}static{this.blue=new c(new D(0,0,255,1))}static{this.green=new c(new D(0,255,0,1))}static{this.cyan=new c(new D(0,255,255,1))}static{this.lightgrey=new c(new D(211,211,211,1))}static{this.transparent=new c(new D(0,0,0,0))}}r.Color=c,function(m){let o;(function(u){let b;(function(e){function f(w){return w.rgba.a===1?`rgb(${w.rgba.r}, ${w.rgba.g}, ${w.rgba.b})`:m.Format.CSS.formatRGBA(w)}e.formatRGB=f;function i(w){return`rgba(${w.rgba.r}, ${w.rgba.g}, ${w.rgba.b}, ${+w.rgba.a.toFixed(2)})`}e.formatRGBA=i;function a(w){return w.hsla.a===1?`hsl(${w.hsla.h}, ${(w.hsla.s*100).toFixed(2)}%, ${(w.hsla.l*100).toFixed(2)}%)`:m.Format.CSS.formatHSLA(w)}e.formatHSL=a;function h(w){return`hsla(${w.hsla.h}, ${(w.hsla.s*100).toFixed(2)}%, ${(w.hsla.l*100).toFixed(2)}%, ${w.hsla.a.toFixed(2)})`}e.formatHSLA=h;function l(w){const s=w.toString(16);return s.length!==2?"0"+s:s}function S(w){return`#${l(w.rgba.r)}${l(w.rgba.g)}${l(w.rgba.b)}`}e.formatHex=S;function L(w,s=!1){return s&&w.rgba.a===1?m.Format.CSS.formatHex(w):`#${l(w.rgba.r)}${l(w.rgba.g)}${l(w.rgba.b)}${l(Math.round(w.rgba.a*255))}`}e.formatHexA=L;function N(w){return w.isOpaque()?m.Format.CSS.formatHex(w):m.Format.CSS.formatRGBA(w)}e.format=N;function M(w){const s=w.length;if(s===0||w.charCodeAt(0)!==35)return null;if(s===7){const d=16*E(w.charCodeAt(1))+E(w.charCodeAt(2)),v=16*E(w.charCodeAt(3))+E(w.charCodeAt(4)),p=16*E(w.charCodeAt(5))+E(w.charCodeAt(6));return new m(new D(d,v,p,1))}if(s===9){const d=16*E(w.charCodeAt(1))+E(w.charCodeAt(2)),v=16*E(w.charCodeAt(3))+E(w.charCodeAt(4)),p=16*E(w.charCodeAt(5))+E(w.charCodeAt(6)),_=16*E(w.charCodeAt(7))+E(w.charCodeAt(8));return new m(new D(d,v,p,_/255))}if(s===4){const d=E(w.charCodeAt(1)),v=E(w.charCodeAt(2)),p=E(w.charCodeAt(3));return new m(new D(16*d+d,16*v+v,16*p+p))}if(s===5){const d=E(w.charCodeAt(1)),v=E(w.charCodeAt(2)),p=E(w.charCodeAt(3)),_=E(w.charCodeAt(4));return new m(new D(16*d+d,16*v+v,16*p+p,(16*_+_)/255))}return null}e.parseHex=M;function E(w){switch(w){case 48:return 0;case 49:return 1;case 50:return 2;case 51:return 3;case 52:return 4;case 53:return 5;case 54:return 6;case 55:return 7;case 56:return 8;case 57:return 9;case 97:return 10;case 65:return 10;case 98:return 11;case 66:return 11;case 99:return 12;case 67:return 12;case 100:return 13;case 68:return 13;case 101:return 14;case 69:return 14;case 102:return 15;case 70:return 15}return 0}})(b=u.CSS||(u.CSS={}))})(o=m.Format||(m.Format={}))}(c||(r.Color=c={}))}),X(Y[38],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.DiffChange=void 0;class n{constructor(A,g,c,m){this.originalStart=A,this.originalLength=g,this.modifiedStart=c,this.modifiedLength=m}getOriginalEnd(){return this.originalStart+this.originalLength}getModifiedEnd(){return this.modifiedStart+this.modifiedLength}}r.DiffChange=n}),X(Y[4],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.BugIndicatingError=r.ErrorNoTelemetry=r.NotSupportedError=r.CancellationError=r.errorHandler=r.ErrorHandler=void 0,r.onUnexpectedError=D,r.onUnexpectedExternalError=A,r.transformErrorForSerialization=g,r.isCancellationError=m,r.canceled=u,r.illegalArgument=b,r.illegalState=e;class n{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(l){setTimeout(()=>{throw l.stack?i.isErrorNoTelemetry(l)?new i(l.message+`

`+l.stack):new Error(l.message+`

`+l.stack):l},0)}}emit(l){this.listeners.forEach(S=>{S(l)})}onUnexpectedError(l){this.unexpectedErrorHandler(l),this.emit(l)}onUnexpectedExternalError(l){this.unexpectedErrorHandler(l)}}r.ErrorHandler=n,r.errorHandler=new n;function D(h){m(h)||r.errorHandler.onUnexpectedError(h)}function A(h){m(h)||r.errorHandler.onUnexpectedExternalError(h)}function g(h){if(h instanceof Error){const{name:l,message:S}=h,L=h.stacktrace||h.stack;return{$isError:!0,name:l,message:S,stack:L,noTelemetry:i.isErrorNoTelemetry(h)}}return h}const c="Canceled";function m(h){return h instanceof o?!0:h instanceof Error&&h.name===c&&h.message===c}class o extends Error{constructor(){super(c),this.name=this.message}}r.CancellationError=o;function u(){const h=new Error(c);return h.name=h.message,h}function b(h){return h?new Error(`Illegal argument: ${h}`):new Error("Illegal argument")}function e(h){return h?new Error(`Illegal state: ${h}`):new Error("Illegal state")}class f extends Error{constructor(l){super("NotSupported"),l&&(this.message=l)}}r.NotSupportedError=f;class i extends Error{constructor(l){super(l),this.name="CodeExpectedError"}static fromError(l){if(l instanceof i)return l;const S=new i;return S.message=l.message,S.stack=l.stack,S}static isErrorNoTelemetry(l){return l.name==="CodeExpectedError"}}r.ErrorNoTelemetry=i;class a extends Error{constructor(l){super(l||"An unexpected bug occurred."),Object.setPrototypeOf(this,a.prototype)}}r.BugIndicatingError=a}),X(Y[9],J([0,1,4]),function(W,r,n){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.ok=D,r.assertNever=A,r.softAssert=g,r.assertFn=c,r.checkAdjacentItems=m;function D(o,u){if(!o)throw new Error(u?`Assertion failed (${u})`:"Assertion Failed")}function A(o,u="Unreachable"){throw new Error(u)}function g(o){o||(0,n.onUnexpectedError)(new n.BugIndicatingError("Soft Assertion Failed"))}function c(o){if(!o()){debugger;o(),(0,n.onUnexpectedError)(new n.BugIndicatingError("Assertion Failed"))}}function m(o,u){let b=0;for(;b<o.length-1;){const e=o[b],f=o[b+1];if(!u(e,f))return!1;b++}return!0}}),X(Y[19],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.createSingleCallFunction=n;function n(D,A){const g=this;let c=!1,m;return function(){if(c)return m;if(c=!0,A)try{m=D.apply(g,arguments)}finally{A()}else m=D.apply(g,arguments);return m}}}),X(Y[20],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Iterable=void 0;var n;(function(D){function A(s){return s&&typeof s=="object"&&typeof s[Symbol.iterator]=="function"}D.is=A;const g=Object.freeze([]);function c(){return g}D.empty=c;function*m(s){yield s}D.single=m;function o(s){return A(s)?s:m(s)}D.wrap=o;function u(s){return s||g}D.from=u;function*b(s){for(let d=s.length-1;d>=0;d--)yield s[d]}D.reverse=b;function e(s){return!s||s[Symbol.iterator]().next().done===!0}D.isEmpty=e;function f(s){return s[Symbol.iterator]().next().value}D.first=f;function i(s,d){let v=0;for(const p of s)if(d(p,v++))return!0;return!1}D.some=i;function a(s,d){for(const v of s)if(d(v))return v}D.find=a;function*h(s,d){for(const v of s)d(v)&&(yield v)}D.filter=h;function*l(s,d){let v=0;for(const p of s)yield d(p,v++)}D.map=l;function*S(s,d){let v=0;for(const p of s)yield*d(p,v++)}D.flatMap=S;function*L(...s){for(const d of s)yield*d}D.concat=L;function N(s,d,v){let p=v;for(const _ of s)p=d(p,_);return p}D.reduce=N;function*M(s,d,v=s.length){for(d<0&&(d+=s.length),v<0?v+=s.length:v>s.length&&(v=s.length);d<v;d++)yield s[d]}D.slice=M;function E(s,d=Number.POSITIVE_INFINITY){const v=[];if(d===0)return[v,s];const p=s[Symbol.iterator]();for(let _=0;_<d;_++){const C=p.next();if(C.done)return[v,D.empty()];v.push(C.value)}return[v,{[Symbol.iterator](){return p}}]}D.consume=E;async function w(s){const d=[];for await(const v of s)d.push(v);return Promise.resolve(d)}D.asyncToArray=w})(n||(r.Iterable=n={}))}),X(Y[39],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.KeyCodeUtils=r.IMMUTABLE_KEY_CODE_TO_CODE=r.IMMUTABLE_CODE_TO_KEY_CODE=r.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE=r.EVENT_KEY_CODE_MAP=void 0,r.KeyChord=b;class n{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(f,i){this._keyCodeToStr[f]=i,this._strToKeyCode[i.toLowerCase()]=f}keyCodeToStr(f){return this._keyCodeToStr[f]}strToKeyCode(f){return this._strToKeyCode[f.toLowerCase()]||0}}const D=new n,A=new n,g=new n;r.EVENT_KEY_CODE_MAP=new Array(230),r.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE={};const c=[],m=Object.create(null),o=Object.create(null);r.IMMUTABLE_CODE_TO_KEY_CODE=[],r.IMMUTABLE_KEY_CODE_TO_CODE=[];for(let e=0;e<=193;e++)r.IMMUTABLE_CODE_TO_KEY_CODE[e]=-1;for(let e=0;e<=132;e++)r.IMMUTABLE_KEY_CODE_TO_CODE[e]=-1;(function(){const e="",f=[[1,0,"None",0,"unknown",0,"VK_UNKNOWN",e,e],[1,1,"Hyper",0,e,0,e,e,e],[1,2,"Super",0,e,0,e,e,e],[1,3,"Fn",0,e,0,e,e,e],[1,4,"FnLock",0,e,0,e,e,e],[1,5,"Suspend",0,e,0,e,e,e],[1,6,"Resume",0,e,0,e,e,e],[1,7,"Turbo",0,e,0,e,e,e],[1,8,"Sleep",0,e,0,"VK_SLEEP",e,e],[1,9,"WakeUp",0,e,0,e,e,e],[0,10,"KeyA",31,"A",65,"VK_A",e,e],[0,11,"KeyB",32,"B",66,"VK_B",e,e],[0,12,"KeyC",33,"C",67,"VK_C",e,e],[0,13,"KeyD",34,"D",68,"VK_D",e,e],[0,14,"KeyE",35,"E",69,"VK_E",e,e],[0,15,"KeyF",36,"F",70,"VK_F",e,e],[0,16,"KeyG",37,"G",71,"VK_G",e,e],[0,17,"KeyH",38,"H",72,"VK_H",e,e],[0,18,"KeyI",39,"I",73,"VK_I",e,e],[0,19,"KeyJ",40,"J",74,"VK_J",e,e],[0,20,"KeyK",41,"K",75,"VK_K",e,e],[0,21,"KeyL",42,"L",76,"VK_L",e,e],[0,22,"KeyM",43,"M",77,"VK_M",e,e],[0,23,"KeyN",44,"N",78,"VK_N",e,e],[0,24,"KeyO",45,"O",79,"VK_O",e,e],[0,25,"KeyP",46,"P",80,"VK_P",e,e],[0,26,"KeyQ",47,"Q",81,"VK_Q",e,e],[0,27,"KeyR",48,"R",82,"VK_R",e,e],[0,28,"KeyS",49,"S",83,"VK_S",e,e],[0,29,"KeyT",50,"T",84,"VK_T",e,e],[0,30,"KeyU",51,"U",85,"VK_U",e,e],[0,31,"KeyV",52,"V",86,"VK_V",e,e],[0,32,"KeyW",53,"W",87,"VK_W",e,e],[0,33,"KeyX",54,"X",88,"VK_X",e,e],[0,34,"KeyY",55,"Y",89,"VK_Y",e,e],[0,35,"KeyZ",56,"Z",90,"VK_Z",e,e],[0,36,"Digit1",22,"1",49,"VK_1",e,e],[0,37,"Digit2",23,"2",50,"VK_2",e,e],[0,38,"Digit3",24,"3",51,"VK_3",e,e],[0,39,"Digit4",25,"4",52,"VK_4",e,e],[0,40,"Digit5",26,"5",53,"VK_5",e,e],[0,41,"Digit6",27,"6",54,"VK_6",e,e],[0,42,"Digit7",28,"7",55,"VK_7",e,e],[0,43,"Digit8",29,"8",56,"VK_8",e,e],[0,44,"Digit9",30,"9",57,"VK_9",e,e],[0,45,"Digit0",21,"0",48,"VK_0",e,e],[1,46,"Enter",3,"Enter",13,"VK_RETURN",e,e],[1,47,"Escape",9,"Escape",27,"VK_ESCAPE",e,e],[1,48,"Backspace",1,"Backspace",8,"VK_BACK",e,e],[1,49,"Tab",2,"Tab",9,"VK_TAB",e,e],[1,50,"Space",10,"Space",32,"VK_SPACE",e,e],[0,51,"Minus",88,"-",189,"VK_OEM_MINUS","-","OEM_MINUS"],[0,52,"Equal",86,"=",187,"VK_OEM_PLUS","=","OEM_PLUS"],[0,53,"BracketLeft",92,"[",219,"VK_OEM_4","[","OEM_4"],[0,54,"BracketRight",94,"]",221,"VK_OEM_6","]","OEM_6"],[0,55,"Backslash",93,"\\",220,"VK_OEM_5","\\","OEM_5"],[0,56,"IntlHash",0,e,0,e,e,e],[0,57,"Semicolon",85,";",186,"VK_OEM_1",";","OEM_1"],[0,58,"Quote",95,"'",222,"VK_OEM_7","'","OEM_7"],[0,59,"Backquote",91,"`",192,"VK_OEM_3","`","OEM_3"],[0,60,"Comma",87,",",188,"VK_OEM_COMMA",",","OEM_COMMA"],[0,61,"Period",89,".",190,"VK_OEM_PERIOD",".","OEM_PERIOD"],[0,62,"Slash",90,"/",191,"VK_OEM_2","/","OEM_2"],[1,63,"CapsLock",8,"CapsLock",20,"VK_CAPITAL",e,e],[1,64,"F1",59,"F1",112,"VK_F1",e,e],[1,65,"F2",60,"F2",113,"VK_F2",e,e],[1,66,"F3",61,"F3",114,"VK_F3",e,e],[1,67,"F4",62,"F4",115,"VK_F4",e,e],[1,68,"F5",63,"F5",116,"VK_F5",e,e],[1,69,"F6",64,"F6",117,"VK_F6",e,e],[1,70,"F7",65,"F7",118,"VK_F7",e,e],[1,71,"F8",66,"F8",119,"VK_F8",e,e],[1,72,"F9",67,"F9",120,"VK_F9",e,e],[1,73,"F10",68,"F10",121,"VK_F10",e,e],[1,74,"F11",69,"F11",122,"VK_F11",e,e],[1,75,"F12",70,"F12",123,"VK_F12",e,e],[1,76,"PrintScreen",0,e,0,e,e,e],[1,77,"ScrollLock",84,"ScrollLock",145,"VK_SCROLL",e,e],[1,78,"Pause",7,"PauseBreak",19,"VK_PAUSE",e,e],[1,79,"Insert",19,"Insert",45,"VK_INSERT",e,e],[1,80,"Home",14,"Home",36,"VK_HOME",e,e],[1,81,"PageUp",11,"PageUp",33,"VK_PRIOR",e,e],[1,82,"Delete",20,"Delete",46,"VK_DELETE",e,e],[1,83,"End",13,"End",35,"VK_END",e,e],[1,84,"PageDown",12,"PageDown",34,"VK_NEXT",e,e],[1,85,"ArrowRight",17,"RightArrow",39,"VK_RIGHT","Right",e],[1,86,"ArrowLeft",15,"LeftArrow",37,"VK_LEFT","Left",e],[1,87,"ArrowDown",18,"DownArrow",40,"VK_DOWN","Down",e],[1,88,"ArrowUp",16,"UpArrow",38,"VK_UP","Up",e],[1,89,"NumLock",83,"NumLock",144,"VK_NUMLOCK",e,e],[1,90,"NumpadDivide",113,"NumPad_Divide",111,"VK_DIVIDE",e,e],[1,91,"NumpadMultiply",108,"NumPad_Multiply",106,"VK_MULTIPLY",e,e],[1,92,"NumpadSubtract",111,"NumPad_Subtract",109,"VK_SUBTRACT",e,e],[1,93,"NumpadAdd",109,"NumPad_Add",107,"VK_ADD",e,e],[1,94,"NumpadEnter",3,e,0,e,e,e],[1,95,"Numpad1",99,"NumPad1",97,"VK_NUMPAD1",e,e],[1,96,"Numpad2",100,"NumPad2",98,"VK_NUMPAD2",e,e],[1,97,"Numpad3",101,"NumPad3",99,"VK_NUMPAD3",e,e],[1,98,"Numpad4",102,"NumPad4",100,"VK_NUMPAD4",e,e],[1,99,"Numpad5",103,"NumPad5",101,"VK_NUMPAD5",e,e],[1,100,"Numpad6",104,"NumPad6",102,"VK_NUMPAD6",e,e],[1,101,"Numpad7",105,"NumPad7",103,"VK_NUMPAD7",e,e],[1,102,"Numpad8",106,"NumPad8",104,"VK_NUMPAD8",e,e],[1,103,"Numpad9",107,"NumPad9",105,"VK_NUMPAD9",e,e],[1,104,"Numpad0",98,"NumPad0",96,"VK_NUMPAD0",e,e],[1,105,"NumpadDecimal",112,"NumPad_Decimal",110,"VK_DECIMAL",e,e],[0,106,"IntlBackslash",97,"OEM_102",226,"VK_OEM_102",e,e],[1,107,"ContextMenu",58,"ContextMenu",93,e,e,e],[1,108,"Power",0,e,0,e,e,e],[1,109,"NumpadEqual",0,e,0,e,e,e],[1,110,"F13",71,"F13",124,"VK_F13",e,e],[1,111,"F14",72,"F14",125,"VK_F14",e,e],[1,112,"F15",73,"F15",126,"VK_F15",e,e],[1,113,"F16",74,"F16",127,"VK_F16",e,e],[1,114,"F17",75,"F17",128,"VK_F17",e,e],[1,115,"F18",76,"F18",129,"VK_F18",e,e],[1,116,"F19",77,"F19",130,"VK_F19",e,e],[1,117,"F20",78,"F20",131,"VK_F20",e,e],[1,118,"F21",79,"F21",132,"VK_F21",e,e],[1,119,"F22",80,"F22",133,"VK_F22",e,e],[1,120,"F23",81,"F23",134,"VK_F23",e,e],[1,121,"F24",82,"F24",135,"VK_F24",e,e],[1,122,"Open",0,e,0,e,e,e],[1,123,"Help",0,e,0,e,e,e],[1,124,"Select",0,e,0,e,e,e],[1,125,"Again",0,e,0,e,e,e],[1,126,"Undo",0,e,0,e,e,e],[1,127,"Cut",0,e,0,e,e,e],[1,128,"Copy",0,e,0,e,e,e],[1,129,"Paste",0,e,0,e,e,e],[1,130,"Find",0,e,0,e,e,e],[1,131,"AudioVolumeMute",117,"AudioVolumeMute",173,"VK_VOLUME_MUTE",e,e],[1,132,"AudioVolumeUp",118,"AudioVolumeUp",175,"VK_VOLUME_UP",e,e],[1,133,"AudioVolumeDown",119,"AudioVolumeDown",174,"VK_VOLUME_DOWN",e,e],[1,134,"NumpadComma",110,"NumPad_Separator",108,"VK_SEPARATOR",e,e],[0,135,"IntlRo",115,"ABNT_C1",193,"VK_ABNT_C1",e,e],[1,136,"KanaMode",0,e,0,e,e,e],[0,137,"IntlYen",0,e,0,e,e,e],[1,138,"Convert",0,e,0,e,e,e],[1,139,"NonConvert",0,e,0,e,e,e],[1,140,"Lang1",0,e,0,e,e,e],[1,141,"Lang2",0,e,0,e,e,e],[1,142,"Lang3",0,e,0,e,e,e],[1,143,"Lang4",0,e,0,e,e,e],[1,144,"Lang5",0,e,0,e,e,e],[1,145,"Abort",0,e,0,e,e,e],[1,146,"Props",0,e,0,e,e,e],[1,147,"NumpadParenLeft",0,e,0,e,e,e],[1,148,"NumpadParenRight",0,e,0,e,e,e],[1,149,"NumpadBackspace",0,e,0,e,e,e],[1,150,"NumpadMemoryStore",0,e,0,e,e,e],[1,151,"NumpadMemoryRecall",0,e,0,e,e,e],[1,152,"NumpadMemoryClear",0,e,0,e,e,e],[1,153,"NumpadMemoryAdd",0,e,0,e,e,e],[1,154,"NumpadMemorySubtract",0,e,0,e,e,e],[1,155,"NumpadClear",131,"Clear",12,"VK_CLEAR",e,e],[1,156,"NumpadClearEntry",0,e,0,e,e,e],[1,0,e,5,"Ctrl",17,"VK_CONTROL",e,e],[1,0,e,4,"Shift",16,"VK_SHIFT",e,e],[1,0,e,6,"Alt",18,"VK_MENU",e,e],[1,0,e,57,"Meta",91,"VK_COMMAND",e,e],[1,157,"ControlLeft",5,e,0,"VK_LCONTROL",e,e],[1,158,"ShiftLeft",4,e,0,"VK_LSHIFT",e,e],[1,159,"AltLeft",6,e,0,"VK_LMENU",e,e],[1,160,"MetaLeft",57,e,0,"VK_LWIN",e,e],[1,161,"ControlRight",5,e,0,"VK_RCONTROL",e,e],[1,162,"ShiftRight",4,e,0,"VK_RSHIFT",e,e],[1,163,"AltRight",6,e,0,"VK_RMENU",e,e],[1,164,"MetaRight",57,e,0,"VK_RWIN",e,e],[1,165,"BrightnessUp",0,e,0,e,e,e],[1,166,"BrightnessDown",0,e,0,e,e,e],[1,167,"MediaPlay",0,e,0,e,e,e],[1,168,"MediaRecord",0,e,0,e,e,e],[1,169,"MediaFastForward",0,e,0,e,e,e],[1,170,"MediaRewind",0,e,0,e,e,e],[1,171,"MediaTrackNext",124,"MediaTrackNext",176,"VK_MEDIA_NEXT_TRACK",e,e],[1,172,"MediaTrackPrevious",125,"MediaTrackPrevious",177,"VK_MEDIA_PREV_TRACK",e,e],[1,173,"MediaStop",126,"MediaStop",178,"VK_MEDIA_STOP",e,e],[1,174,"Eject",0,e,0,e,e,e],[1,175,"MediaPlayPause",127,"MediaPlayPause",179,"VK_MEDIA_PLAY_PAUSE",e,e],[1,176,"MediaSelect",128,"LaunchMediaPlayer",181,"VK_MEDIA_LAUNCH_MEDIA_SELECT",e,e],[1,177,"LaunchMail",129,"LaunchMail",180,"VK_MEDIA_LAUNCH_MAIL",e,e],[1,178,"LaunchApp2",130,"LaunchApp2",183,"VK_MEDIA_LAUNCH_APP2",e,e],[1,179,"LaunchApp1",0,e,0,"VK_MEDIA_LAUNCH_APP1",e,e],[1,180,"SelectTask",0,e,0,e,e,e],[1,181,"LaunchScreenSaver",0,e,0,e,e,e],[1,182,"BrowserSearch",120,"BrowserSearch",170,"VK_BROWSER_SEARCH",e,e],[1,183,"BrowserHome",121,"BrowserHome",172,"VK_BROWSER_HOME",e,e],[1,184,"BrowserBack",122,"BrowserBack",166,"VK_BROWSER_BACK",e,e],[1,185,"BrowserForward",123,"BrowserForward",167,"VK_BROWSER_FORWARD",e,e],[1,186,"BrowserStop",0,e,0,"VK_BROWSER_STOP",e,e],[1,187,"BrowserRefresh",0,e,0,"VK_BROWSER_REFRESH",e,e],[1,188,"BrowserFavorites",0,e,0,"VK_BROWSER_FAVORITES",e,e],[1,189,"ZoomToggle",0,e,0,e,e,e],[1,190,"MailReply",0,e,0,e,e,e],[1,191,"MailForward",0,e,0,e,e,e],[1,192,"MailSend",0,e,0,e,e,e],[1,0,e,114,"KeyInComposition",229,e,e,e],[1,0,e,116,"ABNT_C2",194,"VK_ABNT_C2",e,e],[1,0,e,96,"OEM_8",223,"VK_OEM_8",e,e],[1,0,e,0,e,0,"VK_KANA",e,e],[1,0,e,0,e,0,"VK_HANGUL",e,e],[1,0,e,0,e,0,"VK_JUNJA",e,e],[1,0,e,0,e,0,"VK_FINAL",e,e],[1,0,e,0,e,0,"VK_HANJA",e,e],[1,0,e,0,e,0,"VK_KANJI",e,e],[1,0,e,0,e,0,"VK_CONVERT",e,e],[1,0,e,0,e,0,"VK_NONCONVERT",e,e],[1,0,e,0,e,0,"VK_ACCEPT",e,e],[1,0,e,0,e,0,"VK_MODECHANGE",e,e],[1,0,e,0,e,0,"VK_SELECT",e,e],[1,0,e,0,e,0,"VK_PRINT",e,e],[1,0,e,0,e,0,"VK_EXECUTE",e,e],[1,0,e,0,e,0,"VK_SNAPSHOT",e,e],[1,0,e,0,e,0,"VK_HELP",e,e],[1,0,e,0,e,0,"VK_APPS",e,e],[1,0,e,0,e,0,"VK_PROCESSKEY",e,e],[1,0,e,0,e,0,"VK_PACKET",e,e],[1,0,e,0,e,0,"VK_DBE_SBCSCHAR",e,e],[1,0,e,0,e,0,"VK_DBE_DBCSCHAR",e,e],[1,0,e,0,e,0,"VK_ATTN",e,e],[1,0,e,0,e,0,"VK_CRSEL",e,e],[1,0,e,0,e,0,"VK_EXSEL",e,e],[1,0,e,0,e,0,"VK_EREOF",e,e],[1,0,e,0,e,0,"VK_PLAY",e,e],[1,0,e,0,e,0,"VK_ZOOM",e,e],[1,0,e,0,e,0,"VK_NONAME",e,e],[1,0,e,0,e,0,"VK_PA1",e,e],[1,0,e,0,e,0,"VK_OEM_CLEAR",e,e]],i=[],a=[];for(const h of f){const[l,S,L,N,M,E,w,s,d]=h;if(a[S]||(a[S]=!0,c[S]=L,m[L]=S,o[L.toLowerCase()]=S,l&&(r.IMMUTABLE_CODE_TO_KEY_CODE[S]=N,N!==0&&N!==3&&N!==5&&N!==4&&N!==6&&N!==57&&(r.IMMUTABLE_KEY_CODE_TO_CODE[N]=S))),!i[N]){if(i[N]=!0,!M)throw new Error(`String representation missing for key code ${N} around scan code ${L}`);D.define(N,M),A.define(N,s||M),g.define(N,d||s||M)}E&&(r.EVENT_KEY_CODE_MAP[E]=N),w&&(r.NATIVE_WINDOWS_KEY_CODE_TO_KEY_CODE[w]=N)}r.IMMUTABLE_KEY_CODE_TO_CODE[3]=46})();var u;(function(e){function f(L){return D.keyCodeToStr(L)}e.toString=f;function i(L){return D.strToKeyCode(L)}e.fromString=i;function a(L){return A.keyCodeToStr(L)}e.toUserSettingsUS=a;function h(L){return g.keyCodeToStr(L)}e.toUserSettingsGeneral=h;function l(L){return A.strToKeyCode(L)||g.strToKeyCode(L)}e.fromUserSettings=l;function S(L){if(L>=98&&L<=113)return null;switch(L){case 16:return"Up";case 18:return"Down";case 15:return"Left";case 17:return"Right"}return D.keyCodeToStr(L)}e.toElectronAccelerator=S})(u||(r.KeyCodeUtils=u={}));function b(e,f){const i=(f&65535)<<16>>>0;return(e|i)>>>0}}),X(Y[40],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Lazy=void 0;class n{constructor(A){this.executor=A,this._didRun=!1}get value(){if(!this._didRun)try{this._value=this.executor()}catch(A){this._error=A}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}}r.Lazy=n}),X(Y[15],J([0,1,19,20]),function(W,r,n,D){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.DisposableMap=r.ImmortalReference=r.RefCountedDisposable=r.MutableDisposable=r.Disposable=r.DisposableStore=void 0,r.setDisposableTracker=c,r.trackDisposable=m,r.markAsDisposed=o,r.markAsSingleton=e,r.isDisposable=f,r.dispose=i,r.combinedDisposable=a,r.toDisposable=h;const A=!1;let g=null;function c(w){g=w}if(A){const w="__is_disposable_tracked__";c(new class{trackDisposable(s){const d=new Error("Potentially leaked disposable").stack;setTimeout(()=>{s[w]||console.log(d)},3e3)}setParent(s,d){if(s&&s!==S.None)try{s[w]=!0}catch{}}markAsDisposed(s){if(s&&s!==S.None)try{s[w]=!0}catch{}}markAsSingleton(s){}})}function m(w){return g?.trackDisposable(w),w}function o(w){g?.markAsDisposed(w)}function u(w,s){g?.setParent(w,s)}function b(w,s){if(g)for(const d of w)g.setParent(d,s)}function e(w){return g?.markAsSingleton(w),w}function f(w){return typeof w=="object"&&w!==null&&typeof w.dispose=="function"&&w.dispose.length===0}function i(w){if(D.Iterable.is(w)){const s=[];for(const d of w)if(d)try{d.dispose()}catch(v){s.push(v)}if(s.length===1)throw s[0];if(s.length>1)throw new AggregateError(s,"Encountered errors while disposing of store");return Array.isArray(w)?[]:w}else if(w)return w.dispose(),w}function a(...w){const s=h(()=>i(w));return b(w,s),s}function h(w){const s=m({dispose:(0,n.createSingleCallFunction)(()=>{o(s),w()})});return s}class l{static{this.DISABLE_DISPOSED_WARNING=!1}constructor(){this._toDispose=new Set,this._isDisposed=!1,m(this)}dispose(){this._isDisposed||(o(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){if(this._toDispose.size!==0)try{i(this._toDispose)}finally{this._toDispose.clear()}}add(s){if(!s)return s;if(s===this)throw new Error("Cannot register a disposable on itself!");return u(s,this),this._isDisposed?l.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(s),s}deleteAndLeak(s){s&&this._toDispose.has(s)&&(this._toDispose.delete(s),u(s,null))}}r.DisposableStore=l;class S{static{this.None=Object.freeze({dispose(){}})}constructor(){this._store=new l,m(this),u(this._store,this)}dispose(){o(this),this._store.dispose()}_register(s){if(s===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(s)}}r.Disposable=S;class L{constructor(){this._isDisposed=!1,m(this)}get value(){return this._isDisposed?void 0:this._value}set value(s){this._isDisposed||s===this._value||(this._value?.dispose(),s&&u(s,this),this._value=s)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,o(this),this._value?.dispose(),this._value=void 0}}r.MutableDisposable=L;class N{constructor(s){this._disposable=s,this._counter=1}acquire(){return this._counter++,this}release(){return--this._counter===0&&this._disposable.dispose(),this}}r.RefCountedDisposable=N;class M{constructor(s){this.object=s}dispose(){}}r.ImmortalReference=M;class E{constructor(){this._store=new Map,this._isDisposed=!1,m(this)}dispose(){o(this),this._isDisposed=!0,this.clearAndDisposeAll()}clearAndDisposeAll(){if(this._store.size)try{i(this._store.values())}finally{this._store.clear()}}get(s){return this._store.get(s)}set(s,d,v=!1){this._isDisposed&&console.warn(new Error("Trying to add a disposable to a DisposableMap that has already been disposed of. The added object will be leaked!").stack),v||this._store.get(s)?.dispose(),this._store.set(s,d)}deleteAndDispose(s){this._store.get(s)?.dispose(),this._store.delete(s)}[Symbol.iterator](){return this._store[Symbol.iterator]()}}r.DisposableMap=E}),X(Y[21],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LinkedList=void 0;class n{static{this.Undefined=new n(void 0)}constructor(g){this.element=g,this.next=n.Undefined,this.prev=n.Undefined}}class D{constructor(){this._first=n.Undefined,this._last=n.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===n.Undefined}clear(){let g=this._first;for(;g!==n.Undefined;){const c=g.next;g.prev=n.Undefined,g.next=n.Undefined,g=c}this._first=n.Undefined,this._last=n.Undefined,this._size=0}unshift(g){return this._insert(g,!1)}push(g){return this._insert(g,!0)}_insert(g,c){const m=new n(g);if(this._first===n.Undefined)this._first=m,this._last=m;else if(c){const u=this._last;this._last=m,m.prev=u,u.next=m}else{const u=this._first;this._first=m,m.next=u,u.prev=m}this._size+=1;let o=!1;return()=>{o||(o=!0,this._remove(m))}}shift(){if(this._first!==n.Undefined){const g=this._first.element;return this._remove(this._first),g}}pop(){if(this._last!==n.Undefined){const g=this._last.element;return this._remove(this._last),g}}_remove(g){if(g.prev!==n.Undefined&&g.next!==n.Undefined){const c=g.prev;c.next=g.next,g.next.prev=c}else g.prev===n.Undefined&&g.next===n.Undefined?(this._first=n.Undefined,this._last=n.Undefined):g.next===n.Undefined?(this._last=this._last.prev,this._last.next=n.Undefined):g.prev===n.Undefined&&(this._first=this._first.next,this._first.prev=n.Undefined);this._size-=1}*[Symbol.iterator](){let g=this._first;for(;g!==n.Undefined;)yield g.element,g=g.next}}r.LinkedList=D}),X(Y[22],J([0,1]),function(W,r){"use strict";var n,D;Object.defineProperty(r,"__esModule",{value:!0}),r.SetMap=r.BidirectionalMap=r.LRUCache=r.LinkedMap=r.ResourceMap=void 0;class A{constructor(i,a){this.uri=i,this.value=a}}function g(f){return Array.isArray(f)}class c{static{this.defaultToKey=i=>i.toString()}constructor(i,a){if(this[n]="ResourceMap",i instanceof c)this.map=new Map(i.map),this.toKey=a??c.defaultToKey;else if(g(i)){this.map=new Map,this.toKey=a??c.defaultToKey;for(const[h,l]of i)this.set(h,l)}else this.map=new Map,this.toKey=i??c.defaultToKey}set(i,a){return this.map.set(this.toKey(i),new A(i,a)),this}get(i){return this.map.get(this.toKey(i))?.value}has(i){return this.map.has(this.toKey(i))}get size(){return this.map.size}clear(){this.map.clear()}delete(i){return this.map.delete(this.toKey(i))}forEach(i,a){typeof a<"u"&&(i=i.bind(a));for(const[h,l]of this.map)i(l.value,l.uri,this)}*values(){for(const i of this.map.values())yield i.value}*keys(){for(const i of this.map.values())yield i.uri}*entries(){for(const i of this.map.values())yield[i.uri,i.value]}*[(n=Symbol.toStringTag,Symbol.iterator)](){for(const[,i]of this.map)yield[i.uri,i.value]}}r.ResourceMap=c;class m{constructor(){this[D]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(i){return this._map.has(i)}get(i,a=0){const h=this._map.get(i);if(h)return a!==0&&this.touch(h,a),h.value}set(i,a,h=0){let l=this._map.get(i);if(l)l.value=a,h!==0&&this.touch(l,h);else{switch(l={key:i,value:a,next:void 0,previous:void 0},h){case 0:this.addItemLast(l);break;case 1:this.addItemFirst(l);break;case 2:this.addItemLast(l);break;default:this.addItemLast(l);break}this._map.set(i,l),this._size++}return this}delete(i){return!!this.remove(i)}remove(i){const a=this._map.get(i);if(a)return this._map.delete(i),this.removeItem(a),this._size--,a.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const i=this._head;return this._map.delete(i.key),this.removeItem(i),this._size--,i.value}forEach(i,a){const h=this._state;let l=this._head;for(;l;){if(a?i.bind(a)(l.value,l.key,this):i(l.value,l.key,this),this._state!==h)throw new Error("LinkedMap got modified during iteration.");l=l.next}}keys(){const i=this,a=this._state;let h=this._head;const l={[Symbol.iterator](){return l},next(){if(i._state!==a)throw new Error("LinkedMap got modified during iteration.");if(h){const S={value:h.key,done:!1};return h=h.next,S}else return{value:void 0,done:!0}}};return l}values(){const i=this,a=this._state;let h=this._head;const l={[Symbol.iterator](){return l},next(){if(i._state!==a)throw new Error("LinkedMap got modified during iteration.");if(h){const S={value:h.value,done:!1};return h=h.next,S}else return{value:void 0,done:!0}}};return l}entries(){const i=this,a=this._state;let h=this._head;const l={[Symbol.iterator](){return l},next(){if(i._state!==a)throw new Error("LinkedMap got modified during iteration.");if(h){const S={value:[h.key,h.value],done:!1};return h=h.next,S}else return{value:void 0,done:!0}}};return l}[(D=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(i){if(i>=this.size)return;if(i===0){this.clear();return}let a=this._head,h=this.size;for(;a&&h>i;)this._map.delete(a.key),a=a.next,h--;this._head=a,this._size=h,a&&(a.previous=void 0),this._state++}trimNew(i){if(i>=this.size)return;if(i===0){this.clear();return}let a=this._tail,h=this.size;for(;a&&h>i;)this._map.delete(a.key),a=a.previous,h--;this._tail=a,this._size=h,a&&(a.next=void 0),this._state++}addItemFirst(i){if(!this._head&&!this._tail)this._tail=i;else if(this._head)i.next=this._head,this._head.previous=i;else throw new Error("Invalid list");this._head=i,this._state++}addItemLast(i){if(!this._head&&!this._tail)this._head=i;else if(this._tail)i.previous=this._tail,this._tail.next=i;else throw new Error("Invalid list");this._tail=i,this._state++}removeItem(i){if(i===this._head&&i===this._tail)this._head=void 0,this._tail=void 0;else if(i===this._head){if(!i.next)throw new Error("Invalid list");i.next.previous=void 0,this._head=i.next}else if(i===this._tail){if(!i.previous)throw new Error("Invalid list");i.previous.next=void 0,this._tail=i.previous}else{const a=i.next,h=i.previous;if(!a||!h)throw new Error("Invalid list");a.previous=h,h.next=a}i.next=void 0,i.previous=void 0,this._state++}touch(i,a){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(a!==1&&a!==2)){if(a===1){if(i===this._head)return;const h=i.next,l=i.previous;i===this._tail?(l.next=void 0,this._tail=l):(h.previous=l,l.next=h),i.previous=void 0,i.next=this._head,this._head.previous=i,this._head=i,this._state++}else if(a===2){if(i===this._tail)return;const h=i.next,l=i.previous;i===this._head?(h.previous=void 0,this._head=h):(h.previous=l,l.next=h),i.next=void 0,i.previous=this._tail,this._tail.next=i,this._tail=i,this._state++}}}toJSON(){const i=[];return this.forEach((a,h)=>{i.push([h,a])}),i}fromJSON(i){this.clear();for(const[a,h]of i)this.set(a,h)}}r.LinkedMap=m;class o extends m{constructor(i,a=1){super(),this._limit=i,this._ratio=Math.min(Math.max(0,a),1)}get limit(){return this._limit}set limit(i){this._limit=i,this.checkTrim()}get(i,a=2){return super.get(i,a)}peek(i){return super.get(i,0)}set(i,a){return super.set(i,a,2),this}checkTrim(){this.size>this._limit&&this.trim(Math.round(this._limit*this._ratio))}}class u extends o{constructor(i,a=1){super(i,a)}trim(i){this.trimOld(i)}set(i,a){return super.set(i,a),this.checkTrim(),this}}r.LRUCache=u;class b{constructor(i){if(this._m1=new Map,this._m2=new Map,i)for(const[a,h]of i)this.set(a,h)}clear(){this._m1.clear(),this._m2.clear()}set(i,a){this._m1.set(i,a),this._m2.set(a,i)}get(i){return this._m1.get(i)}getKey(i){return this._m2.get(i)}delete(i){const a=this._m1.get(i);return a===void 0?!1:(this._m1.delete(i),this._m2.delete(a),!0)}keys(){return this._m1.keys()}values(){return this._m1.values()}}r.BidirectionalMap=b;class e{constructor(){this.map=new Map}add(i,a){let h=this.map.get(i);h||(h=new Set,this.map.set(i,h)),h.add(a)}delete(i,a){const h=this.map.get(i);h&&(h.delete(a),h.size===0&&this.map.delete(i))}forEach(i,a){const h=this.map.get(i);h&&h.forEach(a)}get(i){const a=this.map.get(i);return a||new Set}}r.SetMap=e}),X(Y[10],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.isAndroid=r.isEdge=r.isSafari=r.isFirefox=r.isChrome=r.OS=r.setTimeout0=r.setTimeout0IsFaster=r.language=r.userAgent=r.isMobile=r.isIOS=r.webWorkerOrigin=r.isWebWorker=r.isWeb=r.isNative=r.isLinux=r.isMacintosh=r.isWindows=r.LANGUAGE_DEFAULT=void 0,r.isLittleEndian=d,r.LANGUAGE_DEFAULT="en";let n=!1,D=!1,A=!1,g=!1,c=!1,m=!1,o=!1,u=!1,b=!1,e=!1,f,i=r.LANGUAGE_DEFAULT,a=r.LANGUAGE_DEFAULT,h,l;const S=globalThis;let L;typeof S.vscode<"u"&&typeof S.vscode.process<"u"?L=S.vscode.process:typeof process<"u"&&typeof process?.versions?.node=="string"&&(L=process);const N=typeof L?.versions?.electron=="string",M=N&&L?.type==="renderer";if(typeof L=="object"){n=L.platform==="win32",D=L.platform==="darwin",A=L.platform==="linux",g=A&&!!L.env.SNAP&&!!L.env.SNAP_REVISION,o=N,b=!!L.env.CI||!!L.env.BUILD_ARTIFACTSTAGINGDIRECTORY,f=r.LANGUAGE_DEFAULT,i=r.LANGUAGE_DEFAULT;const v=L.env.VSCODE_NLS_CONFIG;if(v)try{const p=JSON.parse(v);f=p.userLocale,a=p.osLocale,i=p.resolvedLanguage||r.LANGUAGE_DEFAULT,h=p.languagePack?.translationsConfigFile}catch{}c=!0}else typeof navigator=="object"&&!M?(l=navigator.userAgent,n=l.indexOf("Windows")>=0,D=l.indexOf("Macintosh")>=0,u=(l.indexOf("Macintosh")>=0||l.indexOf("iPad")>=0||l.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,A=l.indexOf("Linux")>=0,e=l?.indexOf("Mobi")>=0,m=!0,i=globalThis._VSCODE_NLS_LANGUAGE||r.LANGUAGE_DEFAULT,f=navigator.language.toLowerCase(),a=f):console.error("Unable to resolve platform.");let E=0;D?E=1:n?E=3:A&&(E=2),r.isWindows=n,r.isMacintosh=D,r.isLinux=A,r.isNative=c,r.isWeb=m,r.isWebWorker=m&&typeof S.importScripts=="function",r.webWorkerOrigin=r.isWebWorker?S.origin:void 0,r.isIOS=u,r.isMobile=e,r.userAgent=l,r.language=i,r.setTimeout0IsFaster=typeof S.postMessage=="function"&&!S.importScripts,r.setTimeout0=(()=>{if(r.setTimeout0IsFaster){const v=[];S.addEventListener("message",_=>{if(_.data&&_.data.vscodeScheduleAsyncWork)for(let C=0,y=v.length;C<y;C++){const R=v[C];if(R.id===_.data.vscodeScheduleAsyncWork){v.splice(C,1),R.callback();return}}});let p=0;return _=>{const C=++p;v.push({id:C,callback:_}),S.postMessage({vscodeScheduleAsyncWork:C},"*")}}return v=>setTimeout(v)})(),r.OS=D||u?2:n?1:3;let w=!0,s=!1;function d(){if(!s){s=!0;const v=new Uint8Array(2);v[0]=1,v[1]=2,w=new Uint16Array(v.buffer)[0]===513}return w}r.isChrome=!!(r.userAgent&&r.userAgent.indexOf("Chrome")>=0),r.isFirefox=!!(r.userAgent&&r.userAgent.indexOf("Firefox")>=0),r.isSafari=!!(!r.isChrome&&r.userAgent&&r.userAgent.indexOf("Safari")>=0),r.isEdge=!!(r.userAgent&&r.userAgent.indexOf("Edg/")>=0),r.isAndroid=!!(r.userAgent&&r.userAgent.indexOf("Android")>=0)}),X(Y[41],J([0,1,10]),function(W,r,n){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.platform=r.env=r.cwd=void 0;let D;const A=globalThis.vscode;if(typeof A<"u"&&typeof A.process<"u"){const g=A.process;D={get platform(){return g.platform},get arch(){return g.arch},get env(){return g.env},cwd(){return g.cwd()}}}else typeof process<"u"&&typeof process?.versions?.node=="string"?D={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:D={get platform(){return n.isWindows?"win32":n.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};r.cwd=D.cwd,r.env=D.env,r.platform=D.platform}),X(Y[23],J([0,1,41]),function(W,r,n){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.sep=r.extname=r.basename=r.dirname=r.relative=r.resolve=r.join=r.normalize=r.posix=r.win32=void 0;const D=65,A=97,g=90,c=122,m=46,o=47,u=92,b=58,e=63;class f extends Error{constructor(d,v,p){let _;typeof v=="string"&&v.indexOf("not ")===0?(_="must not be",v=v.replace(/^not /,"")):_="must be";const C=d.indexOf(".")!==-1?"property":"argument";let y=`The "${d}" ${C} ${_} of type ${v}`;y+=`. Received type ${typeof p}`,super(y),this.code="ERR_INVALID_ARG_TYPE"}}function i(s,d){if(s===null||typeof s!="object")throw new f(d,"Object",s)}function a(s,d){if(typeof s!="string")throw new f(d,"string",s)}const h=n.platform==="win32";function l(s){return s===o||s===u}function S(s){return s===o}function L(s){return s>=D&&s<=g||s>=A&&s<=c}function N(s,d,v,p){let _="",C=0,y=-1,R=0,x=0;for(let P=0;P<=s.length;++P){if(P<s.length)x=s.charCodeAt(P);else{if(p(x))break;x=o}if(p(x)){if(!(y===P-1||R===1))if(R===2){if(_.length<2||C!==2||_.charCodeAt(_.length-1)!==m||_.charCodeAt(_.length-2)!==m){if(_.length>2){const O=_.lastIndexOf(v);O===-1?(_="",C=0):(_=_.slice(0,O),C=_.length-1-_.lastIndexOf(v)),y=P,R=0;continue}else if(_.length!==0){_="",C=0,y=P,R=0;continue}}d&&(_+=_.length>0?`${v}..`:"..",C=2)}else _.length>0?_+=`${v}${s.slice(y+1,P)}`:_=s.slice(y+1,P),C=P-y-1;y=P,R=0}else x===m&&R!==-1?++R:R=-1}return _}function M(s){return s?`${s[0]==="."?"":"."}${s}`:""}function E(s,d){i(d,"pathObject");const v=d.dir||d.root,p=d.base||`${d.name||""}${M(d.ext)}`;return v?v===d.root?`${v}${p}`:`${v}${s}${p}`:p}r.win32={resolve(...s){let d="",v="",p=!1;for(let _=s.length-1;_>=-1;_--){let C;if(_>=0){if(C=s[_],a(C,`paths[${_}]`),C.length===0)continue}else d.length===0?C=n.cwd():(C=n.env[`=${d}`]||n.cwd(),(C===void 0||C.slice(0,2).toLowerCase()!==d.toLowerCase()&&C.charCodeAt(2)===u)&&(C=`${d}\\`));const y=C.length;let R=0,x="",P=!1;const O=C.charCodeAt(0);if(y===1)l(O)&&(R=1,P=!0);else if(l(O))if(P=!0,l(C.charCodeAt(1))){let q=2,V=q;for(;q<y&&!l(C.charCodeAt(q));)q++;if(q<y&&q!==V){const $=C.slice(V,q);for(V=q;q<y&&l(C.charCodeAt(q));)q++;if(q<y&&q!==V){for(V=q;q<y&&!l(C.charCodeAt(q));)q++;(q===y||q!==V)&&(x=`\\\\${$}\\${C.slice(V,q)}`,R=q)}}}else R=1;else L(O)&&C.charCodeAt(1)===b&&(x=C.slice(0,2),R=2,y>2&&l(C.charCodeAt(2))&&(P=!0,R=3));if(x.length>0)if(d.length>0){if(x.toLowerCase()!==d.toLowerCase())continue}else d=x;if(p){if(d.length>0)break}else if(v=`${C.slice(R)}\\${v}`,p=P,P&&d.length>0)break}return v=N(v,!p,"\\",l),p?`${d}\\${v}`:`${d}${v}`||"."},normalize(s){a(s,"path");const d=s.length;if(d===0)return".";let v=0,p,_=!1;const C=s.charCodeAt(0);if(d===1)return S(C)?"\\":s;if(l(C))if(_=!0,l(s.charCodeAt(1))){let R=2,x=R;for(;R<d&&!l(s.charCodeAt(R));)R++;if(R<d&&R!==x){const P=s.slice(x,R);for(x=R;R<d&&l(s.charCodeAt(R));)R++;if(R<d&&R!==x){for(x=R;R<d&&!l(s.charCodeAt(R));)R++;if(R===d)return`\\\\${P}\\${s.slice(x)}\\`;R!==x&&(p=`\\\\${P}\\${s.slice(x,R)}`,v=R)}}}else v=1;else L(C)&&s.charCodeAt(1)===b&&(p=s.slice(0,2),v=2,d>2&&l(s.charCodeAt(2))&&(_=!0,v=3));let y=v<d?N(s.slice(v),!_,"\\",l):"";return y.length===0&&!_&&(y="."),y.length>0&&l(s.charCodeAt(d-1))&&(y+="\\"),p===void 0?_?`\\${y}`:y:_?`${p}\\${y}`:`${p}${y}`},isAbsolute(s){a(s,"path");const d=s.length;if(d===0)return!1;const v=s.charCodeAt(0);return l(v)||d>2&&L(v)&&s.charCodeAt(1)===b&&l(s.charCodeAt(2))},join(...s){if(s.length===0)return".";let d,v;for(let C=0;C<s.length;++C){const y=s[C];a(y,"path"),y.length>0&&(d===void 0?d=v=y:d+=`\\${y}`)}if(d===void 0)return".";let p=!0,_=0;if(typeof v=="string"&&l(v.charCodeAt(0))){++_;const C=v.length;C>1&&l(v.charCodeAt(1))&&(++_,C>2&&(l(v.charCodeAt(2))?++_:p=!1))}if(p){for(;_<d.length&&l(d.charCodeAt(_));)_++;_>=2&&(d=`\\${d.slice(_)}`)}return r.win32.normalize(d)},relative(s,d){if(a(s,"from"),a(d,"to"),s===d)return"";const v=r.win32.resolve(s),p=r.win32.resolve(d);if(v===p||(s=v.toLowerCase(),d=p.toLowerCase(),s===d))return"";let _=0;for(;_<s.length&&s.charCodeAt(_)===u;)_++;let C=s.length;for(;C-1>_&&s.charCodeAt(C-1)===u;)C--;const y=C-_;let R=0;for(;R<d.length&&d.charCodeAt(R)===u;)R++;let x=d.length;for(;x-1>R&&d.charCodeAt(x-1)===u;)x--;const P=x-R,O=y<P?y:P;let q=-1,V=0;for(;V<O;V++){const I=s.charCodeAt(_+V);if(I!==d.charCodeAt(R+V))break;I===u&&(q=V)}if(V!==O){if(q===-1)return p}else{if(P>O){if(d.charCodeAt(R+V)===u)return p.slice(R+V+1);if(V===2)return p.slice(R+V)}y>O&&(s.charCodeAt(_+V)===u?q=V:V===2&&(q=3)),q===-1&&(q=0)}let $="";for(V=_+q+1;V<=C;++V)(V===C||s.charCodeAt(V)===u)&&($+=$.length===0?"..":"\\..");return R+=q,$.length>0?`${$}${p.slice(R,x)}`:(p.charCodeAt(R)===u&&++R,p.slice(R,x))},toNamespacedPath(s){if(typeof s!="string"||s.length===0)return s;const d=r.win32.resolve(s);if(d.length<=2)return s;if(d.charCodeAt(0)===u){if(d.charCodeAt(1)===u){const v=d.charCodeAt(2);if(v!==e&&v!==m)return`\\\\?\\UNC\\${d.slice(2)}`}}else if(L(d.charCodeAt(0))&&d.charCodeAt(1)===b&&d.charCodeAt(2)===u)return`\\\\?\\${d}`;return s},dirname(s){a(s,"path");const d=s.length;if(d===0)return".";let v=-1,p=0;const _=s.charCodeAt(0);if(d===1)return l(_)?s:".";if(l(_)){if(v=p=1,l(s.charCodeAt(1))){let R=2,x=R;for(;R<d&&!l(s.charCodeAt(R));)R++;if(R<d&&R!==x){for(x=R;R<d&&l(s.charCodeAt(R));)R++;if(R<d&&R!==x){for(x=R;R<d&&!l(s.charCodeAt(R));)R++;if(R===d)return s;R!==x&&(v=p=R+1)}}}}else L(_)&&s.charCodeAt(1)===b&&(v=d>2&&l(s.charCodeAt(2))?3:2,p=v);let C=-1,y=!0;for(let R=d-1;R>=p;--R)if(l(s.charCodeAt(R))){if(!y){C=R;break}}else y=!1;if(C===-1){if(v===-1)return".";C=v}return s.slice(0,C)},basename(s,d){d!==void 0&&a(d,"suffix"),a(s,"path");let v=0,p=-1,_=!0,C;if(s.length>=2&&L(s.charCodeAt(0))&&s.charCodeAt(1)===b&&(v=2),d!==void 0&&d.length>0&&d.length<=s.length){if(d===s)return"";let y=d.length-1,R=-1;for(C=s.length-1;C>=v;--C){const x=s.charCodeAt(C);if(l(x)){if(!_){v=C+1;break}}else R===-1&&(_=!1,R=C+1),y>=0&&(x===d.charCodeAt(y)?--y===-1&&(p=C):(y=-1,p=R))}return v===p?p=R:p===-1&&(p=s.length),s.slice(v,p)}for(C=s.length-1;C>=v;--C)if(l(s.charCodeAt(C))){if(!_){v=C+1;break}}else p===-1&&(_=!1,p=C+1);return p===-1?"":s.slice(v,p)},extname(s){a(s,"path");let d=0,v=-1,p=0,_=-1,C=!0,y=0;s.length>=2&&s.charCodeAt(1)===b&&L(s.charCodeAt(0))&&(d=p=2);for(let R=s.length-1;R>=d;--R){const x=s.charCodeAt(R);if(l(x)){if(!C){p=R+1;break}continue}_===-1&&(C=!1,_=R+1),x===m?v===-1?v=R:y!==1&&(y=1):v!==-1&&(y=-1)}return v===-1||_===-1||y===0||y===1&&v===_-1&&v===p+1?"":s.slice(v,_)},format:E.bind(null,"\\"),parse(s){a(s,"path");const d={root:"",dir:"",base:"",ext:"",name:""};if(s.length===0)return d;const v=s.length;let p=0,_=s.charCodeAt(0);if(v===1)return l(_)?(d.root=d.dir=s,d):(d.base=d.name=s,d);if(l(_)){if(p=1,l(s.charCodeAt(1))){let q=2,V=q;for(;q<v&&!l(s.charCodeAt(q));)q++;if(q<v&&q!==V){for(V=q;q<v&&l(s.charCodeAt(q));)q++;if(q<v&&q!==V){for(V=q;q<v&&!l(s.charCodeAt(q));)q++;q===v?p=q:q!==V&&(p=q+1)}}}}else if(L(_)&&s.charCodeAt(1)===b){if(v<=2)return d.root=d.dir=s,d;if(p=2,l(s.charCodeAt(2))){if(v===3)return d.root=d.dir=s,d;p=3}}p>0&&(d.root=s.slice(0,p));let C=-1,y=p,R=-1,x=!0,P=s.length-1,O=0;for(;P>=p;--P){if(_=s.charCodeAt(P),l(_)){if(!x){y=P+1;break}continue}R===-1&&(x=!1,R=P+1),_===m?C===-1?C=P:O!==1&&(O=1):C!==-1&&(O=-1)}return R!==-1&&(C===-1||O===0||O===1&&C===R-1&&C===y+1?d.base=d.name=s.slice(y,R):(d.name=s.slice(y,C),d.base=s.slice(y,R),d.ext=s.slice(C,R))),y>0&&y!==p?d.dir=s.slice(0,y-1):d.dir=d.root,d},sep:"\\",delimiter:";",win32:null,posix:null};const w=(()=>{if(h){const s=/\\/g;return()=>{const d=n.cwd().replace(s,"/");return d.slice(d.indexOf("/"))}}return()=>n.cwd()})();r.posix={resolve(...s){let d="",v=!1;for(let p=s.length-1;p>=-1&&!v;p--){const _=p>=0?s[p]:w();a(_,`paths[${p}]`),_.length!==0&&(d=`${_}/${d}`,v=_.charCodeAt(0)===o)}return d=N(d,!v,"/",S),v?`/${d}`:d.length>0?d:"."},normalize(s){if(a(s,"path"),s.length===0)return".";const d=s.charCodeAt(0)===o,v=s.charCodeAt(s.length-1)===o;return s=N(s,!d,"/",S),s.length===0?d?"/":v?"./":".":(v&&(s+="/"),d?`/${s}`:s)},isAbsolute(s){return a(s,"path"),s.length>0&&s.charCodeAt(0)===o},join(...s){if(s.length===0)return".";let d;for(let v=0;v<s.length;++v){const p=s[v];a(p,"path"),p.length>0&&(d===void 0?d=p:d+=`/${p}`)}return d===void 0?".":r.posix.normalize(d)},relative(s,d){if(a(s,"from"),a(d,"to"),s===d||(s=r.posix.resolve(s),d=r.posix.resolve(d),s===d))return"";const v=1,p=s.length,_=p-v,C=1,y=d.length-C,R=_<y?_:y;let x=-1,P=0;for(;P<R;P++){const q=s.charCodeAt(v+P);if(q!==d.charCodeAt(C+P))break;q===o&&(x=P)}if(P===R)if(y>R){if(d.charCodeAt(C+P)===o)return d.slice(C+P+1);if(P===0)return d.slice(C+P)}else _>R&&(s.charCodeAt(v+P)===o?x=P:P===0&&(x=0));let O="";for(P=v+x+1;P<=p;++P)(P===p||s.charCodeAt(P)===o)&&(O+=O.length===0?"..":"/..");return`${O}${d.slice(C+x)}`},toNamespacedPath(s){return s},dirname(s){if(a(s,"path"),s.length===0)return".";const d=s.charCodeAt(0)===o;let v=-1,p=!0;for(let _=s.length-1;_>=1;--_)if(s.charCodeAt(_)===o){if(!p){v=_;break}}else p=!1;return v===-1?d?"/":".":d&&v===1?"//":s.slice(0,v)},basename(s,d){d!==void 0&&a(d,"ext"),a(s,"path");let v=0,p=-1,_=!0,C;if(d!==void 0&&d.length>0&&d.length<=s.length){if(d===s)return"";let y=d.length-1,R=-1;for(C=s.length-1;C>=0;--C){const x=s.charCodeAt(C);if(x===o){if(!_){v=C+1;break}}else R===-1&&(_=!1,R=C+1),y>=0&&(x===d.charCodeAt(y)?--y===-1&&(p=C):(y=-1,p=R))}return v===p?p=R:p===-1&&(p=s.length),s.slice(v,p)}for(C=s.length-1;C>=0;--C)if(s.charCodeAt(C)===o){if(!_){v=C+1;break}}else p===-1&&(_=!1,p=C+1);return p===-1?"":s.slice(v,p)},extname(s){a(s,"path");let d=-1,v=0,p=-1,_=!0,C=0;for(let y=s.length-1;y>=0;--y){const R=s.charCodeAt(y);if(R===o){if(!_){v=y+1;break}continue}p===-1&&(_=!1,p=y+1),R===m?d===-1?d=y:C!==1&&(C=1):d!==-1&&(C=-1)}return d===-1||p===-1||C===0||C===1&&d===p-1&&d===v+1?"":s.slice(d,p)},format:E.bind(null,"/"),parse(s){a(s,"path");const d={root:"",dir:"",base:"",ext:"",name:""};if(s.length===0)return d;const v=s.charCodeAt(0)===o;let p;v?(d.root="/",p=1):p=0;let _=-1,C=0,y=-1,R=!0,x=s.length-1,P=0;for(;x>=p;--x){const O=s.charCodeAt(x);if(O===o){if(!R){C=x+1;break}continue}y===-1&&(R=!1,y=x+1),O===m?_===-1?_=x:P!==1&&(P=1):_!==-1&&(P=-1)}if(y!==-1){const O=C===0&&v?1:C;_===-1||P===0||P===1&&_===y-1&&_===C+1?d.base=d.name=s.slice(O,y):(d.name=s.slice(O,_),d.base=s.slice(O,y),d.ext=s.slice(_,y))}return C>0?d.dir=s.slice(0,C-1):v&&(d.dir="/"),d},sep:"/",delimiter:":",win32:null,posix:null},r.posix.win32=r.win32.win32=r.win32,r.posix.posix=r.win32.posix=r.posix,r.normalize=h?r.win32.normalize:r.posix.normalize,r.join=h?r.win32.join:r.posix.join,r.resolve=h?r.win32.resolve:r.posix.resolve,r.relative=h?r.win32.relative:r.posix.relative,r.dirname=h?r.win32.dirname:r.posix.dirname,r.basename=h?r.win32.basename:r.posix.basename,r.extname=h?r.win32.extname:r.posix.extname,r.sep=h?r.win32.sep:r.posix.sep}),X(Y[24],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.StopWatch=void 0;const n=globalThis.performance&&typeof globalThis.performance.now=="function";class D{static create(g){return new D(g)}constructor(g){this._now=n&&g===!1?Date.now:globalThis.performance.now.bind(globalThis.performance),this._startTime=this._now(),this._stopTime=-1}stop(){this._stopTime=this._now()}reset(){this._startTime=this._now(),this._stopTime=-1}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}}r.StopWatch=D}),X(Y[11],J([0,1,4,19,15,21,24]),function(W,r,n,D,A,g,c){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Relay=r.EventBufferer=r.EventMultiplexer=r.MicrotaskEmitter=r.DebounceEmitter=r.PauseableEmitter=r.createEventDeliveryQueue=r.Emitter=r.ListenerRefusalError=r.ListenerLeakError=r.EventProfiling=r.Event=void 0;const m=!1,o=!1,u=!1;var b;(function(R){R.None=()=>A.Disposable.None;function x(U){if(u){const{onDidAddListener:Q}=U,Z=a.create();let k=0;U.onDidAddListener=()=>{++k===2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),Z.print()),Q?.()}}}function P(U,Q){return ee(U,()=>{},0,void 0,!0,void 0,Q)}R.defer=P;function O(U){return(Q,Z=null,k)=>{let T=!1,z;return z=U(H=>{if(!T)return z?z.dispose():T=!0,Q.call(Z,H)},null,k),T&&z.dispose(),z}}R.once=O;function q(U,Q,Z){return G((k,T=null,z)=>U(H=>k.call(T,Q(H)),null,z),Z)}R.map=q;function V(U,Q,Z){return G((k,T=null,z)=>U(H=>{Q(H),k.call(T,H)},null,z),Z)}R.forEach=V;function $(U,Q,Z){return G((k,T=null,z)=>U(H=>Q(H)&&k.call(T,H),null,z),Z)}R.filter=$;function I(U){return U}R.signal=I;function F(...U){return(Q,Z=null,k)=>{const T=(0,A.combinedDisposable)(...U.map(z=>z(H=>Q.call(Z,H))));return j(T,k)}}R.any=F;function B(U,Q,Z,k){let T=Z;return q(U,z=>(T=Q(T,z),T),k)}R.reduce=B;function G(U,Q){let Z;const k={onWillAddFirstListener(){Z=U(T.fire,T)},onDidRemoveLastListener(){Z?.dispose()}};Q||x(k);const T=new E(k);return Q?.add(T),T.event}function j(U,Q){return Q instanceof Array?Q.push(U):Q&&Q.add(U),U}function ee(U,Q,Z=100,k=!1,T=!1,z,H){let K,ne,ie,le=0,ue;const he={leakWarningThreshold:z,onWillAddFirstListener(){K=U(fe=>{le++,ne=Q(ne,fe),k&&!ie&&(se.fire(ne),ne=void 0),ue=()=>{const ce=ne;ne=void 0,ie=void 0,(!k||le>1)&&se.fire(ce),le=0},typeof Z=="number"?(clearTimeout(ie),ie=setTimeout(ue,Z)):ie===void 0&&(ie=0,queueMicrotask(ue))})},onWillRemoveListener(){T&&le>0&&ue?.()},onDidRemoveLastListener(){ue=void 0,K.dispose()}};H||x(he);const se=new E(he);return H?.add(se),se.event}R.debounce=ee;function te(U,Q=0,Z){return R.debounce(U,(k,T)=>k?(k.push(T),k):[T],Q,void 0,!0,void 0,Z)}R.accumulate=te;function re(U,Q=(k,T)=>k===T,Z){let k=!0,T;return $(U,z=>{const H=k||!Q(z,T);return k=!1,T=z,H},Z)}R.latch=re;function oe(U,Q,Z){return[R.filter(U,Q,Z),R.filter(U,k=>!Q(k),Z)]}R.split=oe;function ge(U,Q=!1,Z=[],k){let T=Z.slice(),z=U(ne=>{T?T.push(ne):K.fire(ne)});k&&k.add(z);const H=()=>{T?.forEach(ne=>K.fire(ne)),T=null},K=new E({onWillAddFirstListener(){z||(z=U(ne=>K.fire(ne)),k&&k.add(z))},onDidAddFirstListener(){T&&(Q?setTimeout(H):H())},onDidRemoveLastListener(){z&&z.dispose(),z=null}});return k&&k.add(K),K.event}R.buffer=ge;function me(U,Q){return(k,T,z)=>{const H=Q(new Le);return U(function(K){const ne=H.evaluate(K);ne!==t&&k.call(T,ne)},void 0,z)}}R.chain=me;const t=Symbol("HaltChainable");class Le{constructor(){this.steps=[]}map(Q){return this.steps.push(Q),this}forEach(Q){return this.steps.push(Z=>(Q(Z),Z)),this}filter(Q){return this.steps.push(Z=>Q(Z)?Z:t),this}reduce(Q,Z){let k=Z;return this.steps.push(T=>(k=Q(k,T),k)),this}latch(Q=(Z,k)=>Z===k){let Z=!0,k;return this.steps.push(T=>{const z=Z||!Q(T,k);return Z=!1,k=T,z?T:t}),this}evaluate(Q){for(const Z of this.steps)if(Q=Z(Q),Q===t)break;return Q}}function be(U,Q,Z=k=>k){const k=(...K)=>H.fire(Z(...K)),T=()=>U.on(Q,k),z=()=>U.removeListener(Q,k),H=new E({onWillAddFirstListener:T,onDidRemoveLastListener:z});return H.event}R.fromNodeEventEmitter=be;function we(U,Q,Z=k=>k){const k=(...K)=>H.fire(Z(...K)),T=()=>U.addEventListener(Q,k),z=()=>U.removeEventListener(Q,k),H=new E({onWillAddFirstListener:T,onDidRemoveLastListener:z});return H.event}R.fromDOMEventEmitter=we;function Ce(U){return new Promise(Q=>O(U)(Q))}R.toPromise=Ce;function Se(U){const Q=new E;return U.then(Z=>{Q.fire(Z)},()=>{Q.fire(void 0)}).finally(()=>{Q.dispose()}),Q.event}R.fromPromise=Se;function pe(U,Q){return U(Z=>Q.fire(Z))}R.forward=pe;function de(U,Q,Z){return Q(Z),U(k=>Q(k))}R.runAndSubscribe=de;class _e{constructor(Q,Z){this._observable=Q,this._counter=0,this._hasChanged=!1;const k={onWillAddFirstListener:()=>{Q.addObserver(this),this._observable.reportChanges()},onDidRemoveLastListener:()=>{Q.removeObserver(this)}};Z||x(k),this.emitter=new E(k),Z&&Z.add(this.emitter)}beginUpdate(Q){this._counter++}handlePossibleChange(Q){}handleChange(Q,Z){this._hasChanged=!0}endUpdate(Q){this._counter--,this._counter===0&&(this._observable.reportChanges(),this._hasChanged&&(this._hasChanged=!1,this.emitter.fire(this._observable.get())))}}function ye(U,Q){return new _e(U,Q).emitter.event}R.fromObservable=ye;function Ee(U){return(Q,Z,k)=>{let T=0,z=!1;const H={beginUpdate(){T++},endUpdate(){T--,T===0&&(U.reportChanges(),z&&(z=!1,Q.call(Z)))},handlePossibleChange(){},handleChange(){z=!0}};U.addObserver(H),U.reportChanges();const K={dispose(){U.removeObserver(H)}};return k instanceof A.DisposableStore?k.add(K):Array.isArray(k)&&k.push(K),K}}R.fromObservableLight=Ee})(b||(r.Event=b={}));class e{static{this.all=new Set}static{this._idPool=0}constructor(x){this.listenerCount=0,this.invocationCount=0,this.elapsedOverall=0,this.durations=[],this.name=`${x}_${e._idPool++}`,e.all.add(this)}start(x){this._stopWatch=new c.StopWatch,this.listenerCount=x}stop(){if(this._stopWatch){const x=this._stopWatch.elapsed();this.durations.push(x),this.elapsedOverall+=x,this.invocationCount+=1,this._stopWatch=void 0}}}r.EventProfiling=e;let f=-1;class i{static{this._idPool=1}constructor(x,P,O=(i._idPool++).toString(16).padStart(3,"0")){this._errorHandler=x,this.threshold=P,this.name=O,this._warnCountdown=0}dispose(){this._stacks?.clear()}check(x,P){const O=this.threshold;if(O<=0||P<O)return;this._stacks||(this._stacks=new Map);const q=this._stacks.get(x.value)||0;if(this._stacks.set(x.value,q+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=O*.5;const[V,$]=this.getMostFrequentStack(),I=`[${this.name}] potential listener LEAK detected, having ${P} listeners already. MOST frequent listener (${$}):`;console.warn(I),console.warn(V);const F=new h(I,V);this._errorHandler(F)}return()=>{const V=this._stacks.get(x.value)||0;this._stacks.set(x.value,V-1)}}getMostFrequentStack(){if(!this._stacks)return;let x,P=0;for(const[O,q]of this._stacks)(!x||P<q)&&(x=[O,q],P=q);return x}}class a{static create(){const x=new Error;return new a(x.stack??"")}constructor(x){this.value=x}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class h extends Error{constructor(x,P){super(x),this.name="ListenerLeakError",this.stack=P}}r.ListenerLeakError=h;class l extends Error{constructor(x,P){super(x),this.name="ListenerRefusalError",this.stack=P}}r.ListenerRefusalError=l;class S{constructor(x){this.value=x}}const L=2,N=(R,x)=>{if(R instanceof S)x(R);else for(let P=0;P<R.length;P++){const O=R[P];O&&x(O)}};let M;if(m){const R=[];setInterval(()=>{R.length!==0&&(console.warn("[LEAKING LISTENERS] GC'ed these listeners that were NOT yet disposed:"),console.warn(R.join(`
`)),R.length=0)},3e3),M=new FinalizationRegistry(x=>{typeof x=="string"&&R.push(x)})}class E{constructor(x){this._size=0,this._options=x,this._leakageMon=f>0||this._options?.leakWarningThreshold?new i(x?.onListenerError??n.onUnexpectedError,this._options?.leakWarningThreshold??f):void 0,this._perfMon=this._options?._profName?new e(this._options._profName):void 0,this._deliveryQueue=this._options?.deliveryQueue}dispose(){if(!this._disposed){if(this._disposed=!0,this._deliveryQueue?.current===this&&this._deliveryQueue.reset(),this._listeners){if(o){const x=this._listeners;queueMicrotask(()=>{N(x,P=>P.stack?.print())})}this._listeners=void 0,this._size=0}this._options?.onDidRemoveLastListener?.(),this._leakageMon?.dispose()}}get event(){return this._event??=(x,P,O)=>{if(this._leakageMon&&this._size>this._leakageMon.threshold**2){const F=`[${this._leakageMon.name}] REFUSES to accept new listeners because it exceeded its threshold by far (${this._size} vs ${this._leakageMon.threshold})`;console.warn(F);const B=this._leakageMon.getMostFrequentStack()??["UNKNOWN stack",-1],G=new l(`${F}. HINT: Stack shows most frequent listener (${B[1]}-times)`,B[0]);return(this._options?.onListenerError||n.onUnexpectedError)(G),A.Disposable.None}if(this._disposed)return A.Disposable.None;P&&(x=x.bind(P));const q=new S(x);let V,$;this._leakageMon&&this._size>=Math.ceil(this._leakageMon.threshold*.2)&&(q.stack=a.create(),V=this._leakageMon.check(q.stack,this._size+1)),o&&(q.stack=$??a.create()),this._listeners?this._listeners instanceof S?(this._deliveryQueue??=new s,this._listeners=[this._listeners,q]):this._listeners.push(q):(this._options?.onWillAddFirstListener?.(this),this._listeners=q,this._options?.onDidAddFirstListener?.(this)),this._size++;const I=(0,A.toDisposable)(()=>{M?.unregister(I),V?.(),this._removeListener(q)});if(O instanceof A.DisposableStore?O.add(I):Array.isArray(O)&&O.push(I),M){const F=new Error().stack.split(`
`).slice(2,3).join(`
`).trim(),B=/(file:|vscode-file:\/\/vscode-app)?(\/[^:]*:\d+:\d+)/.exec(F);M.register(I,B?.[2]??F,I)}return I},this._event}_removeListener(x){if(this._options?.onWillRemoveListener?.(this),!this._listeners)return;if(this._size===1){this._listeners=void 0,this._options?.onDidRemoveLastListener?.(this),this._size=0;return}const P=this._listeners,O=P.indexOf(x);if(O===-1)throw console.log("disposed?",this._disposed),console.log("size?",this._size),console.log("arr?",JSON.stringify(this._listeners)),new Error("Attempted to dispose unknown listener");this._size--,P[O]=void 0;const q=this._deliveryQueue.current===this;if(this._size*L<=P.length){let V=0;for(let $=0;$<P.length;$++)P[$]?P[V++]=P[$]:q&&(this._deliveryQueue.end--,V<this._deliveryQueue.i&&this._deliveryQueue.i--);P.length=V}}_deliver(x,P){if(!x)return;const O=this._options?.onListenerError||n.onUnexpectedError;if(!O){x.value(P);return}try{x.value(P)}catch(q){O(q)}}_deliverQueue(x){const P=x.current._listeners;for(;x.i<x.end;)this._deliver(P[x.i++],x.value);x.reset()}fire(x){if(this._deliveryQueue?.current&&(this._deliverQueue(this._deliveryQueue),this._perfMon?.stop()),this._perfMon?.start(this._size),this._listeners)if(this._listeners instanceof S)this._deliver(this._listeners,x);else{const P=this._deliveryQueue;P.enqueue(this,x,this._listeners.length),this._deliverQueue(P)}this._perfMon?.stop()}hasListeners(){return this._size>0}}r.Emitter=E;const w=()=>new s;r.createEventDeliveryQueue=w;class s{constructor(){this.i=-1,this.end=0}enqueue(x,P,O){this.i=0,this.end=O,this.current=x,this.value=P}reset(){this.i=this.end,this.current=void 0,this.value=void 0}}class d extends E{constructor(x){super(x),this._isPaused=0,this._eventQueue=new g.LinkedList,this._mergeFn=x?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused===0)if(this._mergeFn){if(this._eventQueue.size>0){const x=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(x))}}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(x){this._size&&(this._isPaused!==0?this._eventQueue.push(x):super.fire(x))}}r.PauseableEmitter=d;class v extends d{constructor(x){super(x),this._delay=x.delay??100}fire(x){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(x)}}r.DebounceEmitter=v;class p extends E{constructor(x){super(x),this._queuedEvents=[],this._mergeFn=x?.merge}fire(x){this.hasListeners()&&(this._queuedEvents.push(x),this._queuedEvents.length===1&&queueMicrotask(()=>{this._mergeFn?super.fire(this._mergeFn(this._queuedEvents)):this._queuedEvents.forEach(P=>super.fire(P)),this._queuedEvents=[]}))}}r.MicrotaskEmitter=p;class _{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new E({onWillAddFirstListener:()=>this.onFirstListenerAdd(),onDidRemoveLastListener:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(x){const P={event:x,listener:null};this.events.push(P),this.hasListeners&&this.hook(P);const O=()=>{this.hasListeners&&this.unhook(P);const q=this.events.indexOf(P);this.events.splice(q,1)};return(0,A.toDisposable)((0,D.createSingleCallFunction)(O))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(x=>this.hook(x))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(x=>this.unhook(x))}hook(x){x.listener=x.event(P=>this.emitter.fire(P))}unhook(x){x.listener?.dispose(),x.listener=null}dispose(){this.emitter.dispose();for(const x of this.events)x.listener?.dispose();this.events=[]}}r.EventMultiplexer=_;class C{constructor(){this.data=[]}wrapEvent(x,P,O){return(q,V,$)=>x(I=>{const F=this.data[this.data.length-1];if(!P){F?F.buffers.push(()=>q.call(V,I)):q.call(V,I);return}const B=F;if(!B){q.call(V,P(O,I));return}B.items??=[],B.items.push(I),B.buffers.length===0&&F.buffers.push(()=>{B.reducedResult??=O?B.items.reduce(P,O):B.items.reduce(P),q.call(V,B.reducedResult)})},void 0,$)}bufferEvents(x){const P={buffers:new Array};this.data.push(P);const O=x();return this.data.pop(),P.buffers.forEach(q=>q()),O}}r.EventBufferer=C;class y{constructor(){this.listening=!1,this.inputEvent=b.None,this.inputEventListener=A.Disposable.None,this.emitter=new E({onDidAddFirstListener:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onDidRemoveLastListener:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(x){this.inputEvent=x,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=x(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}r.Relay=y}),X(Y[42],J([0,1,11]),function(W,r,n){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.CancellationTokenSource=r.CancellationToken=void 0,r.cancelOnDispose=m;const D=Object.freeze(function(o,u){const b=setTimeout(o.bind(u),0);return{dispose(){clearTimeout(b)}}});var A;(function(o){function u(b){return b===o.None||b===o.Cancelled||b instanceof g?!0:!b||typeof b!="object"?!1:typeof b.isCancellationRequested=="boolean"&&typeof b.onCancellationRequested=="function"}o.isCancellationToken=u,o.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:n.Event.None}),o.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:D})})(A||(r.CancellationToken=A={}));class g{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?D:(this._emitter||(this._emitter=new n.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class c{constructor(u){this._token=void 0,this._parentListener=void 0,this._parentListener=u&&u.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new g),this._token}cancel(){this._token?this._token instanceof g&&this._token.cancel():this._token=A.Cancelled}dispose(u=!1){u&&this.cancel(),this._parentListener?.dispose(),this._token?this._token instanceof g&&this._token.dispose():this._token=A.None}}r.CancellationTokenSource=c;function m(o){const u=new c;return o.add({dispose(){u.cancel()}}),u.token}}),X(Y[6],J([0,1,36,40]),function(W,r,n,D){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.InvisibleCharacters=r.AmbiguousCharacters=r.noBreakWhitespace=r.UTF8_BOM_CHARACTER=r.UNUSUAL_LINE_TERMINATORS=r.GraphemeIterator=r.CodePointIterator=void 0,r.isFalsyOrWhitespace=A,r.format=c,r.htmlAttributeEncodeValue=m,r.escape=o,r.escapeRegExpCharacters=u,r.trim=b,r.ltrim=e,r.rtrim=f,r.convertSimple2RegExpPattern=i,r.stripWildcards=a,r.createRegExp=h,r.regExpLeadsToEndlessLoop=l,r.splitLines=S,r.splitLinesIncludeSeparators=L,r.firstNonWhitespaceIndex=N,r.getLeadingWhitespace=M,r.lastNonWhitespaceIndex=E,r.compare=w,r.compareSubstring=s,r.compareIgnoreCase=d,r.compareSubstringIgnoreCase=v,r.isAsciiDigit=p,r.isLowerAsciiLetter=_,r.isUpperAsciiLetter=C,r.equalsIgnoreCase=y,r.startsWithIgnoreCase=R,r.commonPrefixLength=x,r.commonSuffixLength=P,r.isHighSurrogate=O,r.isLowSurrogate=q,r.computeCodePoint=V,r.getNextCodePoint=$,r.nextCharLength=G,r.prevCharLength=j,r.getCharContainingOffset=ee,r.containsRTL=oe,r.isBasicASCII=me,r.containsUnusualLineTerminators=t,r.isFullWidthCharacter=Le,r.isEmojiImprecise=be,r.startsWithUTF8BOM=we,r.containsUppercaseCharacter=Ce,r.singleLetterHash=Se,r.getLeftDeleteOffset=ye;function A(k){return!k||typeof k!="string"?!0:k.trim().length===0}const g=/{(\d+)}/g;function c(k,...T){return T.length===0?k:k.replace(g,function(z,H){const K=parseInt(H,10);return isNaN(K)||K<0||K>=T.length?z:T[K]})}function m(k){return k.replace(/[<>"'&]/g,T=>{switch(T){case"<":return"&lt;";case">":return"&gt;";case'"':return"&quot;";case"'":return"&apos;";case"&":return"&amp;"}return T})}function o(k){return k.replace(/[<>&]/g,function(T){switch(T){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return T}})}function u(k){return k.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}function b(k,T=" "){const z=e(k,T);return f(z,T)}function e(k,T){if(!k||!T)return k;const z=T.length;if(z===0||k.length===0)return k;let H=0;for(;k.indexOf(T,H)===H;)H=H+z;return k.substring(H)}function f(k,T){if(!k||!T)return k;const z=T.length,H=k.length;if(z===0||H===0)return k;let K=H,ne=-1;for(;ne=k.lastIndexOf(T,K-1),!(ne===-1||ne+z!==K);){if(ne===0)return"";K=ne}return k.substring(0,K)}function i(k){return k.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}function a(k){return k.replace(/\*/g,"")}function h(k,T,z={}){if(!k)throw new Error("Cannot create regex from empty string");T||(k=u(k)),z.wholeWord&&(/\B/.test(k.charAt(0))||(k="\\b"+k),/\B/.test(k.charAt(k.length-1))||(k=k+"\\b"));let H="";return z.global&&(H+="g"),z.matchCase||(H+="i"),z.multiline&&(H+="m"),z.unicode&&(H+="u"),new RegExp(k,H)}function l(k){return k.source==="^"||k.source==="^$"||k.source==="$"||k.source==="^\\s*$"?!1:!!(k.exec("")&&k.lastIndex===0)}function S(k){return k.split(/\r\n|\r|\n/)}function L(k){const T=[],z=k.split(/(\r\n|\r|\n)/);for(let H=0;H<Math.ceil(z.length/2);H++)T.push(z[2*H]+(z[2*H+1]??""));return T}function N(k){for(let T=0,z=k.length;T<z;T++){const H=k.charCodeAt(T);if(H!==32&&H!==9)return T}return-1}function M(k,T=0,z=k.length){for(let H=T;H<z;H++){const K=k.charCodeAt(H);if(K!==32&&K!==9)return k.substring(T,H)}return k.substring(T,z)}function E(k,T=k.length-1){for(let z=T;z>=0;z--){const H=k.charCodeAt(z);if(H!==32&&H!==9)return z}return-1}function w(k,T){return k<T?-1:k>T?1:0}function s(k,T,z=0,H=k.length,K=0,ne=T.length){for(;z<H&&K<ne;z++,K++){const ue=k.charCodeAt(z),he=T.charCodeAt(K);if(ue<he)return-1;if(ue>he)return 1}const ie=H-z,le=ne-K;return ie<le?-1:ie>le?1:0}function d(k,T){return v(k,T,0,k.length,0,T.length)}function v(k,T,z=0,H=k.length,K=0,ne=T.length){for(;z<H&&K<ne;z++,K++){let ue=k.charCodeAt(z),he=T.charCodeAt(K);if(ue===he)continue;if(ue>=128||he>=128)return s(k.toLowerCase(),T.toLowerCase(),z,H,K,ne);_(ue)&&(ue-=32),_(he)&&(he-=32);const se=ue-he;if(se!==0)return se}const ie=H-z,le=ne-K;return ie<le?-1:ie>le?1:0}function p(k){return k>=48&&k<=57}function _(k){return k>=97&&k<=122}function C(k){return k>=65&&k<=90}function y(k,T){return k.length===T.length&&v(k,T)===0}function R(k,T){const z=T.length;return T.length>k.length?!1:v(k,T,0,z)===0}function x(k,T){const z=Math.min(k.length,T.length);let H;for(H=0;H<z;H++)if(k.charCodeAt(H)!==T.charCodeAt(H))return H;return z}function P(k,T){const z=Math.min(k.length,T.length);let H;const K=k.length-1,ne=T.length-1;for(H=0;H<z;H++)if(k.charCodeAt(K-H)!==T.charCodeAt(ne-H))return H;return z}function O(k){return 55296<=k&&k<=56319}function q(k){return 56320<=k&&k<=57343}function V(k,T){return(k-55296<<10)+(T-56320)+65536}function $(k,T,z){const H=k.charCodeAt(z);if(O(H)&&z+1<T){const K=k.charCodeAt(z+1);if(q(K))return V(H,K)}return H}function I(k,T){const z=k.charCodeAt(T-1);if(q(z)&&T>1){const H=k.charCodeAt(T-2);if(O(H))return V(H,z)}return z}class F{get offset(){return this._offset}constructor(T,z=0){this._str=T,this._len=T.length,this._offset=z}setOffset(T){this._offset=T}prevCodePoint(){const T=I(this._str,this._offset);return this._offset-=T>=65536?2:1,T}nextCodePoint(){const T=$(this._str,this._len,this._offset);return this._offset+=T>=65536?2:1,T}eol(){return this._offset>=this._len}}r.CodePointIterator=F;class B{get offset(){return this._iterator.offset}constructor(T,z=0){this._iterator=new F(T,z)}nextGraphemeLength(){const T=de.getInstance(),z=this._iterator,H=z.offset;let K=T.getGraphemeBreakType(z.nextCodePoint());for(;!z.eol();){const ne=z.offset,ie=T.getGraphemeBreakType(z.nextCodePoint());if(pe(K,ie)){z.setOffset(ne);break}K=ie}return z.offset-H}prevGraphemeLength(){const T=de.getInstance(),z=this._iterator,H=z.offset;let K=T.getGraphemeBreakType(z.prevCodePoint());for(;z.offset>0;){const ne=z.offset,ie=T.getGraphemeBreakType(z.prevCodePoint());if(pe(ie,K)){z.setOffset(ne);break}K=ie}return H-z.offset}eol(){return this._iterator.eol()}}r.GraphemeIterator=B;function G(k,T){return new B(k,T).nextGraphemeLength()}function j(k,T){return new B(k,T).prevGraphemeLength()}function ee(k,T){T>0&&q(k.charCodeAt(T))&&T--;const z=T+G(k,T);return[z-j(k,z),z]}let te;function re(){return/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/}function oe(k){return te||(te=re()),te.test(k)}const ge=/^[\t\n\r\x20-\x7E]*$/;function me(k){return ge.test(k)}r.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function t(k){return r.UNUSUAL_LINE_TERMINATORS.test(k)}function Le(k){return k>=11904&&k<=55215||k>=63744&&k<=64255||k>=65281&&k<=65374}function be(k){return k>=127462&&k<=127487||k===8986||k===8987||k===9200||k===9203||k>=9728&&k<=10175||k===11088||k===11093||k>=127744&&k<=128591||k>=128640&&k<=128764||k>=128992&&k<=129008||k>=129280&&k<=129535||k>=129648&&k<=129782}r.UTF8_BOM_CHARACTER="\uFEFF";function we(k){return!!(k&&k.length>0&&k.charCodeAt(0)===65279)}function Ce(k,T=!1){return k?(T&&(k=k.replace(/\\./g,"")),k.toLowerCase()!==k):!1}function Se(k){return k=k%(2*26),k<26?String.fromCharCode(97+k):String.fromCharCode(65+k-26)}function pe(k,T){return k===0?T!==5&&T!==7:k===2&&T===3?!1:k===4||k===2||k===3||T===4||T===2||T===3?!0:!(k===8&&(T===8||T===9||T===11||T===12)||(k===11||k===9)&&(T===9||T===10)||(k===12||k===10)&&T===10||T===5||T===13||T===7||k===1||k===13&&T===14||k===6&&T===6)}class de{static{this._INSTANCE=null}static getInstance(){return de._INSTANCE||(de._INSTANCE=new de),de._INSTANCE}constructor(){this._data=_e()}getGraphemeBreakType(T){if(T<32)return T===10?3:T===13?2:4;if(T<127)return 0;const z=this._data,H=z.length/3;let K=1;for(;K<=H;)if(T<z[3*K])K=2*K;else if(T>z[3*K+1])K=2*K+1;else return z[3*K+2];return 0}}function _e(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function ye(k,T){if(k===0)return 0;const z=Ee(k,T);if(z!==void 0)return z;const H=new F(T,k);return H.prevCodePoint(),H.offset}function Ee(k,T){const z=new F(T,k);let H=z.prevCodePoint();for(;U(H)||H===65039||H===8419;){if(z.offset===0)return;H=z.prevCodePoint()}if(!be(H))return;let K=z.offset;return K>0&&z.prevCodePoint()===8205&&(K=z.offset),K}function U(k){return 127995<=k&&k<=127999}r.noBreakWhitespace="\xA0";class Q{static{this.ambiguousCharacterData=new D.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125,119846,109],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}'))}static{this.cache=new n.LRUCachedFunction({getCacheKey:JSON.stringify},T=>{function z(se){const fe=new Map;for(let ce=0;ce<se.length;ce+=2)fe.set(se[ce],se[ce+1]);return fe}function H(se,fe){const ce=new Map(se);for(const[ve,Ne]of fe)ce.set(ve,Ne);return ce}function K(se,fe){if(!se)return fe;const ce=new Map;for(const[ve,Ne]of se)fe.has(ve)&&ce.set(ve,Ne);return ce}const ne=this.ambiguousCharacterData.value;let ie=T.filter(se=>!se.startsWith("_")&&se in ne);ie.length===0&&(ie=["_default"]);let le;for(const se of ie){const fe=z(ne[se]);le=K(le,fe)}const ue=z(ne._common),he=H(ue,le);return new Q(he)})}static getInstance(T){return Q.cache.get(Array.from(T))}static{this._locales=new D.Lazy(()=>Object.keys(Q.ambiguousCharacterData.value).filter(T=>!T.startsWith("_")))}static getLocales(){return Q._locales.value}constructor(T){this.confusableDictionary=T}isAmbiguous(T){return this.confusableDictionary.has(T)}getPrimaryConfusable(T){return this.confusableDictionary.get(T)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}r.AmbiguousCharacters=Q;class Z{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static{this._data=void 0}static getData(){return this._data||(this._data=new Set(Z.getRawData())),this._data}static isInvisibleCharacter(T){return Z.getData().has(T)}static get codePoints(){return Z.getData()}}r.InvisibleCharacters=Z}),X(Y[43],J([0,1,6]),function(W,r,n){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.StringSHA1=void 0,r.hash=D,r.doHash=A,r.numberHash=g,r.stringHash=m,r.toHexString=i;function D(h){return A(h,0)}function A(h,l){switch(typeof h){case"object":return h===null?g(349,l):Array.isArray(h)?o(h,l):u(h,l);case"string":return m(h,l);case"boolean":return c(h,l);case"number":return g(h,l);case"undefined":return g(937,l);default:return g(617,l)}}function g(h,l){return(l<<5)-l+h|0}function c(h,l){return g(h?433:863,l)}function m(h,l){l=g(149417,l);for(let S=0,L=h.length;S<L;S++)l=g(h.charCodeAt(S),l);return l}function o(h,l){return l=g(104579,l),h.reduce((S,L)=>A(L,S),l)}function u(h,l){return l=g(181387,l),Object.keys(h).sort().reduce((S,L)=>(S=m(L,S),A(h[L],S)),l)}function b(h,l,S=32){const L=S-l,N=~((1<<L)-1);return(h<<l|(N&h)>>>L)>>>0}function e(h,l=0,S=h.byteLength,L=0){for(let N=0;N<S;N++)h[l+N]=L}function f(h,l,S="0"){for(;h.length<l;)h=S+h;return h}function i(h,l=32){return h instanceof ArrayBuffer?Array.from(new Uint8Array(h)).map(S=>S.toString(16).padStart(2,"0")).join(""):f((h>>>0).toString(16),l/4)}class a{static{this._bigBlock32=new DataView(new ArrayBuffer(320))}constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(67),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(l){const S=l.length;if(S===0)return;const L=this._buff;let N=this._buffLen,M=this._leftoverHighSurrogate,E,w;for(M!==0?(E=M,w=-1,M=0):(E=l.charCodeAt(0),w=0);;){let s=E;if(n.isHighSurrogate(E))if(w+1<S){const d=l.charCodeAt(w+1);n.isLowSurrogate(d)?(w++,s=n.computeCodePoint(E,d)):s=65533}else{M=E;break}else n.isLowSurrogate(E)&&(s=65533);if(N=this._push(L,N,s),w++,w<S)E=l.charCodeAt(w);else break}this._buffLen=N,this._leftoverHighSurrogate=M}_push(l,S,L){return L<128?l[S++]=L:L<2048?(l[S++]=192|(L&1984)>>>6,l[S++]=128|(L&63)>>>0):L<65536?(l[S++]=224|(L&61440)>>>12,l[S++]=128|(L&4032)>>>6,l[S++]=128|(L&63)>>>0):(l[S++]=240|(L&1835008)>>>18,l[S++]=128|(L&258048)>>>12,l[S++]=128|(L&4032)>>>6,l[S++]=128|(L&63)>>>0),S>=64&&(this._step(),S-=64,this._totalLen+=64,l[0]=l[64],l[1]=l[65],l[2]=l[66]),S}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),i(this._h0)+i(this._h1)+i(this._h2)+i(this._h3)+i(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,e(this._buff,this._buffLen),this._buffLen>56&&(this._step(),e(this._buff));const l=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(l/4294967296),!1),this._buffDV.setUint32(60,l%4294967296,!1),this._step()}_step(){const l=a._bigBlock32,S=this._buffDV;for(let p=0;p<64;p+=4)l.setUint32(p,S.getUint32(p,!1),!1);for(let p=64;p<320;p+=4)l.setUint32(p,b(l.getUint32(p-12,!1)^l.getUint32(p-32,!1)^l.getUint32(p-56,!1)^l.getUint32(p-64,!1),1),!1);let L=this._h0,N=this._h1,M=this._h2,E=this._h3,w=this._h4,s,d,v;for(let p=0;p<80;p++)p<20?(s=N&M|~N&E,d=1518500249):p<40?(s=N^M^E,d=1859775393):p<60?(s=N&M|N&E|M&E,d=2400959708):(s=N^M^E,d=3395469782),v=b(L,5)+s+w+d+l.getUint32(p*4,!1)&4294967295,w=E,E=M,M=b(N,30),N=L,L=v;this._h0=this._h0+L&4294967295,this._h1=this._h1+N&4294967295,this._h2=this._h2+M&4294967295,this._h3=this._h3+E&4294967295,this._h4=this._h4+w&4294967295}}r.StringSHA1=a}),X(Y[25],J([0,1,38,43]),function(W,r,n,D){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LcsDiff=r.StringDiffSequence=void 0,r.stringDiff=g;class A{constructor(e){this.source=e}getElements(){const e=this.source,f=new Int32Array(e.length);for(let i=0,a=e.length;i<a;i++)f[i]=e.charCodeAt(i);return f}}r.StringDiffSequence=A;function g(b,e,f){return new u(new A(b),new A(e)).ComputeDiff(f).changes}class c{static Assert(e,f){if(!e)throw new Error(f)}}class m{static Copy(e,f,i,a,h){for(let l=0;l<h;l++)i[a+l]=e[f+l]}static Copy2(e,f,i,a,h){for(let l=0;l<h;l++)i[a+l]=e[f+l]}}class o{constructor(){this.m_changes=[],this.m_originalStart=1073741824,this.m_modifiedStart=1073741824,this.m_originalCount=0,this.m_modifiedCount=0}MarkNextChange(){(this.m_originalCount>0||this.m_modifiedCount>0)&&this.m_changes.push(new n.DiffChange(this.m_originalStart,this.m_originalCount,this.m_modifiedStart,this.m_modifiedCount)),this.m_originalCount=0,this.m_modifiedCount=0,this.m_originalStart=1073741824,this.m_modifiedStart=1073741824}AddOriginalElement(e,f){this.m_originalStart=Math.min(this.m_originalStart,e),this.m_modifiedStart=Math.min(this.m_modifiedStart,f),this.m_originalCount++}AddModifiedElement(e,f){this.m_originalStart=Math.min(this.m_originalStart,e),this.m_modifiedStart=Math.min(this.m_modifiedStart,f),this.m_modifiedCount++}getChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes}getReverseChanges(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes.reverse(),this.m_changes}}class u{constructor(e,f,i=null){this.ContinueProcessingPredicate=i,this._originalSequence=e,this._modifiedSequence=f;const[a,h,l]=u._getElements(e),[S,L,N]=u._getElements(f);this._hasStrings=l&&N,this._originalStringElements=a,this._originalElementsOrHash=h,this._modifiedStringElements=S,this._modifiedElementsOrHash=L,this.m_forwardHistory=[],this.m_reverseHistory=[]}static _isStringArray(e){return e.length>0&&typeof e[0]=="string"}static _getElements(e){const f=e.getElements();if(u._isStringArray(f)){const i=new Int32Array(f.length);for(let a=0,h=f.length;a<h;a++)i[a]=(0,D.stringHash)(f[a],0);return[f,i,!0]}return f instanceof Int32Array?[[],f,!1]:[[],new Int32Array(f),!1]}ElementsAreEqual(e,f){return this._originalElementsOrHash[e]!==this._modifiedElementsOrHash[f]?!1:this._hasStrings?this._originalStringElements[e]===this._modifiedStringElements[f]:!0}ElementsAreStrictEqual(e,f){if(!this.ElementsAreEqual(e,f))return!1;const i=u._getStrictElement(this._originalSequence,e),a=u._getStrictElement(this._modifiedSequence,f);return i===a}static _getStrictElement(e,f){return typeof e.getStrictElement=="function"?e.getStrictElement(f):null}OriginalElementsAreEqual(e,f){return this._originalElementsOrHash[e]!==this._originalElementsOrHash[f]?!1:this._hasStrings?this._originalStringElements[e]===this._originalStringElements[f]:!0}ModifiedElementsAreEqual(e,f){return this._modifiedElementsOrHash[e]!==this._modifiedElementsOrHash[f]?!1:this._hasStrings?this._modifiedStringElements[e]===this._modifiedStringElements[f]:!0}ComputeDiff(e){return this._ComputeDiff(0,this._originalElementsOrHash.length-1,0,this._modifiedElementsOrHash.length-1,e)}_ComputeDiff(e,f,i,a,h){const l=[!1];let S=this.ComputeDiffRecursive(e,f,i,a,l);return h&&(S=this.PrettifyChanges(S)),{quitEarly:l[0],changes:S}}ComputeDiffRecursive(e,f,i,a,h){for(h[0]=!1;e<=f&&i<=a&&this.ElementsAreEqual(e,i);)e++,i++;for(;f>=e&&a>=i&&this.ElementsAreEqual(f,a);)f--,a--;if(e>f||i>a){let E;return i<=a?(c.Assert(e===f+1,"originalStart should only be one more than originalEnd"),E=[new n.DiffChange(e,0,i,a-i+1)]):e<=f?(c.Assert(i===a+1,"modifiedStart should only be one more than modifiedEnd"),E=[new n.DiffChange(e,f-e+1,i,0)]):(c.Assert(e===f+1,"originalStart should only be one more than originalEnd"),c.Assert(i===a+1,"modifiedStart should only be one more than modifiedEnd"),E=[]),E}const l=[0],S=[0],L=this.ComputeRecursionPoint(e,f,i,a,l,S,h),N=l[0],M=S[0];if(L!==null)return L;if(!h[0]){const E=this.ComputeDiffRecursive(e,N,i,M,h);let w=[];return h[0]?w=[new n.DiffChange(N+1,f-(N+1)+1,M+1,a-(M+1)+1)]:w=this.ComputeDiffRecursive(N+1,f,M+1,a,h),this.ConcatenateChanges(E,w)}return[new n.DiffChange(e,f-e+1,i,a-i+1)]}WALKTRACE(e,f,i,a,h,l,S,L,N,M,E,w,s,d,v,p,_,C){let y=null,R=null,x=new o,P=f,O=i,q=s[0]-p[0]-a,V=-1073741824,$=this.m_forwardHistory.length-1;do{const I=q+e;I===P||I<O&&N[I-1]<N[I+1]?(E=N[I+1],d=E-q-a,E<V&&x.MarkNextChange(),V=E,x.AddModifiedElement(E+1,d),q=I+1-e):(E=N[I-1]+1,d=E-q-a,E<V&&x.MarkNextChange(),V=E-1,x.AddOriginalElement(E,d+1),q=I-1-e),$>=0&&(N=this.m_forwardHistory[$],e=N[0],P=1,O=N.length-1)}while(--$>=-1);if(y=x.getReverseChanges(),C[0]){let I=s[0]+1,F=p[0]+1;if(y!==null&&y.length>0){const B=y[y.length-1];I=Math.max(I,B.getOriginalEnd()),F=Math.max(F,B.getModifiedEnd())}R=[new n.DiffChange(I,w-I+1,F,v-F+1)]}else{x=new o,P=l,O=S,q=s[0]-p[0]-L,V=1073741824,$=_?this.m_reverseHistory.length-1:this.m_reverseHistory.length-2;do{const I=q+h;I===P||I<O&&M[I-1]>=M[I+1]?(E=M[I+1]-1,d=E-q-L,E>V&&x.MarkNextChange(),V=E+1,x.AddOriginalElement(E+1,d+1),q=I+1-h):(E=M[I-1],d=E-q-L,E>V&&x.MarkNextChange(),V=E,x.AddModifiedElement(E+1,d+1),q=I-1-h),$>=0&&(M=this.m_reverseHistory[$],h=M[0],P=1,O=M.length-1)}while(--$>=-1);R=x.getChanges()}return this.ConcatenateChanges(y,R)}ComputeRecursionPoint(e,f,i,a,h,l,S){let L=0,N=0,M=0,E=0,w=0,s=0;e--,i--,h[0]=0,l[0]=0,this.m_forwardHistory=[],this.m_reverseHistory=[];const d=f-e+(a-i),v=d+1,p=new Int32Array(v),_=new Int32Array(v),C=a-i,y=f-e,R=e-i,x=f-a,O=(y-C)%2===0;p[C]=e,_[y]=f,S[0]=!1;for(let q=1;q<=d/2+1;q++){let V=0,$=0;M=this.ClipDiagonalBound(C-q,q,C,v),E=this.ClipDiagonalBound(C+q,q,C,v);for(let F=M;F<=E;F+=2){F===M||F<E&&p[F-1]<p[F+1]?L=p[F+1]:L=p[F-1]+1,N=L-(F-C)-R;const B=L;for(;L<f&&N<a&&this.ElementsAreEqual(L+1,N+1);)L++,N++;if(p[F]=L,L+N>V+$&&(V=L,$=N),!O&&Math.abs(F-y)<=q-1&&L>=_[F])return h[0]=L,l[0]=N,B<=_[F]&&q<=1448?this.WALKTRACE(C,M,E,R,y,w,s,x,p,_,L,f,h,N,a,l,O,S):null}const I=(V-e+($-i)-q)/2;if(this.ContinueProcessingPredicate!==null&&!this.ContinueProcessingPredicate(V,I))return S[0]=!0,h[0]=V,l[0]=$,I>0&&q<=1448?this.WALKTRACE(C,M,E,R,y,w,s,x,p,_,L,f,h,N,a,l,O,S):(e++,i++,[new n.DiffChange(e,f-e+1,i,a-i+1)]);w=this.ClipDiagonalBound(y-q,q,y,v),s=this.ClipDiagonalBound(y+q,q,y,v);for(let F=w;F<=s;F+=2){F===w||F<s&&_[F-1]>=_[F+1]?L=_[F+1]-1:L=_[F-1],N=L-(F-y)-x;const B=L;for(;L>e&&N>i&&this.ElementsAreEqual(L,N);)L--,N--;if(_[F]=L,O&&Math.abs(F-C)<=q&&L<=p[F])return h[0]=L,l[0]=N,B>=p[F]&&q<=1448?this.WALKTRACE(C,M,E,R,y,w,s,x,p,_,L,f,h,N,a,l,O,S):null}if(q<=1447){let F=new Int32Array(E-M+2);F[0]=C-M+1,m.Copy2(p,M,F,1,E-M+1),this.m_forwardHistory.push(F),F=new Int32Array(s-w+2),F[0]=y-w+1,m.Copy2(_,w,F,1,s-w+1),this.m_reverseHistory.push(F)}}return this.WALKTRACE(C,M,E,R,y,w,s,x,p,_,L,f,h,N,a,l,O,S)}PrettifyChanges(e){for(let f=0;f<e.length;f++){const i=e[f],a=f<e.length-1?e[f+1].originalStart:this._originalElementsOrHash.length,h=f<e.length-1?e[f+1].modifiedStart:this._modifiedElementsOrHash.length,l=i.originalLength>0,S=i.modifiedLength>0;for(;i.originalStart+i.originalLength<a&&i.modifiedStart+i.modifiedLength<h&&(!l||this.OriginalElementsAreEqual(i.originalStart,i.originalStart+i.originalLength))&&(!S||this.ModifiedElementsAreEqual(i.modifiedStart,i.modifiedStart+i.modifiedLength));){const N=this.ElementsAreStrictEqual(i.originalStart,i.modifiedStart);if(this.ElementsAreStrictEqual(i.originalStart+i.originalLength,i.modifiedStart+i.modifiedLength)&&!N)break;i.originalStart++,i.modifiedStart++}const L=[null];if(f<e.length-1&&this.ChangesOverlap(e[f],e[f+1],L)){e[f]=L[0],e.splice(f+1,1),f--;continue}}for(let f=e.length-1;f>=0;f--){const i=e[f];let a=0,h=0;if(f>0){const E=e[f-1];a=E.originalStart+E.originalLength,h=E.modifiedStart+E.modifiedLength}const l=i.originalLength>0,S=i.modifiedLength>0;let L=0,N=this._boundaryScore(i.originalStart,i.originalLength,i.modifiedStart,i.modifiedLength);for(let E=1;;E++){const w=i.originalStart-E,s=i.modifiedStart-E;if(w<a||s<h||l&&!this.OriginalElementsAreEqual(w,w+i.originalLength)||S&&!this.ModifiedElementsAreEqual(s,s+i.modifiedLength))break;const v=(w===a&&s===h?5:0)+this._boundaryScore(w,i.originalLength,s,i.modifiedLength);v>N&&(N=v,L=E)}i.originalStart-=L,i.modifiedStart-=L;const M=[null];if(f>0&&this.ChangesOverlap(e[f-1],e[f],M)){e[f-1]=M[0],e.splice(f,1),f++;continue}}if(this._hasStrings)for(let f=1,i=e.length;f<i;f++){const a=e[f-1],h=e[f],l=h.originalStart-a.originalStart-a.originalLength,S=a.originalStart,L=h.originalStart+h.originalLength,N=L-S,M=a.modifiedStart,E=h.modifiedStart+h.modifiedLength,w=E-M;if(l<5&&N<20&&w<20){const s=this._findBetterContiguousSequence(S,N,M,w,l);if(s){const[d,v]=s;(d!==a.originalStart+a.originalLength||v!==a.modifiedStart+a.modifiedLength)&&(a.originalLength=d-a.originalStart,a.modifiedLength=v-a.modifiedStart,h.originalStart=d+l,h.modifiedStart=v+l,h.originalLength=L-h.originalStart,h.modifiedLength=E-h.modifiedStart)}}}return e}_findBetterContiguousSequence(e,f,i,a,h){if(f<h||a<h)return null;const l=e+f-h+1,S=i+a-h+1;let L=0,N=0,M=0;for(let E=e;E<l;E++)for(let w=i;w<S;w++){const s=this._contiguousSequenceScore(E,w,h);s>0&&s>L&&(L=s,N=E,M=w)}return L>0?[N,M]:null}_contiguousSequenceScore(e,f,i){let a=0;for(let h=0;h<i;h++){if(!this.ElementsAreEqual(e+h,f+h))return 0;a+=this._originalStringElements[e+h].length}return a}_OriginalIsBoundary(e){return e<=0||e>=this._originalElementsOrHash.length-1?!0:this._hasStrings&&/^\s*$/.test(this._originalStringElements[e])}_OriginalRegionIsBoundary(e,f){if(this._OriginalIsBoundary(e)||this._OriginalIsBoundary(e-1))return!0;if(f>0){const i=e+f;if(this._OriginalIsBoundary(i-1)||this._OriginalIsBoundary(i))return!0}return!1}_ModifiedIsBoundary(e){return e<=0||e>=this._modifiedElementsOrHash.length-1?!0:this._hasStrings&&/^\s*$/.test(this._modifiedStringElements[e])}_ModifiedRegionIsBoundary(e,f){if(this._ModifiedIsBoundary(e)||this._ModifiedIsBoundary(e-1))return!0;if(f>0){const i=e+f;if(this._ModifiedIsBoundary(i-1)||this._ModifiedIsBoundary(i))return!0}return!1}_boundaryScore(e,f,i,a){const h=this._OriginalRegionIsBoundary(e,f)?1:0,l=this._ModifiedRegionIsBoundary(i,a)?1:0;return h+l}ConcatenateChanges(e,f){const i=[];if(e.length===0||f.length===0)return f.length>0?f:e;if(this.ChangesOverlap(e[e.length-1],f[0],i)){const a=new Array(e.length+f.length-1);return m.Copy(e,0,a,0,e.length-1),a[e.length-1]=i[0],m.Copy(f,1,a,e.length,f.length-1),a}else{const a=new Array(e.length+f.length);return m.Copy(e,0,a,0,e.length),m.Copy(f,0,a,e.length,f.length),a}}ChangesOverlap(e,f,i){if(c.Assert(e.originalStart<=f.originalStart,"Left change is not less than or equal to right change"),c.Assert(e.modifiedStart<=f.modifiedStart,"Left change is not less than or equal to right change"),e.originalStart+e.originalLength>=f.originalStart||e.modifiedStart+e.modifiedLength>=f.modifiedStart){const a=e.originalStart;let h=e.originalLength;const l=e.modifiedStart;let S=e.modifiedLength;return e.originalStart+e.originalLength>=f.originalStart&&(h=f.originalStart+f.originalLength-e.originalStart),e.modifiedStart+e.modifiedLength>=f.modifiedStart&&(S=f.modifiedStart+f.modifiedLength-e.modifiedStart),i[0]=new n.DiffChange(a,h,l,S),!0}else return i[0]=null,!1}ClipDiagonalBound(e,f,i,a){if(e>=0&&e<a)return e;const h=i,l=a-i-1,S=f%2===0;if(e<0){const L=h%2===0;return S===L?0:1}else{const L=l%2===0;return S===L?a-1:a-2}}}r.LcsDiff=u}),X(Y[26],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.isString=n,r.isObject=D,r.isTypedArray=A,r.isNumber=g,r.isIterable=c,r.isBoolean=m,r.isUndefined=o,r.isDefined=u,r.isUndefinedOrNull=b,r.assertType=e,r.assertIsDefined=f,r.isFunction=i,r.validateConstraints=a,r.validateConstraint=h;function n(l){return typeof l=="string"}function D(l){return typeof l=="object"&&l!==null&&!Array.isArray(l)&&!(l instanceof RegExp)&&!(l instanceof Date)}function A(l){const S=Object.getPrototypeOf(Uint8Array);return typeof l=="object"&&l instanceof S}function g(l){return typeof l=="number"&&!isNaN(l)}function c(l){return!!l&&typeof l[Symbol.iterator]=="function"}function m(l){return l===!0||l===!1}function o(l){return typeof l>"u"}function u(l){return!b(l)}function b(l){return o(l)||l===null}function e(l,S){if(!l)throw new Error(S?`Unexpected type, expected '${S}'`:"Unexpected type")}function f(l){if(b(l))throw new Error("Assertion Failed: argument is undefined or null");return l}function i(l){return typeof l=="function"}function a(l,S){const L=Math.min(l.length,S.length);for(let N=0;N<L;N++)h(l[N],S[N])}function h(l,S){if(n(S)){if(typeof l!==S)throw new Error(`argument does not match constraint: typeof ${S}`)}else if(i(S)){try{if(l instanceof S)return}catch{}if(!b(l)&&l.constructor===S||S.length===1&&S.call(void 0,l)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}}),X(Y[27],J([0,1,26]),function(W,r,n){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.register=A,r.getCodiconFontCharacters=g;const D=Object.create(null);function A(c,m){if((0,n.isString)(m)){const o=D[m];if(o===void 0)throw new Error(`${c} references an unknown codicon: ${m}`);m=o}return D[c]=m,{id:c}}function g(){return D}}),X(Y[44],J([0,1,27]),function(W,r,n){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.codiconsLibrary=void 0,r.codiconsLibrary={add:(0,n.register)("add",6e4),plus:(0,n.register)("plus",6e4),gistNew:(0,n.register)("gist-new",6e4),repoCreate:(0,n.register)("repo-create",6e4),lightbulb:(0,n.register)("lightbulb",60001),lightBulb:(0,n.register)("light-bulb",60001),repo:(0,n.register)("repo",60002),repoDelete:(0,n.register)("repo-delete",60002),gistFork:(0,n.register)("gist-fork",60003),repoForked:(0,n.register)("repo-forked",60003),gitPullRequest:(0,n.register)("git-pull-request",60004),gitPullRequestAbandoned:(0,n.register)("git-pull-request-abandoned",60004),recordKeys:(0,n.register)("record-keys",60005),keyboard:(0,n.register)("keyboard",60005),tag:(0,n.register)("tag",60006),gitPullRequestLabel:(0,n.register)("git-pull-request-label",60006),tagAdd:(0,n.register)("tag-add",60006),tagRemove:(0,n.register)("tag-remove",60006),person:(0,n.register)("person",60007),personFollow:(0,n.register)("person-follow",60007),personOutline:(0,n.register)("person-outline",60007),personFilled:(0,n.register)("person-filled",60007),gitBranch:(0,n.register)("git-branch",60008),gitBranchCreate:(0,n.register)("git-branch-create",60008),gitBranchDelete:(0,n.register)("git-branch-delete",60008),sourceControl:(0,n.register)("source-control",60008),mirror:(0,n.register)("mirror",60009),mirrorPublic:(0,n.register)("mirror-public",60009),star:(0,n.register)("star",60010),starAdd:(0,n.register)("star-add",60010),starDelete:(0,n.register)("star-delete",60010),starEmpty:(0,n.register)("star-empty",60010),comment:(0,n.register)("comment",60011),commentAdd:(0,n.register)("comment-add",60011),alert:(0,n.register)("alert",60012),warning:(0,n.register)("warning",60012),search:(0,n.register)("search",60013),searchSave:(0,n.register)("search-save",60013),logOut:(0,n.register)("log-out",60014),signOut:(0,n.register)("sign-out",60014),logIn:(0,n.register)("log-in",60015),signIn:(0,n.register)("sign-in",60015),eye:(0,n.register)("eye",60016),eyeUnwatch:(0,n.register)("eye-unwatch",60016),eyeWatch:(0,n.register)("eye-watch",60016),circleFilled:(0,n.register)("circle-filled",60017),primitiveDot:(0,n.register)("primitive-dot",60017),closeDirty:(0,n.register)("close-dirty",60017),debugBreakpoint:(0,n.register)("debug-breakpoint",60017),debugBreakpointDisabled:(0,n.register)("debug-breakpoint-disabled",60017),debugHint:(0,n.register)("debug-hint",60017),terminalDecorationSuccess:(0,n.register)("terminal-decoration-success",60017),primitiveSquare:(0,n.register)("primitive-square",60018),edit:(0,n.register)("edit",60019),pencil:(0,n.register)("pencil",60019),info:(0,n.register)("info",60020),issueOpened:(0,n.register)("issue-opened",60020),gistPrivate:(0,n.register)("gist-private",60021),gitForkPrivate:(0,n.register)("git-fork-private",60021),lock:(0,n.register)("lock",60021),mirrorPrivate:(0,n.register)("mirror-private",60021),close:(0,n.register)("close",60022),removeClose:(0,n.register)("remove-close",60022),x:(0,n.register)("x",60022),repoSync:(0,n.register)("repo-sync",60023),sync:(0,n.register)("sync",60023),clone:(0,n.register)("clone",60024),desktopDownload:(0,n.register)("desktop-download",60024),beaker:(0,n.register)("beaker",60025),microscope:(0,n.register)("microscope",60025),vm:(0,n.register)("vm",60026),deviceDesktop:(0,n.register)("device-desktop",60026),file:(0,n.register)("file",60027),fileText:(0,n.register)("file-text",60027),more:(0,n.register)("more",60028),ellipsis:(0,n.register)("ellipsis",60028),kebabHorizontal:(0,n.register)("kebab-horizontal",60028),mailReply:(0,n.register)("mail-reply",60029),reply:(0,n.register)("reply",60029),organization:(0,n.register)("organization",60030),organizationFilled:(0,n.register)("organization-filled",60030),organizationOutline:(0,n.register)("organization-outline",60030),newFile:(0,n.register)("new-file",60031),fileAdd:(0,n.register)("file-add",60031),newFolder:(0,n.register)("new-folder",60032),fileDirectoryCreate:(0,n.register)("file-directory-create",60032),trash:(0,n.register)("trash",60033),trashcan:(0,n.register)("trashcan",60033),history:(0,n.register)("history",60034),clock:(0,n.register)("clock",60034),folder:(0,n.register)("folder",60035),fileDirectory:(0,n.register)("file-directory",60035),symbolFolder:(0,n.register)("symbol-folder",60035),logoGithub:(0,n.register)("logo-github",60036),markGithub:(0,n.register)("mark-github",60036),github:(0,n.register)("github",60036),terminal:(0,n.register)("terminal",60037),console:(0,n.register)("console",60037),repl:(0,n.register)("repl",60037),zap:(0,n.register)("zap",60038),symbolEvent:(0,n.register)("symbol-event",60038),error:(0,n.register)("error",60039),stop:(0,n.register)("stop",60039),variable:(0,n.register)("variable",60040),symbolVariable:(0,n.register)("symbol-variable",60040),array:(0,n.register)("array",60042),symbolArray:(0,n.register)("symbol-array",60042),symbolModule:(0,n.register)("symbol-module",60043),symbolPackage:(0,n.register)("symbol-package",60043),symbolNamespace:(0,n.register)("symbol-namespace",60043),symbolObject:(0,n.register)("symbol-object",60043),symbolMethod:(0,n.register)("symbol-method",60044),symbolFunction:(0,n.register)("symbol-function",60044),symbolConstructor:(0,n.register)("symbol-constructor",60044),symbolBoolean:(0,n.register)("symbol-boolean",60047),symbolNull:(0,n.register)("symbol-null",60047),symbolNumeric:(0,n.register)("symbol-numeric",60048),symbolNumber:(0,n.register)("symbol-number",60048),symbolStructure:(0,n.register)("symbol-structure",60049),symbolStruct:(0,n.register)("symbol-struct",60049),symbolParameter:(0,n.register)("symbol-parameter",60050),symbolTypeParameter:(0,n.register)("symbol-type-parameter",60050),symbolKey:(0,n.register)("symbol-key",60051),symbolText:(0,n.register)("symbol-text",60051),symbolReference:(0,n.register)("symbol-reference",60052),goToFile:(0,n.register)("go-to-file",60052),symbolEnum:(0,n.register)("symbol-enum",60053),symbolValue:(0,n.register)("symbol-value",60053),symbolRuler:(0,n.register)("symbol-ruler",60054),symbolUnit:(0,n.register)("symbol-unit",60054),activateBreakpoints:(0,n.register)("activate-breakpoints",60055),archive:(0,n.register)("archive",60056),arrowBoth:(0,n.register)("arrow-both",60057),arrowDown:(0,n.register)("arrow-down",60058),arrowLeft:(0,n.register)("arrow-left",60059),arrowRight:(0,n.register)("arrow-right",60060),arrowSmallDown:(0,n.register)("arrow-small-down",60061),arrowSmallLeft:(0,n.register)("arrow-small-left",60062),arrowSmallRight:(0,n.register)("arrow-small-right",60063),arrowSmallUp:(0,n.register)("arrow-small-up",60064),arrowUp:(0,n.register)("arrow-up",60065),bell:(0,n.register)("bell",60066),bold:(0,n.register)("bold",60067),book:(0,n.register)("book",60068),bookmark:(0,n.register)("bookmark",60069),debugBreakpointConditionalUnverified:(0,n.register)("debug-breakpoint-conditional-unverified",60070),debugBreakpointConditional:(0,n.register)("debug-breakpoint-conditional",60071),debugBreakpointConditionalDisabled:(0,n.register)("debug-breakpoint-conditional-disabled",60071),debugBreakpointDataUnverified:(0,n.register)("debug-breakpoint-data-unverified",60072),debugBreakpointData:(0,n.register)("debug-breakpoint-data",60073),debugBreakpointDataDisabled:(0,n.register)("debug-breakpoint-data-disabled",60073),debugBreakpointLogUnverified:(0,n.register)("debug-breakpoint-log-unverified",60074),debugBreakpointLog:(0,n.register)("debug-breakpoint-log",60075),debugBreakpointLogDisabled:(0,n.register)("debug-breakpoint-log-disabled",60075),briefcase:(0,n.register)("briefcase",60076),broadcast:(0,n.register)("broadcast",60077),browser:(0,n.register)("browser",60078),bug:(0,n.register)("bug",60079),calendar:(0,n.register)("calendar",60080),caseSensitive:(0,n.register)("case-sensitive",60081),check:(0,n.register)("check",60082),checklist:(0,n.register)("checklist",60083),chevronDown:(0,n.register)("chevron-down",60084),chevronLeft:(0,n.register)("chevron-left",60085),chevronRight:(0,n.register)("chevron-right",60086),chevronUp:(0,n.register)("chevron-up",60087),chromeClose:(0,n.register)("chrome-close",60088),chromeMaximize:(0,n.register)("chrome-maximize",60089),chromeMinimize:(0,n.register)("chrome-minimize",60090),chromeRestore:(0,n.register)("chrome-restore",60091),circleOutline:(0,n.register)("circle-outline",60092),circle:(0,n.register)("circle",60092),debugBreakpointUnverified:(0,n.register)("debug-breakpoint-unverified",60092),terminalDecorationIncomplete:(0,n.register)("terminal-decoration-incomplete",60092),circleSlash:(0,n.register)("circle-slash",60093),circuitBoard:(0,n.register)("circuit-board",60094),clearAll:(0,n.register)("clear-all",60095),clippy:(0,n.register)("clippy",60096),closeAll:(0,n.register)("close-all",60097),cloudDownload:(0,n.register)("cloud-download",60098),cloudUpload:(0,n.register)("cloud-upload",60099),code:(0,n.register)("code",60100),collapseAll:(0,n.register)("collapse-all",60101),colorMode:(0,n.register)("color-mode",60102),commentDiscussion:(0,n.register)("comment-discussion",60103),creditCard:(0,n.register)("credit-card",60105),dash:(0,n.register)("dash",60108),dashboard:(0,n.register)("dashboard",60109),database:(0,n.register)("database",60110),debugContinue:(0,n.register)("debug-continue",60111),debugDisconnect:(0,n.register)("debug-disconnect",60112),debugPause:(0,n.register)("debug-pause",60113),debugRestart:(0,n.register)("debug-restart",60114),debugStart:(0,n.register)("debug-start",60115),debugStepInto:(0,n.register)("debug-step-into",60116),debugStepOut:(0,n.register)("debug-step-out",60117),debugStepOver:(0,n.register)("debug-step-over",60118),debugStop:(0,n.register)("debug-stop",60119),debug:(0,n.register)("debug",60120),deviceCameraVideo:(0,n.register)("device-camera-video",60121),deviceCamera:(0,n.register)("device-camera",60122),deviceMobile:(0,n.register)("device-mobile",60123),diffAdded:(0,n.register)("diff-added",60124),diffIgnored:(0,n.register)("diff-ignored",60125),diffModified:(0,n.register)("diff-modified",60126),diffRemoved:(0,n.register)("diff-removed",60127),diffRenamed:(0,n.register)("diff-renamed",60128),diff:(0,n.register)("diff",60129),diffSidebyside:(0,n.register)("diff-sidebyside",60129),discard:(0,n.register)("discard",60130),editorLayout:(0,n.register)("editor-layout",60131),emptyWindow:(0,n.register)("empty-window",60132),exclude:(0,n.register)("exclude",60133),extensions:(0,n.register)("extensions",60134),eyeClosed:(0,n.register)("eye-closed",60135),fileBinary:(0,n.register)("file-binary",60136),fileCode:(0,n.register)("file-code",60137),fileMedia:(0,n.register)("file-media",60138),filePdf:(0,n.register)("file-pdf",60139),fileSubmodule:(0,n.register)("file-submodule",60140),fileSymlinkDirectory:(0,n.register)("file-symlink-directory",60141),fileSymlinkFile:(0,n.register)("file-symlink-file",60142),fileZip:(0,n.register)("file-zip",60143),files:(0,n.register)("files",60144),filter:(0,n.register)("filter",60145),flame:(0,n.register)("flame",60146),foldDown:(0,n.register)("fold-down",60147),foldUp:(0,n.register)("fold-up",60148),fold:(0,n.register)("fold",60149),folderActive:(0,n.register)("folder-active",60150),folderOpened:(0,n.register)("folder-opened",60151),gear:(0,n.register)("gear",60152),gift:(0,n.register)("gift",60153),gistSecret:(0,n.register)("gist-secret",60154),gist:(0,n.register)("gist",60155),gitCommit:(0,n.register)("git-commit",60156),gitCompare:(0,n.register)("git-compare",60157),compareChanges:(0,n.register)("compare-changes",60157),gitMerge:(0,n.register)("git-merge",60158),githubAction:(0,n.register)("github-action",60159),githubAlt:(0,n.register)("github-alt",60160),globe:(0,n.register)("globe",60161),grabber:(0,n.register)("grabber",60162),graph:(0,n.register)("graph",60163),gripper:(0,n.register)("gripper",60164),heart:(0,n.register)("heart",60165),home:(0,n.register)("home",60166),horizontalRule:(0,n.register)("horizontal-rule",60167),hubot:(0,n.register)("hubot",60168),inbox:(0,n.register)("inbox",60169),issueReopened:(0,n.register)("issue-reopened",60171),issues:(0,n.register)("issues",60172),italic:(0,n.register)("italic",60173),jersey:(0,n.register)("jersey",60174),json:(0,n.register)("json",60175),kebabVertical:(0,n.register)("kebab-vertical",60176),key:(0,n.register)("key",60177),law:(0,n.register)("law",60178),lightbulbAutofix:(0,n.register)("lightbulb-autofix",60179),linkExternal:(0,n.register)("link-external",60180),link:(0,n.register)("link",60181),listOrdered:(0,n.register)("list-ordered",60182),listUnordered:(0,n.register)("list-unordered",60183),liveShare:(0,n.register)("live-share",60184),loading:(0,n.register)("loading",60185),location:(0,n.register)("location",60186),mailRead:(0,n.register)("mail-read",60187),mail:(0,n.register)("mail",60188),markdown:(0,n.register)("markdown",60189),megaphone:(0,n.register)("megaphone",60190),mention:(0,n.register)("mention",60191),milestone:(0,n.register)("milestone",60192),gitPullRequestMilestone:(0,n.register)("git-pull-request-milestone",60192),mortarBoard:(0,n.register)("mortar-board",60193),move:(0,n.register)("move",60194),multipleWindows:(0,n.register)("multiple-windows",60195),mute:(0,n.register)("mute",60196),noNewline:(0,n.register)("no-newline",60197),note:(0,n.register)("note",60198),octoface:(0,n.register)("octoface",60199),openPreview:(0,n.register)("open-preview",60200),package:(0,n.register)("package",60201),paintcan:(0,n.register)("paintcan",60202),pin:(0,n.register)("pin",60203),play:(0,n.register)("play",60204),run:(0,n.register)("run",60204),plug:(0,n.register)("plug",60205),preserveCase:(0,n.register)("preserve-case",60206),preview:(0,n.register)("preview",60207),project:(0,n.register)("project",60208),pulse:(0,n.register)("pulse",60209),question:(0,n.register)("question",60210),quote:(0,n.register)("quote",60211),radioTower:(0,n.register)("radio-tower",60212),reactions:(0,n.register)("reactions",60213),references:(0,n.register)("references",60214),refresh:(0,n.register)("refresh",60215),regex:(0,n.register)("regex",60216),remoteExplorer:(0,n.register)("remote-explorer",60217),remote:(0,n.register)("remote",60218),remove:(0,n.register)("remove",60219),replaceAll:(0,n.register)("replace-all",60220),replace:(0,n.register)("replace",60221),repoClone:(0,n.register)("repo-clone",60222),repoForcePush:(0,n.register)("repo-force-push",60223),repoPull:(0,n.register)("repo-pull",60224),repoPush:(0,n.register)("repo-push",60225),report:(0,n.register)("report",60226),requestChanges:(0,n.register)("request-changes",60227),rocket:(0,n.register)("rocket",60228),rootFolderOpened:(0,n.register)("root-folder-opened",60229),rootFolder:(0,n.register)("root-folder",60230),rss:(0,n.register)("rss",60231),ruby:(0,n.register)("ruby",60232),saveAll:(0,n.register)("save-all",60233),saveAs:(0,n.register)("save-as",60234),save:(0,n.register)("save",60235),screenFull:(0,n.register)("screen-full",60236),screenNormal:(0,n.register)("screen-normal",60237),searchStop:(0,n.register)("search-stop",60238),server:(0,n.register)("server",60240),settingsGear:(0,n.register)("settings-gear",60241),settings:(0,n.register)("settings",60242),shield:(0,n.register)("shield",60243),smiley:(0,n.register)("smiley",60244),sortPrecedence:(0,n.register)("sort-precedence",60245),splitHorizontal:(0,n.register)("split-horizontal",60246),splitVertical:(0,n.register)("split-vertical",60247),squirrel:(0,n.register)("squirrel",60248),starFull:(0,n.register)("star-full",60249),starHalf:(0,n.register)("star-half",60250),symbolClass:(0,n.register)("symbol-class",60251),symbolColor:(0,n.register)("symbol-color",60252),symbolConstant:(0,n.register)("symbol-constant",60253),symbolEnumMember:(0,n.register)("symbol-enum-member",60254),symbolField:(0,n.register)("symbol-field",60255),symbolFile:(0,n.register)("symbol-file",60256),symbolInterface:(0,n.register)("symbol-interface",60257),symbolKeyword:(0,n.register)("symbol-keyword",60258),symbolMisc:(0,n.register)("symbol-misc",60259),symbolOperator:(0,n.register)("symbol-operator",60260),symbolProperty:(0,n.register)("symbol-property",60261),wrench:(0,n.register)("wrench",60261),wrenchSubaction:(0,n.register)("wrench-subaction",60261),symbolSnippet:(0,n.register)("symbol-snippet",60262),tasklist:(0,n.register)("tasklist",60263),telescope:(0,n.register)("telescope",60264),textSize:(0,n.register)("text-size",60265),threeBars:(0,n.register)("three-bars",60266),thumbsdown:(0,n.register)("thumbsdown",60267),thumbsup:(0,n.register)("thumbsup",60268),tools:(0,n.register)("tools",60269),triangleDown:(0,n.register)("triangle-down",60270),triangleLeft:(0,n.register)("triangle-left",60271),triangleRight:(0,n.register)("triangle-right",60272),triangleUp:(0,n.register)("triangle-up",60273),twitter:(0,n.register)("twitter",60274),unfold:(0,n.register)("unfold",60275),unlock:(0,n.register)("unlock",60276),unmute:(0,n.register)("unmute",60277),unverified:(0,n.register)("unverified",60278),verified:(0,n.register)("verified",60279),versions:(0,n.register)("versions",60280),vmActive:(0,n.register)("vm-active",60281),vmOutline:(0,n.register)("vm-outline",60282),vmRunning:(0,n.register)("vm-running",60283),watch:(0,n.register)("watch",60284),whitespace:(0,n.register)("whitespace",60285),wholeWord:(0,n.register)("whole-word",60286),window:(0,n.register)("window",60287),wordWrap:(0,n.register)("word-wrap",60288),zoomIn:(0,n.register)("zoom-in",60289),zoomOut:(0,n.register)("zoom-out",60290),listFilter:(0,n.register)("list-filter",60291),listFlat:(0,n.register)("list-flat",60292),listSelection:(0,n.register)("list-selection",60293),selection:(0,n.register)("selection",60293),listTree:(0,n.register)("list-tree",60294),debugBreakpointFunctionUnverified:(0,n.register)("debug-breakpoint-function-unverified",60295),debugBreakpointFunction:(0,n.register)("debug-breakpoint-function",60296),debugBreakpointFunctionDisabled:(0,n.register)("debug-breakpoint-function-disabled",60296),debugStackframeActive:(0,n.register)("debug-stackframe-active",60297),circleSmallFilled:(0,n.register)("circle-small-filled",60298),debugStackframeDot:(0,n.register)("debug-stackframe-dot",60298),terminalDecorationMark:(0,n.register)("terminal-decoration-mark",60298),debugStackframe:(0,n.register)("debug-stackframe",60299),debugStackframeFocused:(0,n.register)("debug-stackframe-focused",60299),debugBreakpointUnsupported:(0,n.register)("debug-breakpoint-unsupported",60300),symbolString:(0,n.register)("symbol-string",60301),debugReverseContinue:(0,n.register)("debug-reverse-continue",60302),debugStepBack:(0,n.register)("debug-step-back",60303),debugRestartFrame:(0,n.register)("debug-restart-frame",60304),debugAlt:(0,n.register)("debug-alt",60305),callIncoming:(0,n.register)("call-incoming",60306),callOutgoing:(0,n.register)("call-outgoing",60307),menu:(0,n.register)("menu",60308),expandAll:(0,n.register)("expand-all",60309),feedback:(0,n.register)("feedback",60310),gitPullRequestReviewer:(0,n.register)("git-pull-request-reviewer",60310),groupByRefType:(0,n.register)("group-by-ref-type",60311),ungroupByRefType:(0,n.register)("ungroup-by-ref-type",60312),account:(0,n.register)("account",60313),gitPullRequestAssignee:(0,n.register)("git-pull-request-assignee",60313),bellDot:(0,n.register)("bell-dot",60314),debugConsole:(0,n.register)("debug-console",60315),library:(0,n.register)("library",60316),output:(0,n.register)("output",60317),runAll:(0,n.register)("run-all",60318),syncIgnored:(0,n.register)("sync-ignored",60319),pinned:(0,n.register)("pinned",60320),githubInverted:(0,n.register)("github-inverted",60321),serverProcess:(0,n.register)("server-process",60322),serverEnvironment:(0,n.register)("server-environment",60323),pass:(0,n.register)("pass",60324),issueClosed:(0,n.register)("issue-closed",60324),stopCircle:(0,n.register)("stop-circle",60325),playCircle:(0,n.register)("play-circle",60326),record:(0,n.register)("record",60327),debugAltSmall:(0,n.register)("debug-alt-small",60328),vmConnect:(0,n.register)("vm-connect",60329),cloud:(0,n.register)("cloud",60330),merge:(0,n.register)("merge",60331),export:(0,n.register)("export",60332),graphLeft:(0,n.register)("graph-left",60333),magnet:(0,n.register)("magnet",60334),notebook:(0,n.register)("notebook",60335),redo:(0,n.register)("redo",60336),checkAll:(0,n.register)("check-all",60337),pinnedDirty:(0,n.register)("pinned-dirty",60338),passFilled:(0,n.register)("pass-filled",60339),circleLargeFilled:(0,n.register)("circle-large-filled",60340),circleLarge:(0,n.register)("circle-large",60341),circleLargeOutline:(0,n.register)("circle-large-outline",60341),combine:(0,n.register)("combine",60342),gather:(0,n.register)("gather",60342),table:(0,n.register)("table",60343),variableGroup:(0,n.register)("variable-group",60344),typeHierarchy:(0,n.register)("type-hierarchy",60345),typeHierarchySub:(0,n.register)("type-hierarchy-sub",60346),typeHierarchySuper:(0,n.register)("type-hierarchy-super",60347),gitPullRequestCreate:(0,n.register)("git-pull-request-create",60348),runAbove:(0,n.register)("run-above",60349),runBelow:(0,n.register)("run-below",60350),notebookTemplate:(0,n.register)("notebook-template",60351),debugRerun:(0,n.register)("debug-rerun",60352),workspaceTrusted:(0,n.register)("workspace-trusted",60353),workspaceUntrusted:(0,n.register)("workspace-untrusted",60354),workspaceUnknown:(0,n.register)("workspace-unknown",60355),terminalCmd:(0,n.register)("terminal-cmd",60356),terminalDebian:(0,n.register)("terminal-debian",60357),terminalLinux:(0,n.register)("terminal-linux",60358),terminalPowershell:(0,n.register)("terminal-powershell",60359),terminalTmux:(0,n.register)("terminal-tmux",60360),terminalUbuntu:(0,n.register)("terminal-ubuntu",60361),terminalBash:(0,n.register)("terminal-bash",60362),arrowSwap:(0,n.register)("arrow-swap",60363),copy:(0,n.register)("copy",60364),personAdd:(0,n.register)("person-add",60365),filterFilled:(0,n.register)("filter-filled",60366),wand:(0,n.register)("wand",60367),debugLineByLine:(0,n.register)("debug-line-by-line",60368),inspect:(0,n.register)("inspect",60369),layers:(0,n.register)("layers",60370),layersDot:(0,n.register)("layers-dot",60371),layersActive:(0,n.register)("layers-active",60372),compass:(0,n.register)("compass",60373),compassDot:(0,n.register)("compass-dot",60374),compassActive:(0,n.register)("compass-active",60375),azure:(0,n.register)("azure",60376),issueDraft:(0,n.register)("issue-draft",60377),gitPullRequestClosed:(0,n.register)("git-pull-request-closed",60378),gitPullRequestDraft:(0,n.register)("git-pull-request-draft",60379),debugAll:(0,n.register)("debug-all",60380),debugCoverage:(0,n.register)("debug-coverage",60381),runErrors:(0,n.register)("run-errors",60382),folderLibrary:(0,n.register)("folder-library",60383),debugContinueSmall:(0,n.register)("debug-continue-small",60384),beakerStop:(0,n.register)("beaker-stop",60385),graphLine:(0,n.register)("graph-line",60386),graphScatter:(0,n.register)("graph-scatter",60387),pieChart:(0,n.register)("pie-chart",60388),bracket:(0,n.register)("bracket",60175),bracketDot:(0,n.register)("bracket-dot",60389),bracketError:(0,n.register)("bracket-error",60390),lockSmall:(0,n.register)("lock-small",60391),azureDevops:(0,n.register)("azure-devops",60392),verifiedFilled:(0,n.register)("verified-filled",60393),newline:(0,n.register)("newline",60394),layout:(0,n.register)("layout",60395),layoutActivitybarLeft:(0,n.register)("layout-activitybar-left",60396),layoutActivitybarRight:(0,n.register)("layout-activitybar-right",60397),layoutPanelLeft:(0,n.register)("layout-panel-left",60398),layoutPanelCenter:(0,n.register)("layout-panel-center",60399),layoutPanelJustify:(0,n.register)("layout-panel-justify",60400),layoutPanelRight:(0,n.register)("layout-panel-right",60401),layoutPanel:(0,n.register)("layout-panel",60402),layoutSidebarLeft:(0,n.register)("layout-sidebar-left",60403),layoutSidebarRight:(0,n.register)("layout-sidebar-right",60404),layoutStatusbar:(0,n.register)("layout-statusbar",60405),layoutMenubar:(0,n.register)("layout-menubar",60406),layoutCentered:(0,n.register)("layout-centered",60407),target:(0,n.register)("target",60408),indent:(0,n.register)("indent",60409),recordSmall:(0,n.register)("record-small",60410),errorSmall:(0,n.register)("error-small",60411),terminalDecorationError:(0,n.register)("terminal-decoration-error",60411),arrowCircleDown:(0,n.register)("arrow-circle-down",60412),arrowCircleLeft:(0,n.register)("arrow-circle-left",60413),arrowCircleRight:(0,n.register)("arrow-circle-right",60414),arrowCircleUp:(0,n.register)("arrow-circle-up",60415),layoutSidebarRightOff:(0,n.register)("layout-sidebar-right-off",60416),layoutPanelOff:(0,n.register)("layout-panel-off",60417),layoutSidebarLeftOff:(0,n.register)("layout-sidebar-left-off",60418),blank:(0,n.register)("blank",60419),heartFilled:(0,n.register)("heart-filled",60420),map:(0,n.register)("map",60421),mapHorizontal:(0,n.register)("map-horizontal",60421),foldHorizontal:(0,n.register)("fold-horizontal",60421),mapFilled:(0,n.register)("map-filled",60422),mapHorizontalFilled:(0,n.register)("map-horizontal-filled",60422),foldHorizontalFilled:(0,n.register)("fold-horizontal-filled",60422),circleSmall:(0,n.register)("circle-small",60423),bellSlash:(0,n.register)("bell-slash",60424),bellSlashDot:(0,n.register)("bell-slash-dot",60425),commentUnresolved:(0,n.register)("comment-unresolved",60426),gitPullRequestGoToChanges:(0,n.register)("git-pull-request-go-to-changes",60427),gitPullRequestNewChanges:(0,n.register)("git-pull-request-new-changes",60428),searchFuzzy:(0,n.register)("search-fuzzy",60429),commentDraft:(0,n.register)("comment-draft",60430),send:(0,n.register)("send",60431),sparkle:(0,n.register)("sparkle",60432),insert:(0,n.register)("insert",60433),mic:(0,n.register)("mic",60434),thumbsdownFilled:(0,n.register)("thumbsdown-filled",60435),thumbsupFilled:(0,n.register)("thumbsup-filled",60436),coffee:(0,n.register)("coffee",60437),snake:(0,n.register)("snake",60438),game:(0,n.register)("game",60439),vr:(0,n.register)("vr",60440),chip:(0,n.register)("chip",60441),piano:(0,n.register)("piano",60442),music:(0,n.register)("music",60443),micFilled:(0,n.register)("mic-filled",60444),repoFetch:(0,n.register)("repo-fetch",60445),copilot:(0,n.register)("copilot",60446),lightbulbSparkle:(0,n.register)("lightbulb-sparkle",60447),robot:(0,n.register)("robot",60448),sparkleFilled:(0,n.register)("sparkle-filled",60449),diffSingle:(0,n.register)("diff-single",60450),diffMultiple:(0,n.register)("diff-multiple",60451),surroundWith:(0,n.register)("surround-with",60452),share:(0,n.register)("share",60453),gitStash:(0,n.register)("git-stash",60454),gitStashApply:(0,n.register)("git-stash-apply",60455),gitStashPop:(0,n.register)("git-stash-pop",60456),vscode:(0,n.register)("vscode",60457),vscodeInsiders:(0,n.register)("vscode-insiders",60458),codeOss:(0,n.register)("code-oss",60459),runCoverage:(0,n.register)("run-coverage",60460),runAllCoverage:(0,n.register)("run-all-coverage",60461),coverage:(0,n.register)("coverage",60462),githubProject:(0,n.register)("github-project",60463),mapVertical:(0,n.register)("map-vertical",60464),foldVertical:(0,n.register)("fold-vertical",60464),mapVerticalFilled:(0,n.register)("map-vertical-filled",60465),foldVerticalFilled:(0,n.register)("fold-vertical-filled",60465),goToSearch:(0,n.register)("go-to-search",60466),percentage:(0,n.register)("percentage",60467),sortPercentage:(0,n.register)("sort-percentage",60467),attach:(0,n.register)("attach",60468)}}),X(Y[45],J([0,1,27,44]),function(W,r,n,D){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Codicon=r.codiconsDerived=void 0,r.codiconsDerived={dialogError:(0,n.register)("dialog-error","error"),dialogWarning:(0,n.register)("dialog-warning","warning"),dialogInfo:(0,n.register)("dialog-info","info"),dialogClose:(0,n.register)("dialog-close","close"),treeItemExpanded:(0,n.register)("tree-item-expanded","chevron-down"),treeFilterOnTypeOn:(0,n.register)("tree-filter-on-type-on","list-filter"),treeFilterOnTypeOff:(0,n.register)("tree-filter-on-type-off","list-selection"),treeFilterClear:(0,n.register)("tree-filter-clear","close"),treeItemLoading:(0,n.register)("tree-item-loading","loading"),menuSelection:(0,n.register)("menu-selection","check"),menuSubmenu:(0,n.register)("menu-submenu","chevron-right"),menuBarMore:(0,n.register)("menubar-more","more"),scrollbarButtonLeft:(0,n.register)("scrollbar-button-left","triangle-left"),scrollbarButtonRight:(0,n.register)("scrollbar-button-right","triangle-right"),scrollbarButtonUp:(0,n.register)("scrollbar-button-up","triangle-up"),scrollbarButtonDown:(0,n.register)("scrollbar-button-down","triangle-down"),toolBarMore:(0,n.register)("toolbar-more","more"),quickInputBack:(0,n.register)("quick-input-back","arrow-left"),dropDownButton:(0,n.register)("drop-down-button",60084),symbolCustomColor:(0,n.register)("symbol-customcolor",60252),exportIcon:(0,n.register)("export",60332),workspaceUnspecified:(0,n.register)("workspace-unspecified",60355),newLine:(0,n.register)("newline",60394),thumbsDownFilled:(0,n.register)("thumbsdown-filled",60435),thumbsUpFilled:(0,n.register)("thumbsup-filled",60436),gitFetch:(0,n.register)("git-fetch",60445),lightbulbSparkleAutofix:(0,n.register)("lightbulb-sparkle-autofix",60447),debugBreakpointPending:(0,n.register)("debug-breakpoint-pending",60377)},r.Codicon={...D.codiconsLibrary,...r.codiconsDerived}}),X(Y[16],J([0,1,26]),function(W,r,n){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.deepClone=D,r.deepFreeze=A,r.cloneAndChange=c,r.mixin=o,r.equals=u,r.getAllPropertyNames=b,r.getAllMethodNames=e,r.createProxyObject=f;function D(i){if(!i||typeof i!="object"||i instanceof RegExp)return i;const a=Array.isArray(i)?[]:{};return Object.entries(i).forEach(([h,l])=>{a[h]=l&&typeof l=="object"?D(l):l}),a}function A(i){if(!i||typeof i!="object")return i;const a=[i];for(;a.length>0;){const h=a.shift();Object.freeze(h);for(const l in h)if(g.call(h,l)){const S=h[l];typeof S=="object"&&!Object.isFrozen(S)&&!(0,n.isTypedArray)(S)&&a.push(S)}}return i}const g=Object.prototype.hasOwnProperty;function c(i,a){return m(i,a,new Set)}function m(i,a,h){if((0,n.isUndefinedOrNull)(i))return i;const l=a(i);if(typeof l<"u")return l;if(Array.isArray(i)){const S=[];for(const L of i)S.push(m(L,a,h));return S}if((0,n.isObject)(i)){if(h.has(i))throw new Error("Cannot clone recursive data-structure");h.add(i);const S={};for(const L in i)g.call(i,L)&&(S[L]=m(i[L],a,h));return h.delete(i),S}return i}function o(i,a,h=!0){return(0,n.isObject)(i)?((0,n.isObject)(a)&&Object.keys(a).forEach(l=>{l in i?h&&((0,n.isObject)(i[l])&&(0,n.isObject)(a[l])?o(i[l],a[l],h):i[l]=a[l]):i[l]=a[l]}),i):a}function u(i,a){if(i===a)return!0;if(i==null||a===null||a===void 0||typeof i!=typeof a||typeof i!="object"||Array.isArray(i)!==Array.isArray(a))return!1;let h,l;if(Array.isArray(i)){if(i.length!==a.length)return!1;for(h=0;h<i.length;h++)if(!u(i[h],a[h]))return!1}else{const S=[];for(l in i)S.push(l);S.sort();const L=[];for(l in a)L.push(l);if(L.sort(),!u(S,L))return!1;for(h=0;h<S.length;h++)if(!u(i[S[h]],a[S[h]]))return!1}return!0}function b(i){let a=[];for(;Object.prototype!==i;)a=a.concat(Object.getOwnPropertyNames(i)),i=Object.getPrototypeOf(i);return a}function e(i){const a=[];for(const h of b(i))typeof i[h]=="function"&&a.push(h);return a}function f(i,a){const h=S=>function(){const L=Array.prototype.slice.call(arguments,0);return a(S,L)},l={};for(const S of i)l[S]=h(S);return l}}),X(Y[28],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.toUint8=n,r.toUint32=D;function n(A){return A<0?0:A>255?255:A|0}function D(A){return A<0?0:A>4294967295?4294967295:A|0}}),X(Y[12],J([0,1,23,10]),function(W,r,n,D){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.URI=void 0,r.uriToFsPath=N;const A=/^\w[\w\d+.-]*$/,g=/^\//,c=/^\/\//;function m(d,v){if(!d.scheme&&v)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${d.authority}", path: "${d.path}", query: "${d.query}", fragment: "${d.fragment}"}`);if(d.scheme&&!A.test(d.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(d.path){if(d.authority){if(!g.test(d.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(c.test(d.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function o(d,v){return!d&&!v?"file":d}function u(d,v){switch(d){case"https":case"http":case"file":v?v[0]!==e&&(v=e+v):v=e;break}return v}const b="",e="/",f=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class i{static isUri(v){return v instanceof i?!0:v?typeof v.authority=="string"&&typeof v.fragment=="string"&&typeof v.path=="string"&&typeof v.query=="string"&&typeof v.scheme=="string"&&typeof v.fsPath=="string"&&typeof v.with=="function"&&typeof v.toString=="function":!1}constructor(v,p,_,C,y,R=!1){typeof v=="object"?(this.scheme=v.scheme||b,this.authority=v.authority||b,this.path=v.path||b,this.query=v.query||b,this.fragment=v.fragment||b):(this.scheme=o(v,R),this.authority=p||b,this.path=u(this.scheme,_||b),this.query=C||b,this.fragment=y||b,m(this,R))}get fsPath(){return N(this,!1)}with(v){if(!v)return this;let{scheme:p,authority:_,path:C,query:y,fragment:R}=v;return p===void 0?p=this.scheme:p===null&&(p=b),_===void 0?_=this.authority:_===null&&(_=b),C===void 0?C=this.path:C===null&&(C=b),y===void 0?y=this.query:y===null&&(y=b),R===void 0?R=this.fragment:R===null&&(R=b),p===this.scheme&&_===this.authority&&C===this.path&&y===this.query&&R===this.fragment?this:new h(p,_,C,y,R)}static parse(v,p=!1){const _=f.exec(v);return _?new h(_[2]||b,s(_[4]||b),s(_[5]||b),s(_[7]||b),s(_[9]||b),p):new h(b,b,b,b,b)}static file(v){let p=b;if(D.isWindows&&(v=v.replace(/\\/g,e)),v[0]===e&&v[1]===e){const _=v.indexOf(e,2);_===-1?(p=v.substring(2),v=e):(p=v.substring(2,_),v=v.substring(_)||e)}return new h("file",p,v,b,b)}static from(v,p){return new h(v.scheme,v.authority,v.path,v.query,v.fragment,p)}static joinPath(v,...p){if(!v.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let _;return D.isWindows&&v.scheme==="file"?_=i.file(n.win32.join(N(v,!0),...p)).path:_=n.posix.join(v.path,...p),v.with({path:_})}toString(v=!1){return M(this,v)}toJSON(){return this}static revive(v){if(v){if(v instanceof i)return v;{const p=new h(v);return p._formatted=v.external??null,p._fsPath=v._sep===a?v.fsPath??null:null,p}}else return v}}r.URI=i;const a=D.isWindows?1:void 0;class h extends i{constructor(){super(...arguments),this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=N(this,!1)),this._fsPath}toString(v=!1){return v?M(this,!0):(this._formatted||(this._formatted=M(this,!1)),this._formatted)}toJSON(){const v={$mid:1};return this._fsPath&&(v.fsPath=this._fsPath,v._sep=a),this._formatted&&(v.external=this._formatted),this.path&&(v.path=this.path),this.scheme&&(v.scheme=this.scheme),this.authority&&(v.authority=this.authority),this.query&&(v.query=this.query),this.fragment&&(v.fragment=this.fragment),v}}const l={58:"%3A",47:"%2F",63:"%3F",35:"%23",91:"%5B",93:"%5D",64:"%40",33:"%21",36:"%24",38:"%26",39:"%27",40:"%28",41:"%29",42:"%2A",43:"%2B",44:"%2C",59:"%3B",61:"%3D",32:"%20"};function S(d,v,p){let _,C=-1;for(let y=0;y<d.length;y++){const R=d.charCodeAt(y);if(R>=97&&R<=122||R>=65&&R<=90||R>=48&&R<=57||R===45||R===46||R===95||R===126||v&&R===47||p&&R===91||p&&R===93||p&&R===58)C!==-1&&(_+=encodeURIComponent(d.substring(C,y)),C=-1),_!==void 0&&(_+=d.charAt(y));else{_===void 0&&(_=d.substr(0,y));const x=l[R];x!==void 0?(C!==-1&&(_+=encodeURIComponent(d.substring(C,y)),C=-1),_+=x):C===-1&&(C=y)}}return C!==-1&&(_+=encodeURIComponent(d.substring(C))),_!==void 0?_:d}function L(d){let v;for(let p=0;p<d.length;p++){const _=d.charCodeAt(p);_===35||_===63?(v===void 0&&(v=d.substr(0,p)),v+=l[_]):v!==void 0&&(v+=d[p])}return v!==void 0?v:d}function N(d,v){let p;return d.authority&&d.path.length>1&&d.scheme==="file"?p=`//${d.authority}${d.path}`:d.path.charCodeAt(0)===47&&(d.path.charCodeAt(1)>=65&&d.path.charCodeAt(1)<=90||d.path.charCodeAt(1)>=97&&d.path.charCodeAt(1)<=122)&&d.path.charCodeAt(2)===58?v?p=d.path.substr(1):p=d.path[1].toLowerCase()+d.path.substr(2):p=d.path,D.isWindows&&(p=p.replace(/\//g,"\\")),p}function M(d,v){const p=v?L:S;let _="",{scheme:C,authority:y,path:R,query:x,fragment:P}=d;if(C&&(_+=C,_+=":"),(y||C==="file")&&(_+=e,_+=e),y){let O=y.indexOf("@");if(O!==-1){const q=y.substr(0,O);y=y.substr(O+1),O=q.lastIndexOf(":"),O===-1?_+=p(q,!1,!1):(_+=p(q.substr(0,O),!1,!1),_+=":",_+=p(q.substr(O+1),!1,!0)),_+="@"}y=y.toLowerCase(),O=y.lastIndexOf(":"),O===-1?_+=p(y,!1,!0):(_+=p(y.substr(0,O),!1,!0),_+=y.substr(O))}if(R){if(R.length>=3&&R.charCodeAt(0)===47&&R.charCodeAt(2)===58){const O=R.charCodeAt(1);O>=65&&O<=90&&(R=`/${String.fromCharCode(O+32)}:${R.substr(3)}`)}else if(R.length>=2&&R.charCodeAt(1)===58){const O=R.charCodeAt(0);O>=65&&O<=90&&(R=`${String.fromCharCode(O+32)}:${R.substr(2)}`)}_+=p(R,!0,!1)}return x&&(_+="?",_+=p(x,!1,!1)),P&&(_+="#",_+=v?P:S(P,!1,!1)),_}function E(d){try{return decodeURIComponent(d)}catch{return d.length>3?d.substr(0,3)+E(d.substr(3)):d}}const w=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function s(d){return d.match(w)?d.replace(w,v=>E(v)):d}}),X(Y[29],J([0,1,4,10,6,12,23]),function(W,r,n,D,A,g,c){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.COI=r.FileAccess=r.VSCODE_AUTHORITY=r.RemoteAuthorities=r.connectionTokenQueryName=r.Schemas=void 0,r.matchesScheme=o,r.matchesSomeScheme=u;var m;(function(i){i.inMemory="inmemory",i.vscode="vscode",i.internal="private",i.walkThrough="walkThrough",i.walkThroughSnippet="walkThroughSnippet",i.http="http",i.https="https",i.file="file",i.mailto="mailto",i.untitled="untitled",i.data="data",i.command="command",i.vscodeRemote="vscode-remote",i.vscodeRemoteResource="vscode-remote-resource",i.vscodeManagedRemoteResource="vscode-managed-remote-resource",i.vscodeUserData="vscode-userdata",i.vscodeCustomEditor="vscode-custom-editor",i.vscodeNotebookCell="vscode-notebook-cell",i.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",i.vscodeNotebookCellOutput="vscode-notebook-cell-output",i.vscodeInteractiveInput="vscode-interactive-input",i.vscodeSettings="vscode-settings",i.vscodeWorkspaceTrust="vscode-workspace-trust",i.vscodeTerminal="vscode-terminal",i.vscodeChatCodeBlock="vscode-chat-code-block",i.vscodeChatCodeCompareBlock="vscode-chat-code-compare-block",i.vscodeChatSesssion="vscode-chat-editor",i.webviewPanel="webview-panel",i.vscodeWebview="vscode-webview",i.extension="extension",i.vscodeFileResource="vscode-file",i.tmp="tmp",i.vsls="vsls",i.vscodeSourceControl="vscode-scm",i.commentsInput="comment",i.codeSetting="code-setting",i.outputChannel="output"})(m||(r.Schemas=m={}));function o(i,a){return g.URI.isUri(i)?(0,A.equalsIgnoreCase)(i.scheme,a):(0,A.startsWithIgnoreCase)(i,a+":")}function u(i,...a){return a.some(h=>o(i,h))}r.connectionTokenQueryName="tkn";class b{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null,this._serverRootPath="/"}setPreferredWebSchema(a){this._preferredWebSchema=a}get _remoteResourcesPath(){return c.posix.join(this._serverRootPath,m.vscodeRemoteResource)}rewrite(a){if(this._delegate)try{return this._delegate(a)}catch(M){return n.onUnexpectedError(M),a}const h=a.authority;let l=this._hosts[h];l&&l.indexOf(":")!==-1&&l.indexOf("[")===-1&&(l=`[${l}]`);const S=this._ports[h],L=this._connectionTokens[h];let N=`path=${encodeURIComponent(a.path)}`;return typeof L=="string"&&(N+=`&${r.connectionTokenQueryName}=${encodeURIComponent(L)}`),g.URI.from({scheme:D.isWeb?this._preferredWebSchema:m.vscodeRemoteResource,authority:`${l}:${S}`,path:this._remoteResourcesPath,query:N})}}r.RemoteAuthorities=new b,r.VSCODE_AUTHORITY="vscode-app";class e{static{this.FALLBACK_AUTHORITY=r.VSCODE_AUTHORITY}asBrowserUri(a){const h=this.toUri(a,W);return this.uriToBrowserUri(h)}uriToBrowserUri(a){return a.scheme===m.vscodeRemote?r.RemoteAuthorities.rewrite(a):a.scheme===m.file&&(D.isNative||D.webWorkerOrigin===`${m.vscodeFileResource}://${e.FALLBACK_AUTHORITY}`)?a.with({scheme:m.vscodeFileResource,authority:a.authority||e.FALLBACK_AUTHORITY,query:null,fragment:null}):a}toUri(a,h){if(g.URI.isUri(a))return a;if(globalThis._VSCODE_FILE_ROOT){const l=globalThis._VSCODE_FILE_ROOT;if(/^\w[\w\d+.-]*:\/\//.test(l))return g.URI.joinPath(g.URI.parse(l,!0),a);const S=c.join(l,a);return g.URI.file(S)}return g.URI.parse(h.toUrl(a))}}r.FileAccess=new e;var f;(function(i){const a=new Map([["1",{"Cross-Origin-Opener-Policy":"same-origin"}],["2",{"Cross-Origin-Embedder-Policy":"require-corp"}],["3",{"Cross-Origin-Opener-Policy":"same-origin","Cross-Origin-Embedder-Policy":"require-corp"}]]);i.CoopAndCoep=Object.freeze(a.get("3"));const h="vscode-coi";function l(L){let N;typeof L=="string"?N=new URL(L).searchParams:L instanceof URL?N=L.searchParams:g.URI.isUri(L)&&(N=new URL(L.toString(!0)).searchParams);const M=N?.get(h);if(M)return a.get(M)}i.getHeadersFromQuery=l;function S(L,N,M){if(!globalThis.crossOriginIsolated)return;const E=N&&M?"3":M?"2":"1";L instanceof URLSearchParams?L.set(h,E):L[h]=E}i.addSearchParam=S})(f||(r.COI=f={}))}),X(Y[71],J([0,1,4,11,15,29,16,10,6]),function(W,r,n,D,A,g,c,m,o){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.SimpleWorkerServer=r.SimpleWorkerClient=void 0,r.logOnceWebWorkerWarning=f,r.create=d;const u=!1,b="$initialize";let e=!1;function f(v){m.isWeb&&(e||(e=!0,console.warn("Could not create web worker(s). Falling back to loading web worker code in main thread, which might cause UI freezes. Please see https://github.com/microsoft/monaco-editor#faq")),console.warn(v.message))}class i{constructor(p,_,C,y){this.vsWorker=p,this.req=_,this.method=C,this.args=y,this.type=0}}class a{constructor(p,_,C,y){this.vsWorker=p,this.seq=_,this.res=C,this.err=y,this.type=1}}class h{constructor(p,_,C,y){this.vsWorker=p,this.req=_,this.eventName=C,this.arg=y,this.type=2}}class l{constructor(p,_,C){this.vsWorker=p,this.req=_,this.event=C,this.type=3}}class S{constructor(p,_){this.vsWorker=p,this.req=_,this.type=4}}class L{constructor(p){this._workerId=-1,this._handler=p,this._lastSentReq=0,this._pendingReplies=Object.create(null),this._pendingEmitters=new Map,this._pendingEvents=new Map}setWorkerId(p){this._workerId=p}sendMessage(p,_){const C=String(++this._lastSentReq);return new Promise((y,R)=>{this._pendingReplies[C]={resolve:y,reject:R},this._send(new i(this._workerId,C,p,_))})}listen(p,_){let C=null;const y=new D.Emitter({onWillAddFirstListener:()=>{C=String(++this._lastSentReq),this._pendingEmitters.set(C,y),this._send(new h(this._workerId,C,p,_))},onDidRemoveLastListener:()=>{this._pendingEmitters.delete(C),this._send(new S(this._workerId,C)),C=null}});return y.event}handleMessage(p){!p||!p.vsWorker||this._workerId!==-1&&p.vsWorker!==this._workerId||this._handleMessage(p)}_handleMessage(p){switch(p.type){case 1:return this._handleReplyMessage(p);case 0:return this._handleRequestMessage(p);case 2:return this._handleSubscribeEventMessage(p);case 3:return this._handleEventMessage(p);case 4:return this._handleUnsubscribeEventMessage(p)}}_handleReplyMessage(p){if(!this._pendingReplies[p.seq]){console.warn("Got reply to unknown seq");return}const _=this._pendingReplies[p.seq];if(delete this._pendingReplies[p.seq],p.err){let C=p.err;p.err.$isError&&(C=new Error,C.name=p.err.name,C.message=p.err.message,C.stack=p.err.stack),_.reject(C);return}_.resolve(p.res)}_handleRequestMessage(p){const _=p.req;this._handler.handleMessage(p.method,p.args).then(y=>{this._send(new a(this._workerId,_,y,void 0))},y=>{y.detail instanceof Error&&(y.detail=(0,n.transformErrorForSerialization)(y.detail)),this._send(new a(this._workerId,_,void 0,(0,n.transformErrorForSerialization)(y)))})}_handleSubscribeEventMessage(p){const _=p.req,C=this._handler.handleEvent(p.eventName,p.arg)(y=>{this._send(new l(this._workerId,_,y))});this._pendingEvents.set(_,C)}_handleEventMessage(p){if(!this._pendingEmitters.has(p.req)){console.warn("Got event for unknown req");return}this._pendingEmitters.get(p.req).fire(p.event)}_handleUnsubscribeEventMessage(p){if(!this._pendingEvents.has(p.req)){console.warn("Got unsubscribe for unknown req");return}this._pendingEvents.get(p.req).dispose(),this._pendingEvents.delete(p.req)}_send(p){const _=[];if(p.type===0)for(let C=0;C<p.args.length;C++)p.args[C]instanceof ArrayBuffer&&_.push(p.args[C]);else p.type===1&&p.res instanceof ArrayBuffer&&_.push(p.res);this._handler.sendMessage(p,_)}}class N extends A.Disposable{constructor(p,_,C){super();let y=null;this._worker=this._register(p.create({moduleId:"vs/base/common/worker/simpleWorker",esmModuleId:_},V=>{this._protocol.handleMessage(V)},V=>{y?.(V)})),this._protocol=new L({sendMessage:(V,$)=>{this._worker.postMessage(V,$)},handleMessage:(V,$)=>{if(typeof C[V]!="function")return Promise.reject(new Error("Missing method "+V+" on main thread host."));try{return Promise.resolve(C[V].apply(C,$))}catch(I){return Promise.reject(I)}},handleEvent:(V,$)=>{if(E(V)){const I=C[V].call(C,$);if(typeof I!="function")throw new Error(`Missing dynamic event ${V} on main thread host.`);return I}if(M(V)){const I=C[V];if(typeof I!="function")throw new Error(`Missing event ${V} on main thread host.`);return I}throw new Error(`Malformed event name ${V}`)}}),this._protocol.setWorkerId(this._worker.getId());let R=null;const x=globalThis.require;typeof x<"u"&&typeof x.getConfig=="function"?R=x.getConfig():typeof globalThis.requirejs<"u"&&(R=globalThis.requirejs.s.contexts._.config);const P=(0,c.getAllMethodNames)(C);this._onModuleLoaded=this._protocol.sendMessage(b,[this._worker.getId(),JSON.parse(JSON.stringify(R)),_,P]);const O=(V,$)=>this._request(V,$),q=(V,$)=>this._protocol.listen(V,$);this._lazyProxy=new Promise((V,$)=>{y=$,this._onModuleLoaded.then(I=>{V(w(I,O,q))},I=>{$(I),this._onError("Worker failed to load "+_,I)})})}getProxyObject(){return this._lazyProxy}_request(p,_){return new Promise((C,y)=>{this._onModuleLoaded.then(()=>{this._protocol.sendMessage(p,_).then(C,y)},y)})}_onError(p,_){console.error(p),console.info(_)}}r.SimpleWorkerClient=N;function M(v){return v[0]==="o"&&v[1]==="n"&&o.isUpperAsciiLetter(v.charCodeAt(2))}function E(v){return/^onDynamic/.test(v)&&o.isUpperAsciiLetter(v.charCodeAt(9))}function w(v,p,_){const C=x=>function(){const P=Array.prototype.slice.call(arguments,0);return p(x,P)},y=x=>function(P){return _(x,P)},R={};for(const x of v){if(E(x)){R[x]=y(x);continue}if(M(x)){R[x]=_(x,void 0);continue}R[x]=C(x)}return R}class s{constructor(p,_){this._requestHandlerFactory=_,this._requestHandler=null,this._protocol=new L({sendMessage:(C,y)=>{p(C,y)},handleMessage:(C,y)=>this._handleMessage(C,y),handleEvent:(C,y)=>this._handleEvent(C,y)})}onmessage(p){this._protocol.handleMessage(p)}_handleMessage(p,_){if(p===b)return this.initialize(_[0],_[1],_[2],_[3]);if(!this._requestHandler||typeof this._requestHandler[p]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+p));try{return Promise.resolve(this._requestHandler[p].apply(this._requestHandler,_))}catch(C){return Promise.reject(C)}}_handleEvent(p,_){if(!this._requestHandler)throw new Error("Missing requestHandler");if(E(p)){const C=this._requestHandler[p].call(this._requestHandler,_);if(typeof C!="function")throw new Error(`Missing dynamic event ${p} on request handler.`);return C}if(M(p)){const C=this._requestHandler[p];if(typeof C!="function")throw new Error(`Missing event ${p} on request handler.`);return C}throw new Error(`Malformed event name ${p}`)}initialize(p,_,C,y){this._protocol.setWorkerId(p);const P=w(y,(O,q)=>this._protocol.sendMessage(O,q),(O,q)=>this._protocol.listen(O,q));if(this._requestHandlerFactory)return this._requestHandler=this._requestHandlerFactory(P),Promise.resolve((0,c.getAllMethodNames)(this._requestHandler));if(_&&(typeof _.baseUrl<"u"&&delete _.baseUrl,typeof _.paths<"u"&&typeof _.paths.vs<"u"&&delete _.paths.vs,typeof _.trustedTypesPolicy<"u"&&delete _.trustedTypesPolicy,_.catchError=!0,globalThis.require.config(_)),u){const O=g.FileAccess.asBrowserUri(`${C}.js`).toString(!0);return new Promise((q,V)=>{W([`${O}`],q,V)}).then(q=>{if(this._requestHandler=q.create(P),!this._requestHandler)throw new Error("No RequestHandler!");return(0,c.getAllMethodNames)(this._requestHandler)})}return new Promise((O,q)=>{(globalThis.require||W)([C],$=>{if(this._requestHandler=$.create(P),!this._requestHandler){q(new Error("No RequestHandler!"));return}O((0,c.getAllMethodNames)(this._requestHandler))},q)})}}r.SimpleWorkerServer=s;function d(v){return new s(v,null)}}),X(Y[30],J([0,1,28]),function(W,r,n){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.CharacterSet=r.CharacterClassifier=void 0;class D{constructor(c){const m=(0,n.toUint8)(c);this._defaultValue=m,this._asciiMap=D._createAsciiMap(m),this._map=new Map}static _createAsciiMap(c){const m=new Uint8Array(256);return m.fill(c),m}set(c,m){const o=(0,n.toUint8)(m);c>=0&&c<256?this._asciiMap[c]=o:this._map.set(c,o)}get(c){return c>=0&&c<256?this._asciiMap[c]:this._map.get(c)||this._defaultValue}clear(){this._asciiMap.fill(this._defaultValue),this._map.clear()}}r.CharacterClassifier=D;class A{constructor(){this._actual=new D(0)}add(c){this._actual.set(c,1)}has(c){return this._actual.get(c)===1}clear(){return this._actual.clear()}}r.CharacterSet=A}),X(Y[5],J([0,1,4]),function(W,r,n){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.OffsetRangeSet=r.OffsetRange=void 0;class D{static addRange(c,m){let o=0;for(;o<m.length&&m[o].endExclusive<c.start;)o++;let u=o;for(;u<m.length&&m[u].start<=c.endExclusive;)u++;if(o===u)m.splice(o,0,c);else{const b=Math.min(c.start,m[o].start),e=Math.max(c.endExclusive,m[u-1].endExclusive);m.splice(o,u-o,new D(b,e))}}static tryCreate(c,m){if(!(c>m))return new D(c,m)}static ofLength(c){return new D(0,c)}static ofStartAndLength(c,m){return new D(c,c+m)}constructor(c,m){if(this.start=c,this.endExclusive=m,c>m)throw new n.BugIndicatingError(`Invalid range: ${this.toString()}`)}get isEmpty(){return this.start===this.endExclusive}delta(c){return new D(this.start+c,this.endExclusive+c)}deltaStart(c){return new D(this.start+c,this.endExclusive)}deltaEnd(c){return new D(this.start,this.endExclusive+c)}get length(){return this.endExclusive-this.start}toString(){return`[${this.start}, ${this.endExclusive})`}contains(c){return this.start<=c&&c<this.endExclusive}join(c){return new D(Math.min(this.start,c.start),Math.max(this.endExclusive,c.endExclusive))}intersect(c){const m=Math.max(this.start,c.start),o=Math.min(this.endExclusive,c.endExclusive);if(m<=o)return new D(m,o)}intersects(c){const m=Math.max(this.start,c.start),o=Math.min(this.endExclusive,c.endExclusive);return m<o}isBefore(c){return this.endExclusive<=c.start}isAfter(c){return this.start>=c.endExclusive}slice(c){return c.slice(this.start,this.endExclusive)}substring(c){return c.substring(this.start,this.endExclusive)}clip(c){if(this.isEmpty)throw new n.BugIndicatingError(`Invalid clipping range: ${this.toString()}`);return Math.max(this.start,Math.min(this.endExclusive-1,c))}clipCyclic(c){if(this.isEmpty)throw new n.BugIndicatingError(`Invalid clipping range: ${this.toString()}`);return c<this.start?this.endExclusive-(this.start-c)%this.length:c>=this.endExclusive?this.start+(c-this.start)%this.length:c}forEach(c){for(let m=this.start;m<this.endExclusive;m++)c(m)}}r.OffsetRange=D;class A{constructor(){this._sortedRanges=[]}addRange(c){let m=0;for(;m<this._sortedRanges.length&&this._sortedRanges[m].endExclusive<c.start;)m++;let o=m;for(;o<this._sortedRanges.length&&this._sortedRanges[o].start<=c.endExclusive;)o++;if(m===o)this._sortedRanges.splice(m,0,c);else{const u=Math.min(c.start,this._sortedRanges[m].start),b=Math.max(c.endExclusive,this._sortedRanges[o-1].endExclusive);this._sortedRanges.splice(m,o-m,new D(u,b))}}toString(){return this._sortedRanges.map(c=>c.toString()).join(", ")}intersectsStrict(c){let m=0;for(;m<this._sortedRanges.length&&this._sortedRanges[m].endExclusive<=c.start;)m++;return m<this._sortedRanges.length&&this._sortedRanges[m].start<c.endExclusive}intersectWithRange(c){const m=new A;for(const o of this._sortedRanges){const u=o.intersect(c);u&&m.addRange(u)}return m}intersectWithRangeLength(c){return this.intersectWithRange(c).length}get length(){return this._sortedRanges.reduce((c,m)=>c+m.length,0)}}r.OffsetRangeSet=A}),X(Y[3],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Position=void 0;class n{constructor(A,g){this.lineNumber=A,this.column=g}with(A=this.lineNumber,g=this.column){return A===this.lineNumber&&g===this.column?this:new n(A,g)}delta(A=0,g=0){return this.with(this.lineNumber+A,this.column+g)}equals(A){return n.equals(this,A)}static equals(A,g){return!A&&!g?!0:!!A&&!!g&&A.lineNumber===g.lineNumber&&A.column===g.column}isBefore(A){return n.isBefore(this,A)}static isBefore(A,g){return A.lineNumber<g.lineNumber?!0:g.lineNumber<A.lineNumber?!1:A.column<g.column}isBeforeOrEqual(A){return n.isBeforeOrEqual(this,A)}static isBeforeOrEqual(A,g){return A.lineNumber<g.lineNumber?!0:g.lineNumber<A.lineNumber?!1:A.column<=g.column}static compare(A,g){const c=A.lineNumber|0,m=g.lineNumber|0;if(c===m){const o=A.column|0,u=g.column|0;return o-u}return c-m}clone(){return new n(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(A){return new n(A.lineNumber,A.column)}static isIPosition(A){return A&&typeof A.lineNumber=="number"&&typeof A.column=="number"}toJSON(){return{lineNumber:this.lineNumber,column:this.column}}}r.Position=n}),X(Y[2],J([0,1,3]),function(W,r,n){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Range=void 0;class D{constructor(g,c,m,o){g>m||g===m&&c>o?(this.startLineNumber=m,this.startColumn=o,this.endLineNumber=g,this.endColumn=c):(this.startLineNumber=g,this.startColumn=c,this.endLineNumber=m,this.endColumn=o)}isEmpty(){return D.isEmpty(this)}static isEmpty(g){return g.startLineNumber===g.endLineNumber&&g.startColumn===g.endColumn}containsPosition(g){return D.containsPosition(this,g)}static containsPosition(g,c){return!(c.lineNumber<g.startLineNumber||c.lineNumber>g.endLineNumber||c.lineNumber===g.startLineNumber&&c.column<g.startColumn||c.lineNumber===g.endLineNumber&&c.column>g.endColumn)}static strictContainsPosition(g,c){return!(c.lineNumber<g.startLineNumber||c.lineNumber>g.endLineNumber||c.lineNumber===g.startLineNumber&&c.column<=g.startColumn||c.lineNumber===g.endLineNumber&&c.column>=g.endColumn)}containsRange(g){return D.containsRange(this,g)}static containsRange(g,c){return!(c.startLineNumber<g.startLineNumber||c.endLineNumber<g.startLineNumber||c.startLineNumber>g.endLineNumber||c.endLineNumber>g.endLineNumber||c.startLineNumber===g.startLineNumber&&c.startColumn<g.startColumn||c.endLineNumber===g.endLineNumber&&c.endColumn>g.endColumn)}strictContainsRange(g){return D.strictContainsRange(this,g)}static strictContainsRange(g,c){return!(c.startLineNumber<g.startLineNumber||c.endLineNumber<g.startLineNumber||c.startLineNumber>g.endLineNumber||c.endLineNumber>g.endLineNumber||c.startLineNumber===g.startLineNumber&&c.startColumn<=g.startColumn||c.endLineNumber===g.endLineNumber&&c.endColumn>=g.endColumn)}plusRange(g){return D.plusRange(this,g)}static plusRange(g,c){let m,o,u,b;return c.startLineNumber<g.startLineNumber?(m=c.startLineNumber,o=c.startColumn):c.startLineNumber===g.startLineNumber?(m=c.startLineNumber,o=Math.min(c.startColumn,g.startColumn)):(m=g.startLineNumber,o=g.startColumn),c.endLineNumber>g.endLineNumber?(u=c.endLineNumber,b=c.endColumn):c.endLineNumber===g.endLineNumber?(u=c.endLineNumber,b=Math.max(c.endColumn,g.endColumn)):(u=g.endLineNumber,b=g.endColumn),new D(m,o,u,b)}intersectRanges(g){return D.intersectRanges(this,g)}static intersectRanges(g,c){let m=g.startLineNumber,o=g.startColumn,u=g.endLineNumber,b=g.endColumn;const e=c.startLineNumber,f=c.startColumn,i=c.endLineNumber,a=c.endColumn;return m<e?(m=e,o=f):m===e&&(o=Math.max(o,f)),u>i?(u=i,b=a):u===i&&(b=Math.min(b,a)),m>u||m===u&&o>b?null:new D(m,o,u,b)}equalsRange(g){return D.equalsRange(this,g)}static equalsRange(g,c){return!g&&!c?!0:!!g&&!!c&&g.startLineNumber===c.startLineNumber&&g.startColumn===c.startColumn&&g.endLineNumber===c.endLineNumber&&g.endColumn===c.endColumn}getEndPosition(){return D.getEndPosition(this)}static getEndPosition(g){return new n.Position(g.endLineNumber,g.endColumn)}getStartPosition(){return D.getStartPosition(this)}static getStartPosition(g){return new n.Position(g.startLineNumber,g.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(g,c){return new D(this.startLineNumber,this.startColumn,g,c)}setStartPosition(g,c){return new D(g,c,this.endLineNumber,this.endColumn)}collapseToStart(){return D.collapseToStart(this)}static collapseToStart(g){return new D(g.startLineNumber,g.startColumn,g.startLineNumber,g.startColumn)}collapseToEnd(){return D.collapseToEnd(this)}static collapseToEnd(g){return new D(g.endLineNumber,g.endColumn,g.endLineNumber,g.endColumn)}delta(g){return new D(this.startLineNumber+g,this.startColumn,this.endLineNumber+g,this.endColumn)}static fromPositions(g,c=g){return new D(g.lineNumber,g.column,c.lineNumber,c.column)}static lift(g){return g?new D(g.startLineNumber,g.startColumn,g.endLineNumber,g.endColumn):null}static isIRange(g){return g&&typeof g.startLineNumber=="number"&&typeof g.startColumn=="number"&&typeof g.endLineNumber=="number"&&typeof g.endColumn=="number"}static areIntersectingOrTouching(g,c){return!(g.endLineNumber<c.startLineNumber||g.endLineNumber===c.startLineNumber&&g.endColumn<c.startColumn||c.endLineNumber<g.startLineNumber||c.endLineNumber===g.startLineNumber&&c.endColumn<g.startColumn)}static areIntersecting(g,c){return!(g.endLineNumber<c.startLineNumber||g.endLineNumber===c.startLineNumber&&g.endColumn<=c.startColumn||c.endLineNumber<g.startLineNumber||c.endLineNumber===g.startLineNumber&&c.endColumn<=g.startColumn)}static compareRangesUsingStarts(g,c){if(g&&c){const u=g.startLineNumber|0,b=c.startLineNumber|0;if(u===b){const e=g.startColumn|0,f=c.startColumn|0;if(e===f){const i=g.endLineNumber|0,a=c.endLineNumber|0;if(i===a){const h=g.endColumn|0,l=c.endColumn|0;return h-l}return i-a}return e-f}return u-b}return(g?1:0)-(c?1:0)}static compareRangesUsingEnds(g,c){return g.endLineNumber===c.endLineNumber?g.endColumn===c.endColumn?g.startLineNumber===c.startLineNumber?g.startColumn-c.startColumn:g.startLineNumber-c.startLineNumber:g.endColumn-c.endColumn:g.endLineNumber-c.endLineNumber}static spansMultipleLines(g){return g.endLineNumber>g.startLineNumber}toJSON(){return this}}r.Range=D}),X(Y[13],J([0,1,4,5,2,14]),function(W,r,n,D,A,g){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LineRangeSet=r.LineRange=void 0;class c{static fromRangeInclusive(u){return new c(u.startLineNumber,u.endLineNumber+1)}static joinMany(u){if(u.length===0)return[];let b=new m(u[0].slice());for(let e=1;e<u.length;e++)b=b.getUnion(new m(u[e].slice()));return b.ranges}static join(u){if(u.length===0)throw new n.BugIndicatingError("lineRanges cannot be empty");let b=u[0].startLineNumber,e=u[0].endLineNumberExclusive;for(let f=1;f<u.length;f++)b=Math.min(b,u[f].startLineNumber),e=Math.max(e,u[f].endLineNumberExclusive);return new c(b,e)}static ofLength(u,b){return new c(u,u+b)}static deserialize(u){return new c(u[0],u[1])}constructor(u,b){if(u>b)throw new n.BugIndicatingError(`startLineNumber ${u} cannot be after endLineNumberExclusive ${b}`);this.startLineNumber=u,this.endLineNumberExclusive=b}contains(u){return this.startLineNumber<=u&&u<this.endLineNumberExclusive}get isEmpty(){return this.startLineNumber===this.endLineNumberExclusive}delta(u){return new c(this.startLineNumber+u,this.endLineNumberExclusive+u)}deltaLength(u){return new c(this.startLineNumber,this.endLineNumberExclusive+u)}get length(){return this.endLineNumberExclusive-this.startLineNumber}join(u){return new c(Math.min(this.startLineNumber,u.startLineNumber),Math.max(this.endLineNumberExclusive,u.endLineNumberExclusive))}toString(){return`[${this.startLineNumber},${this.endLineNumberExclusive})`}intersect(u){const b=Math.max(this.startLineNumber,u.startLineNumber),e=Math.min(this.endLineNumberExclusive,u.endLineNumberExclusive);if(b<=e)return new c(b,e)}intersectsStrict(u){return this.startLineNumber<u.endLineNumberExclusive&&u.startLineNumber<this.endLineNumberExclusive}overlapOrTouch(u){return this.startLineNumber<=u.endLineNumberExclusive&&u.startLineNumber<=this.endLineNumberExclusive}equals(u){return this.startLineNumber===u.startLineNumber&&this.endLineNumberExclusive===u.endLineNumberExclusive}toInclusiveRange(){return this.isEmpty?null:new A.Range(this.startLineNumber,1,this.endLineNumberExclusive-1,Number.MAX_SAFE_INTEGER)}toExclusiveRange(){return new A.Range(this.startLineNumber,1,this.endLineNumberExclusive,1)}mapToLineArray(u){const b=[];for(let e=this.startLineNumber;e<this.endLineNumberExclusive;e++)b.push(u(e));return b}forEach(u){for(let b=this.startLineNumber;b<this.endLineNumberExclusive;b++)u(b)}serialize(){return[this.startLineNumber,this.endLineNumberExclusive]}includes(u){return this.startLineNumber<=u&&u<this.endLineNumberExclusive}toOffsetRange(){return new D.OffsetRange(this.startLineNumber-1,this.endLineNumberExclusive-1)}}r.LineRange=c;class m{constructor(u=[]){this._normalizedRanges=u}get ranges(){return this._normalizedRanges}addRange(u){if(u.length===0)return;const b=(0,g.findFirstIdxMonotonousOrArrLen)(this._normalizedRanges,f=>f.endLineNumberExclusive>=u.startLineNumber),e=(0,g.findLastIdxMonotonous)(this._normalizedRanges,f=>f.startLineNumber<=u.endLineNumberExclusive)+1;if(b===e)this._normalizedRanges.splice(b,0,u);else if(b===e-1){const f=this._normalizedRanges[b];this._normalizedRanges[b]=f.join(u)}else{const f=this._normalizedRanges[b].join(this._normalizedRanges[e-1]).join(u);this._normalizedRanges.splice(b,e-b,f)}}contains(u){const b=(0,g.findLastMonotonous)(this._normalizedRanges,e=>e.startLineNumber<=u);return!!b&&b.endLineNumberExclusive>u}intersects(u){const b=(0,g.findLastMonotonous)(this._normalizedRanges,e=>e.startLineNumber<u.endLineNumberExclusive);return!!b&&b.endLineNumberExclusive>u.startLineNumber}getUnion(u){if(this._normalizedRanges.length===0)return u;if(u._normalizedRanges.length===0)return this;const b=[];let e=0,f=0,i=null;for(;e<this._normalizedRanges.length||f<u._normalizedRanges.length;){let a=null;if(e<this._normalizedRanges.length&&f<u._normalizedRanges.length){const h=this._normalizedRanges[e],l=u._normalizedRanges[f];h.startLineNumber<l.startLineNumber?(a=h,e++):(a=l,f++)}else e<this._normalizedRanges.length?(a=this._normalizedRanges[e],e++):(a=u._normalizedRanges[f],f++);i===null?i=a:i.endLineNumberExclusive>=a.startLineNumber?i=new c(i.startLineNumber,Math.max(i.endLineNumberExclusive,a.endLineNumberExclusive)):(b.push(i),i=a)}return i!==null&&b.push(i),new m(b)}subtractFrom(u){const b=(0,g.findFirstIdxMonotonousOrArrLen)(this._normalizedRanges,a=>a.endLineNumberExclusive>=u.startLineNumber),e=(0,g.findLastIdxMonotonous)(this._normalizedRanges,a=>a.startLineNumber<=u.endLineNumberExclusive)+1;if(b===e)return new m([u]);const f=[];let i=u.startLineNumber;for(let a=b;a<e;a++){const h=this._normalizedRanges[a];h.startLineNumber>i&&f.push(new c(i,h.startLineNumber)),i=h.endLineNumberExclusive}return i<u.endLineNumberExclusive&&f.push(new c(i,u.endLineNumberExclusive)),new m(f)}toString(){return this._normalizedRanges.map(u=>u.toString()).join(", ")}getIntersection(u){const b=[];let e=0,f=0;for(;e<this._normalizedRanges.length&&f<u._normalizedRanges.length;){const i=this._normalizedRanges[e],a=u._normalizedRanges[f],h=i.intersect(a);h&&!h.isEmpty&&b.push(h),i.endLineNumberExclusive<a.endLineNumberExclusive?e++:f++}return new m(b)}getWithDelta(u){return new m(this._normalizedRanges.map(b=>b.delta(u)))}}r.LineRangeSet=m}),X(Y[46],J([0,1,3,2]),function(W,r,n,D){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Selection=void 0;class A extends D.Range{constructor(c,m,o,u){super(c,m,o,u),this.selectionStartLineNumber=c,this.selectionStartColumn=m,this.positionLineNumber=o,this.positionColumn=u}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(c){return A.selectionsEqual(this,c)}static selectionsEqual(c,m){return c.selectionStartLineNumber===m.selectionStartLineNumber&&c.selectionStartColumn===m.selectionStartColumn&&c.positionLineNumber===m.positionLineNumber&&c.positionColumn===m.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(c,m){return this.getDirection()===0?new A(this.startLineNumber,this.startColumn,c,m):new A(c,m,this.startLineNumber,this.startColumn)}getPosition(){return new n.Position(this.positionLineNumber,this.positionColumn)}getSelectionStart(){return new n.Position(this.selectionStartLineNumber,this.selectionStartColumn)}setStartPosition(c,m){return this.getDirection()===0?new A(c,m,this.endLineNumber,this.endColumn):new A(this.endLineNumber,this.endColumn,c,m)}static fromPositions(c,m=c){return new A(c.lineNumber,c.column,m.lineNumber,m.column)}static fromRange(c,m){return m===0?new A(c.startLineNumber,c.startColumn,c.endLineNumber,c.endColumn):new A(c.endLineNumber,c.endColumn,c.startLineNumber,c.startColumn)}static liftSelection(c){return new A(c.selectionStartLineNumber,c.selectionStartColumn,c.positionLineNumber,c.positionColumn)}static selectionsArrEqual(c,m){if(c&&!m||!c&&m)return!1;if(!c&&!m)return!0;if(c.length!==m.length)return!1;for(let o=0,u=c.length;o<u;o++)if(!this.selectionsEqual(c[o],m[o]))return!1;return!0}static isISelection(c){return c&&typeof c.selectionStartLineNumber=="number"&&typeof c.selectionStartColumn=="number"&&typeof c.positionLineNumber=="number"&&typeof c.positionColumn=="number"}static createWithDirection(c,m,o,u,b){return b===0?new A(c,m,o,u):new A(o,u,c,m)}}r.Selection=A}),X(Y[31],J([0,1,3,2]),function(W,r,n,D){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.TextLength=void 0;class A{static{this.zero=new A(0,0)}static betweenPositions(c,m){return c.lineNumber===m.lineNumber?new A(0,m.column-c.column):new A(m.lineNumber-c.lineNumber,m.column-1)}static ofRange(c){return A.betweenPositions(c.getStartPosition(),c.getEndPosition())}static ofText(c){let m=0,o=0;for(const u of c)u===`
`?(m++,o=0):o++;return new A(m,o)}constructor(c,m){this.lineCount=c,this.columnCount=m}isGreaterThanOrEqualTo(c){return this.lineCount!==c.lineCount?this.lineCount>c.lineCount:this.columnCount>=c.columnCount}createRange(c){return this.lineCount===0?new D.Range(c.lineNumber,c.column,c.lineNumber,c.column+this.columnCount):new D.Range(c.lineNumber,c.column,c.lineNumber+this.lineCount,this.columnCount+1)}addToPosition(c){return this.lineCount===0?new n.Position(c.lineNumber,c.column+this.columnCount):new n.Position(c.lineNumber+this.lineCount,this.columnCount+1)}toString(){return`${this.lineCount},${this.columnCount}`}}r.TextLength=A}),X(Y[47],J([0,1,5,31]),function(W,r,n,D){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.PositionOffsetTransformer=void 0;class A{constructor(c){this.text=c,this.lineStartOffsetByLineIdx=[],this.lineStartOffsetByLineIdx.push(0);for(let m=0;m<c.length;m++)c.charAt(m)===`
`&&this.lineStartOffsetByLineIdx.push(m+1)}getOffset(c){return this.lineStartOffsetByLineIdx[c.lineNumber-1]+c.column-1}getOffsetRange(c){return new n.OffsetRange(this.getOffset(c.getStartPosition()),this.getOffset(c.getEndPosition()))}get textLength(){const c=this.lineStartOffsetByLineIdx.length-1;return new D.TextLength(c,this.text.length-this.lineStartOffsetByLineIdx[c])}}r.PositionOffsetTransformer=A}),X(Y[48],J([0,1,9,4,3,47,2,31]),function(W,r,n,D,A,g,c,m){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.StringText=r.AbstractText=r.SingleTextEdit=r.TextEdit=void 0;class o{constructor(a){this.edits=a,(0,n.assertFn)(()=>(0,n.checkAdjacentItems)(a,(h,l)=>h.range.getEndPosition().isBeforeOrEqual(l.range.getStartPosition())))}apply(a){let h="",l=new A.Position(1,1);for(const L of this.edits){const N=L.range,M=N.getStartPosition(),E=N.getEndPosition(),w=b(l,M);w.isEmpty()||(h+=a.getValueOfRange(w)),h+=L.text,l=E}const S=b(l,a.endPositionExclusive);return S.isEmpty()||(h+=a.getValueOfRange(S)),h}applyToString(a){const h=new f(a);return this.apply(h)}getNewRanges(){const a=[];let h=0,l=0,S=0;for(const L of this.edits){const N=m.TextLength.ofText(L.text),M=A.Position.lift({lineNumber:L.range.startLineNumber+l,column:L.range.startColumn+(L.range.startLineNumber===h?S:0)}),E=N.createRange(M);a.push(E),l=E.endLineNumber-L.range.endLineNumber,S=E.endColumn-L.range.endColumn,h=L.range.endLineNumber}return a}}r.TextEdit=o;class u{constructor(a,h){this.range=a,this.text=h}toSingleEditOperation(){return{range:this.range,text:this.text}}}r.SingleTextEdit=u;function b(i,a){if(i.lineNumber===a.lineNumber&&i.column===Number.MAX_SAFE_INTEGER)return c.Range.fromPositions(a,a);if(!i.isBeforeOrEqual(a))throw new D.BugIndicatingError("start must be before end");return new c.Range(i.lineNumber,i.column,a.lineNumber,a.column)}class e{get endPositionExclusive(){return this.length.addToPosition(new A.Position(1,1))}}r.AbstractText=e;class f extends e{constructor(a){super(),this.value=a,this._t=new g.PositionOffsetTransformer(this.value)}getValueOfRange(a){return this._t.getOffsetRange(a).substring(this.value)}get length(){return this._t.textLength}}r.StringText=f}),X(Y[49],J([0,1,22,30]),function(W,r,n,D){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.WordCharacterClassifier=void 0,r.getMapForWordSeparators=c;class A extends D.CharacterClassifier{constructor(o,u){super(0),this._segmenter=null,this._cachedLine=null,this._cachedSegments=[],this.intlSegmenterLocales=u,this.intlSegmenterLocales.length>0?this._segmenter=new Intl.Segmenter(this.intlSegmenterLocales,{granularity:"word"}):this._segmenter=null;for(let b=0,e=o.length;b<e;b++)this.set(o.charCodeAt(b),2);this.set(32,1),this.set(9,1)}findPrevIntlWordBeforeOrAtOffset(o,u){let b=null;for(const e of this._getIntlSegmenterWordsOnLine(o)){if(e.index>u)break;b=e}return b}findNextIntlWordAtOrAfterOffset(o,u){for(const b of this._getIntlSegmenterWordsOnLine(o))if(!(b.index<u))return b;return null}_getIntlSegmenterWordsOnLine(o){return this._segmenter?this._cachedLine===o?this._cachedSegments:(this._cachedLine=o,this._cachedSegments=this._filterWordSegments(this._segmenter.segment(o)),this._cachedSegments):[]}_filterWordSegments(o){const u=[];for(const b of o)this._isWordLike(b)&&u.push(b);return u}_isWordLike(o){return!!o.isWordLike}}r.WordCharacterClassifier=A;const g=new n.LRUCache(10);function c(m,o){const u=`${m}/${o.join(",")}`;let b=g.get(u);return b||(b=new A(m,o),g.set(u,b)),b}}),X(Y[32],J([0,1,20,21]),function(W,r,n,D){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.DEFAULT_WORD_REGEXP=r.USUAL_WORD_SEPARATORS=void 0,r.ensureValidWordDefinition=g,r.getWordAtText=m,r.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function A(u=""){let b="(-?\\d*\\.\\d\\w*)|([^";for(const e of r.USUAL_WORD_SEPARATORS)u.indexOf(e)>=0||(b+="\\"+e);return b+="\\s]+)",new RegExp(b,"g")}r.DEFAULT_WORD_REGEXP=A();function g(u){let b=r.DEFAULT_WORD_REGEXP;if(u&&u instanceof RegExp)if(u.global)b=u;else{let e="g";u.ignoreCase&&(e+="i"),u.multiline&&(e+="m"),u.unicode&&(e+="u"),b=new RegExp(u.source,e)}return b.lastIndex=0,b}const c=new D.LinkedList;c.unshift({maxLen:1e3,windowSize:15,timeBudget:150});function m(u,b,e,f,i){if(b=g(b),i||(i=n.Iterable.first(c)),e.length>i.maxLen){let L=u-i.maxLen/2;return L<0?L=0:f+=L,e=e.substring(L,u+i.maxLen/2),m(u,b,e,f,i)}const a=Date.now(),h=u-1-f;let l=-1,S=null;for(let L=1;!(Date.now()-a>=i.timeBudget);L++){const N=h-i.windowSize*L;b.lastIndex=Math.max(0,N);const M=o(b,e,h,l);if(!M&&S||(S=M,N<=0))break;l=N}if(S){const L={word:S[0],startColumn:f+1+S.index,endColumn:f+1+S.index+S[0].length};return b.lastIndex=0,L}return null}function o(u,b,e,f){let i;for(;i=u.exec(b);){const a=i.index||0;if(a<=e&&u.lastIndex>=e)return i;if(f>0&&a>f)return null}return null}}),X(Y[8],J([0,1,7,4,5]),function(W,r,n,D,A){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.DateTimeout=r.InfiniteTimeout=r.OffsetPair=r.SequenceDiff=r.DiffAlgorithmResult=void 0;class g{static trivial(e,f){return new g([new c(A.OffsetRange.ofLength(e.length),A.OffsetRange.ofLength(f.length))],!1)}static trivialTimedOut(e,f){return new g([new c(A.OffsetRange.ofLength(e.length),A.OffsetRange.ofLength(f.length))],!0)}constructor(e,f){this.diffs=e,this.hitTimeout=f}}r.DiffAlgorithmResult=g;class c{static invert(e,f){const i=[];return(0,n.forEachAdjacent)(e,(a,h)=>{i.push(c.fromOffsetPairs(a?a.getEndExclusives():m.zero,h?h.getStarts():new m(f,(a?a.seq2Range.endExclusive-a.seq1Range.endExclusive:0)+f)))}),i}static fromOffsetPairs(e,f){return new c(new A.OffsetRange(e.offset1,f.offset1),new A.OffsetRange(e.offset2,f.offset2))}static assertSorted(e){let f;for(const i of e){if(f&&!(f.seq1Range.endExclusive<=i.seq1Range.start&&f.seq2Range.endExclusive<=i.seq2Range.start))throw new D.BugIndicatingError("Sequence diffs must be sorted");f=i}}constructor(e,f){this.seq1Range=e,this.seq2Range=f}swap(){return new c(this.seq2Range,this.seq1Range)}toString(){return`${this.seq1Range} <-> ${this.seq2Range}`}join(e){return new c(this.seq1Range.join(e.seq1Range),this.seq2Range.join(e.seq2Range))}delta(e){return e===0?this:new c(this.seq1Range.delta(e),this.seq2Range.delta(e))}deltaStart(e){return e===0?this:new c(this.seq1Range.deltaStart(e),this.seq2Range.deltaStart(e))}deltaEnd(e){return e===0?this:new c(this.seq1Range.deltaEnd(e),this.seq2Range.deltaEnd(e))}intersect(e){const f=this.seq1Range.intersect(e.seq1Range),i=this.seq2Range.intersect(e.seq2Range);if(!(!f||!i))return new c(f,i)}getStarts(){return new m(this.seq1Range.start,this.seq2Range.start)}getEndExclusives(){return new m(this.seq1Range.endExclusive,this.seq2Range.endExclusive)}}r.SequenceDiff=c;class m{static{this.zero=new m(0,0)}static{this.max=new m(Number.MAX_SAFE_INTEGER,Number.MAX_SAFE_INTEGER)}constructor(e,f){this.offset1=e,this.offset2=f}toString(){return`${this.offset1} <-> ${this.offset2}`}delta(e){return e===0?this:new m(this.offset1+e,this.offset2+e)}equals(e){return this.offset1===e.offset1&&this.offset2===e.offset2}}r.OffsetPair=m;class o{static{this.instance=new o}isValid(){return!0}}r.InfiniteTimeout=o;class u{constructor(e){if(this.timeout=e,this.startTime=Date.now(),this.valid=!0,e<=0)throw new D.BugIndicatingError("timeout must be positive")}isValid(){if(!(Date.now()-this.startTime<this.timeout)&&this.valid){this.valid=!1;debugger}return this.valid}}r.DateTimeout=u}),X(Y[33],J([0,1,5,8]),function(W,r,n,D){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.MyersDiffAlgorithm=void 0;class A{compute(u,b,e=D.InfiniteTimeout.instance){if(u.length===0||b.length===0)return D.DiffAlgorithmResult.trivial(u,b);const f=u,i=b;function a(s,d){for(;s<f.length&&d<i.length&&f.getElement(s)===i.getElement(d);)s++,d++;return s}let h=0;const l=new c;l.set(0,a(0,0));const S=new m;S.set(0,l.get(0)===0?null:new g(null,0,0,l.get(0)));let L=0;e:for(;;){if(h++,!e.isValid())return D.DiffAlgorithmResult.trivialTimedOut(f,i);const s=-Math.min(h,i.length+h%2),d=Math.min(h,f.length+h%2);for(L=s;L<=d;L+=2){let v=0;const p=L===d?-1:l.get(L+1),_=L===s?-1:l.get(L-1)+1;v++;const C=Math.min(Math.max(p,_),f.length),y=C-L;if(v++,C>f.length||y>i.length)continue;const R=a(C,y);l.set(L,R);const x=C===p?S.get(L+1):S.get(L-1);if(S.set(L,R!==C?new g(x,C,y,R-C):x),l.get(L)===f.length&&l.get(L)-L===i.length)break e}}let N=S.get(L);const M=[];let E=f.length,w=i.length;for(;;){const s=N?N.x+N.length:0,d=N?N.y+N.length:0;if((s!==E||d!==w)&&M.push(new D.SequenceDiff(new n.OffsetRange(s,E),new n.OffsetRange(d,w))),!N)break;E=N.x,w=N.y,N=N.prev}return M.reverse(),new D.DiffAlgorithmResult(M,!1)}}r.MyersDiffAlgorithm=A;class g{constructor(u,b,e,f){this.prev=u,this.x=b,this.y=e,this.length=f}}class c{constructor(){this.positiveArr=new Int32Array(10),this.negativeArr=new Int32Array(10)}get(u){return u<0?(u=-u-1,this.negativeArr[u]):this.positiveArr[u]}set(u,b){if(u<0){if(u=-u-1,u>=this.negativeArr.length){const e=this.negativeArr;this.negativeArr=new Int32Array(e.length*2),this.negativeArr.set(e)}this.negativeArr[u]=b}else{if(u>=this.positiveArr.length){const e=this.positiveArr;this.positiveArr=new Int32Array(e.length*2),this.positiveArr.set(e)}this.positiveArr[u]=b}}}class m{constructor(){this.positiveArr=[],this.negativeArr=[]}get(u){return u<0?(u=-u-1,this.negativeArr[u]):this.positiveArr[u]}set(u,b){u<0?(u=-u-1,this.negativeArr[u]=b):this.positiveArr[u]=b}}}),X(Y[50],J([0,1,7,5,8]),function(W,r,n,D,A){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.optimizeSequenceDiffs=g,r.removeShortMatches=u,r.extendDiffsToEntireWordIfAppropriate=b,r.removeVeryShortMatchingLinesBetweenDiffs=f,r.removeVeryShortMatchingTextBetweenLongDiffs=i;function g(a,h,l){let S=l;return S=c(a,h,S),S=c(a,h,S),S=m(a,h,S),S}function c(a,h,l){if(l.length===0)return l;const S=[];S.push(l[0]);for(let N=1;N<l.length;N++){const M=S[S.length-1];let E=l[N];if(E.seq1Range.isEmpty||E.seq2Range.isEmpty){const w=E.seq1Range.start-M.seq1Range.endExclusive;let s;for(s=1;s<=w&&!(a.getElement(E.seq1Range.start-s)!==a.getElement(E.seq1Range.endExclusive-s)||h.getElement(E.seq2Range.start-s)!==h.getElement(E.seq2Range.endExclusive-s));s++);if(s--,s===w){S[S.length-1]=new A.SequenceDiff(new D.OffsetRange(M.seq1Range.start,E.seq1Range.endExclusive-w),new D.OffsetRange(M.seq2Range.start,E.seq2Range.endExclusive-w));continue}E=E.delta(-s)}S.push(E)}const L=[];for(let N=0;N<S.length-1;N++){const M=S[N+1];let E=S[N];if(E.seq1Range.isEmpty||E.seq2Range.isEmpty){const w=M.seq1Range.start-E.seq1Range.endExclusive;let s;for(s=0;s<w&&!(!a.isStronglyEqual(E.seq1Range.start+s,E.seq1Range.endExclusive+s)||!h.isStronglyEqual(E.seq2Range.start+s,E.seq2Range.endExclusive+s));s++);if(s===w){S[N+1]=new A.SequenceDiff(new D.OffsetRange(E.seq1Range.start+w,M.seq1Range.endExclusive),new D.OffsetRange(E.seq2Range.start+w,M.seq2Range.endExclusive));continue}s>0&&(E=E.delta(s))}L.push(E)}return S.length>0&&L.push(S[S.length-1]),L}function m(a,h,l){if(!a.getBoundaryScore||!h.getBoundaryScore)return l;for(let S=0;S<l.length;S++){const L=S>0?l[S-1]:void 0,N=l[S],M=S+1<l.length?l[S+1]:void 0,E=new D.OffsetRange(L?L.seq1Range.endExclusive+1:0,M?M.seq1Range.start-1:a.length),w=new D.OffsetRange(L?L.seq2Range.endExclusive+1:0,M?M.seq2Range.start-1:h.length);N.seq1Range.isEmpty?l[S]=o(N,a,h,E,w):N.seq2Range.isEmpty&&(l[S]=o(N.swap(),h,a,w,E).swap())}return l}function o(a,h,l,S,L){let M=1;for(;a.seq1Range.start-M>=S.start&&a.seq2Range.start-M>=L.start&&l.isStronglyEqual(a.seq2Range.start-M,a.seq2Range.endExclusive-M)&&M<100;)M++;M--;let E=0;for(;a.seq1Range.start+E<S.endExclusive&&a.seq2Range.endExclusive+E<L.endExclusive&&l.isStronglyEqual(a.seq2Range.start+E,a.seq2Range.endExclusive+E)&&E<100;)E++;if(M===0&&E===0)return a;let w=0,s=-1;for(let d=-M;d<=E;d++){const v=a.seq2Range.start+d,p=a.seq2Range.endExclusive+d,_=a.seq1Range.start+d,C=h.getBoundaryScore(_)+l.getBoundaryScore(v)+l.getBoundaryScore(p);C>s&&(s=C,w=d)}return a.delta(w)}function u(a,h,l){const S=[];for(const L of l){const N=S[S.length-1];if(!N){S.push(L);continue}L.seq1Range.start-N.seq1Range.endExclusive<=2||L.seq2Range.start-N.seq2Range.endExclusive<=2?S[S.length-1]=new A.SequenceDiff(N.seq1Range.join(L.seq1Range),N.seq2Range.join(L.seq2Range)):S.push(L)}return S}function b(a,h,l){const S=A.SequenceDiff.invert(l,a.length),L=[];let N=new A.OffsetPair(0,0);function M(w,s){if(w.offset1<N.offset1||w.offset2<N.offset2)return;const d=a.findWordContaining(w.offset1),v=h.findWordContaining(w.offset2);if(!d||!v)return;let p=new A.SequenceDiff(d,v);const _=p.intersect(s);let C=_.seq1Range.length,y=_.seq2Range.length;for(;S.length>0;){const R=S[0];if(!(R.seq1Range.intersects(p.seq1Range)||R.seq2Range.intersects(p.seq2Range)))break;const P=a.findWordContaining(R.seq1Range.start),O=h.findWordContaining(R.seq2Range.start),q=new A.SequenceDiff(P,O),V=q.intersect(R);if(C+=V.seq1Range.length,y+=V.seq2Range.length,p=p.join(q),p.seq1Range.endExclusive>=R.seq1Range.endExclusive)S.shift();else break}C+y<(p.seq1Range.length+p.seq2Range.length)*2/3&&L.push(p),N=p.getEndExclusives()}for(;S.length>0;){const w=S.shift();w.seq1Range.isEmpty||(M(w.getStarts(),w),M(w.getEndExclusives().delta(-1),w))}return e(l,L)}function e(a,h){const l=[];for(;a.length>0||h.length>0;){const S=a[0],L=h[0];let N;S&&(!L||S.seq1Range.start<L.seq1Range.start)?N=a.shift():N=h.shift(),l.length>0&&l[l.length-1].seq1Range.endExclusive>=N.seq1Range.start?l[l.length-1]=l[l.length-1].join(N):l.push(N)}return l}function f(a,h,l){let S=l;if(S.length===0)return S;let L=0,N;do{N=!1;const M=[S[0]];for(let E=1;E<S.length;E++){let d=function(p,_){const C=new D.OffsetRange(s.seq1Range.endExclusive,w.seq1Range.start);return a.getText(C).replace(/\s/g,"").length<=4&&(p.seq1Range.length+p.seq2Range.length>5||_.seq1Range.length+_.seq2Range.length>5)};const w=S[E],s=M[M.length-1];d(s,w)?(N=!0,M[M.length-1]=M[M.length-1].join(w)):M.push(w)}S=M}while(L++<10&&N);return S}function i(a,h,l){let S=l;if(S.length===0)return S;let L=0,N;do{N=!1;const E=[S[0]];for(let w=1;w<S.length;w++){let v=function(_,C){const y=new D.OffsetRange(d.seq1Range.endExclusive,s.seq1Range.start);if(a.countLinesIn(y)>5||y.length>500)return!1;const x=a.getText(y).trim();if(x.length>20||x.split(/\r\n|\r|\n/).length>1)return!1;const P=a.countLinesIn(_.seq1Range),O=_.seq1Range.length,q=h.countLinesIn(_.seq2Range),V=_.seq2Range.length,$=a.countLinesIn(C.seq1Range),I=C.seq1Range.length,F=h.countLinesIn(C.seq2Range),B=C.seq2Range.length,G=2*40+50;function j(ee){return Math.min(ee,G)}return Math.pow(Math.pow(j(P*40+O),1.5)+Math.pow(j(q*40+V),1.5),1.5)+Math.pow(Math.pow(j($*40+I),1.5)+Math.pow(j(F*40+B),1.5),1.5)>(G**1.5)**1.5*1.3};const s=S[w],d=E[E.length-1];v(d,s)?(N=!0,E[E.length-1]=E[E.length-1].join(s)):E.push(s)}S=E}while(L++<10&&N);const M=[];return(0,n.forEachWithNeighbors)(S,(E,w,s)=>{let d=w;function v(x){return x.length>0&&x.trim().length<=3&&w.seq1Range.length+w.seq2Range.length>100}const p=a.extendToFullLines(w.seq1Range),_=a.getText(new D.OffsetRange(p.start,w.seq1Range.start));v(_)&&(d=d.deltaStart(-_.length));const C=a.getText(new D.OffsetRange(w.seq1Range.endExclusive,p.endExclusive));v(C)&&(d=d.deltaEnd(C.length));const y=A.SequenceDiff.fromOffsetPairs(E?E.getEndExclusives():A.OffsetPair.zero,s?s.getStarts():A.OffsetPair.max),R=d.intersect(y);M.length>0&&R.getStarts().equals(M[M.length-1].getEndExclusives())?M[M.length-1]=M[M.length-1].join(R):M.push(R)}),M}}),X(Y[51],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LineSequence=void 0;class n{constructor(g,c){this.trimmedHash=g,this.lines=c}getElement(g){return this.trimmedHash[g]}get length(){return this.trimmedHash.length}getBoundaryScore(g){const c=g===0?0:D(this.lines[g-1]),m=g===this.lines.length?0:D(this.lines[g]);return 1e3-(c+m)}getText(g){return this.lines.slice(g.start,g.endExclusive).join(`
`)}isStronglyEqual(g,c){return this.lines[g]===this.lines[c]}}r.LineSequence=n;function D(A){let g=0;for(;g<A.length&&(A.charCodeAt(g)===32||A.charCodeAt(g)===9);)g++;return g}}),X(Y[17],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LineRangeFragment=r.Array2D=void 0,r.isSpace=D;class n{constructor(c,m){this.width=c,this.height=m,this.array=[],this.array=new Array(c*m)}get(c,m){return this.array[c+m*this.width]}set(c,m,o){this.array[c+m*this.width]=o}}r.Array2D=n;function D(g){return g===32||g===9}class A{static{this.chrKeys=new Map}static getKey(c){let m=this.chrKeys.get(c);return m===void 0&&(m=this.chrKeys.size,this.chrKeys.set(c,m)),m}constructor(c,m,o){this.range=c,this.lines=m,this.source=o,this.histogram=[];let u=0;for(let b=c.startLineNumber-1;b<c.endLineNumberExclusive-1;b++){const e=m[b];for(let i=0;i<e.length;i++){u++;const a=e[i],h=A.getKey(a);this.histogram[h]=(this.histogram[h]||0)+1}u++;const f=A.getKey(`
`);this.histogram[f]=(this.histogram[f]||0)+1}this.totalCount=u}computeSimilarity(c){let m=0;const o=Math.max(this.histogram.length,c.histogram.length);for(let u=0;u<o;u++)m+=Math.abs((this.histogram[u]??0)-(c.histogram[u]??0));return 1-m/(this.totalCount+c.totalCount)}}r.LineRangeFragment=A}),X(Y[52],J([0,1,5,8,17]),function(W,r,n,D,A){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.DynamicProgrammingDiffing=void 0;class g{compute(m,o,u=D.InfiniteTimeout.instance,b){if(m.length===0||o.length===0)return D.DiffAlgorithmResult.trivial(m,o);const e=new A.Array2D(m.length,o.length),f=new A.Array2D(m.length,o.length),i=new A.Array2D(m.length,o.length);for(let M=0;M<m.length;M++)for(let E=0;E<o.length;E++){if(!u.isValid())return D.DiffAlgorithmResult.trivialTimedOut(m,o);const w=M===0?0:e.get(M-1,E),s=E===0?0:e.get(M,E-1);let d;m.getElement(M)===o.getElement(E)?(M===0||E===0?d=0:d=e.get(M-1,E-1),M>0&&E>0&&f.get(M-1,E-1)===3&&(d+=i.get(M-1,E-1)),d+=b?b(M,E):1):d=-1;const v=Math.max(w,s,d);if(v===d){const p=M>0&&E>0?i.get(M-1,E-1):0;i.set(M,E,p+1),f.set(M,E,3)}else v===w?(i.set(M,E,0),f.set(M,E,1)):v===s&&(i.set(M,E,0),f.set(M,E,2));e.set(M,E,v)}const a=[];let h=m.length,l=o.length;function S(M,E){(M+1!==h||E+1!==l)&&a.push(new D.SequenceDiff(new n.OffsetRange(M+1,h),new n.OffsetRange(E+1,l))),h=M,l=E}let L=m.length-1,N=o.length-1;for(;L>=0&&N>=0;)f.get(L,N)===3?(S(L,N),L--,N--):f.get(L,N)===1?L--:N--;return S(-1,-1),a.reverse(),new D.DiffAlgorithmResult(a,!1)}}r.DynamicProgrammingDiffing=g}),X(Y[34],J([0,1,14,5,3,2,17]),function(W,r,n,D,A,g,c){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LinesSliceCharSequence=void 0;class m{constructor(i,a,h){this.lines=i,this.range=a,this.considerWhitespaceChanges=h,this.elements=[],this.firstElementOffsetByLineIdx=[],this.lineStartOffsets=[],this.trimmedWsLengthsByLineIdx=[],this.firstElementOffsetByLineIdx.push(0);for(let l=this.range.startLineNumber;l<=this.range.endLineNumber;l++){let S=i[l-1],L=0;l===this.range.startLineNumber&&this.range.startColumn>1&&(L=this.range.startColumn-1,S=S.substring(L)),this.lineStartOffsets.push(L);let N=0;if(!h){const E=S.trimStart();N=S.length-E.length,S=E.trimEnd()}this.trimmedWsLengthsByLineIdx.push(N);const M=l===this.range.endLineNumber?Math.min(this.range.endColumn-1-L-N,S.length):S.length;for(let E=0;E<M;E++)this.elements.push(S.charCodeAt(E));l<this.range.endLineNumber&&(this.elements.push(10),this.firstElementOffsetByLineIdx.push(this.elements.length))}}toString(){return`Slice: "${this.text}"`}get text(){return this.getText(new D.OffsetRange(0,this.length))}getText(i){return this.elements.slice(i.start,i.endExclusive).map(a=>String.fromCharCode(a)).join("")}getElement(i){return this.elements[i]}get length(){return this.elements.length}getBoundaryScore(i){const a=e(i>0?this.elements[i-1]:-1),h=e(i<this.elements.length?this.elements[i]:-1);if(a===7&&h===8)return 0;if(a===8)return 150;let l=0;return a!==h&&(l+=10,a===0&&h===1&&(l+=1)),l+=b(a),l+=b(h),l}translateOffset(i,a="right"){const h=(0,n.findLastIdxMonotonous)(this.firstElementOffsetByLineIdx,S=>S<=i),l=i-this.firstElementOffsetByLineIdx[h];return new A.Position(this.range.startLineNumber+h,1+this.lineStartOffsets[h]+l+(l===0&&a==="left"?0:this.trimmedWsLengthsByLineIdx[h]))}translateRange(i){const a=this.translateOffset(i.start,"right"),h=this.translateOffset(i.endExclusive,"left");return h.isBefore(a)?g.Range.fromPositions(h,h):g.Range.fromPositions(a,h)}findWordContaining(i){if(i<0||i>=this.elements.length||!o(this.elements[i]))return;let a=i;for(;a>0&&o(this.elements[a-1]);)a--;let h=i;for(;h<this.elements.length&&o(this.elements[h]);)h++;return new D.OffsetRange(a,h)}countLinesIn(i){return this.translateOffset(i.endExclusive).lineNumber-this.translateOffset(i.start).lineNumber}isStronglyEqual(i,a){return this.elements[i]===this.elements[a]}extendToFullLines(i){const a=(0,n.findLastMonotonous)(this.firstElementOffsetByLineIdx,l=>l<=i.start)??0,h=(0,n.findFirstMonotonous)(this.firstElementOffsetByLineIdx,l=>i.endExclusive<=l)??this.elements.length;return new D.OffsetRange(a,h)}}r.LinesSliceCharSequence=m;function o(f){return f>=97&&f<=122||f>=65&&f<=90||f>=48&&f<=57}const u={0:0,1:0,2:0,3:10,4:2,5:30,6:3,7:10,8:10};function b(f){return u[f]}function e(f){return f===10?8:f===13?7:(0,c.isSpace)(f)?6:f>=97&&f<=122?0:f>=65&&f<=90?1:f>=48&&f<=57?2:f===-1?3:f===44||f===59?5:4}}),X(Y[35],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.MovedText=r.LinesDiff=void 0;class n{constructor(g,c,m){this.changes=g,this.moves=c,this.hitTimeout=m}}r.LinesDiff=n;class D{constructor(g,c){this.lineRangeMapping=g,this.changes=c}}r.MovedText=D}),X(Y[18],J([0,1,4,13,3,2,48]),function(W,r,n,D,A,g,c){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.RangeMapping=r.DetailedLineRangeMapping=r.LineRangeMapping=void 0;class m{static inverse(i,a,h){const l=[];let S=1,L=1;for(const M of i){const E=new m(new D.LineRange(S,M.original.startLineNumber),new D.LineRange(L,M.modified.startLineNumber));E.modified.isEmpty||l.push(E),S=M.original.endLineNumberExclusive,L=M.modified.endLineNumberExclusive}const N=new m(new D.LineRange(S,a+1),new D.LineRange(L,h+1));return N.modified.isEmpty||l.push(N),l}static clip(i,a,h){const l=[];for(const S of i){const L=S.original.intersect(a),N=S.modified.intersect(h);L&&!L.isEmpty&&N&&!N.isEmpty&&l.push(new m(L,N))}return l}constructor(i,a){this.original=i,this.modified=a}toString(){return`{${this.original.toString()}->${this.modified.toString()}}`}flip(){return new m(this.modified,this.original)}join(i){return new m(this.original.join(i.original),this.modified.join(i.modified))}toRangeMapping(){const i=this.original.toInclusiveRange(),a=this.modified.toInclusiveRange();if(i&&a)return new e(i,a);if(this.original.startLineNumber===1||this.modified.startLineNumber===1){if(!(this.modified.startLineNumber===1&&this.original.startLineNumber===1))throw new n.BugIndicatingError("not a valid diff");return new e(new g.Range(this.original.startLineNumber,1,this.original.endLineNumberExclusive,1),new g.Range(this.modified.startLineNumber,1,this.modified.endLineNumberExclusive,1))}else return new e(new g.Range(this.original.startLineNumber-1,Number.MAX_SAFE_INTEGER,this.original.endLineNumberExclusive-1,Number.MAX_SAFE_INTEGER),new g.Range(this.modified.startLineNumber-1,Number.MAX_SAFE_INTEGER,this.modified.endLineNumberExclusive-1,Number.MAX_SAFE_INTEGER))}toRangeMapping2(i,a){if(u(this.original.endLineNumberExclusive,i)&&u(this.modified.endLineNumberExclusive,a))return new e(new g.Range(this.original.startLineNumber,1,this.original.endLineNumberExclusive,1),new g.Range(this.modified.startLineNumber,1,this.modified.endLineNumberExclusive,1));if(!this.original.isEmpty&&!this.modified.isEmpty)return new e(g.Range.fromPositions(new A.Position(this.original.startLineNumber,1),o(new A.Position(this.original.endLineNumberExclusive-1,Number.MAX_SAFE_INTEGER),i)),g.Range.fromPositions(new A.Position(this.modified.startLineNumber,1),o(new A.Position(this.modified.endLineNumberExclusive-1,Number.MAX_SAFE_INTEGER),a)));if(this.original.startLineNumber>1&&this.modified.startLineNumber>1)return new e(g.Range.fromPositions(o(new A.Position(this.original.startLineNumber-1,Number.MAX_SAFE_INTEGER),i),o(new A.Position(this.original.endLineNumberExclusive-1,Number.MAX_SAFE_INTEGER),i)),g.Range.fromPositions(o(new A.Position(this.modified.startLineNumber-1,Number.MAX_SAFE_INTEGER),a),o(new A.Position(this.modified.endLineNumberExclusive-1,Number.MAX_SAFE_INTEGER),a)));throw new n.BugIndicatingError}}r.LineRangeMapping=m;function o(f,i){if(f.lineNumber<1)return new A.Position(1,1);if(f.lineNumber>i.length)return new A.Position(i.length,i[i.length-1].length+1);const a=i[f.lineNumber-1];return f.column>a.length+1?new A.Position(f.lineNumber,a.length+1):f}function u(f,i){return f>=1&&f<=i.length}class b extends m{static fromRangeMappings(i){const a=D.LineRange.join(i.map(l=>D.LineRange.fromRangeInclusive(l.originalRange))),h=D.LineRange.join(i.map(l=>D.LineRange.fromRangeInclusive(l.modifiedRange)));return new b(a,h,i)}constructor(i,a,h){super(i,a),this.innerChanges=h}flip(){return new b(this.modified,this.original,this.innerChanges?.map(i=>i.flip()))}withInnerChangesFromLineRanges(){return new b(this.original,this.modified,[this.toRangeMapping()])}}r.DetailedLineRangeMapping=b;class e{static assertSorted(i){for(let a=1;a<i.length;a++){const h=i[a-1],l=i[a];if(!(h.originalRange.getEndPosition().isBeforeOrEqual(l.originalRange.getStartPosition())&&h.modifiedRange.getEndPosition().isBeforeOrEqual(l.modifiedRange.getStartPosition())))throw new n.BugIndicatingError("Range mappings must be sorted")}}constructor(i,a){this.originalRange=i,this.modifiedRange=a}toString(){return`{${this.originalRange.toString()}->${this.modifiedRange.toString()}}`}flip(){return new e(this.modifiedRange,this.originalRange)}toTextEdit(i){const a=i.getValueOfRange(this.modifiedRange);return new c.SingleTextEdit(this.originalRange,a)}}r.RangeMapping=e}),X(Y[53],J([0,1,8,18,7,14,22,13,34,17,33,2]),function(W,r,n,D,A,g,c,m,o,u,b,e){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.computeMovedLines=f;function f(N,M,E,w,s,d){let{moves:v,excludedChanges:p}=a(N,M,E,d);if(!d.isValid())return[];const _=N.filter(y=>!p.has(y)),C=h(_,w,s,M,E,d);return(0,A.pushMany)(v,C),v=S(v),v=v.filter(y=>{const R=y.original.toOffsetRange().slice(M).map(P=>P.trim());return R.join(`
`).length>=15&&i(R,P=>P.length>=2)>=2}),v=L(N,v),v}function i(N,M){let E=0;for(const w of N)M(w)&&E++;return E}function a(N,M,E,w){const s=[],d=N.filter(_=>_.modified.isEmpty&&_.original.length>=3).map(_=>new u.LineRangeFragment(_.original,M,_)),v=new Set(N.filter(_=>_.original.isEmpty&&_.modified.length>=3).map(_=>new u.LineRangeFragment(_.modified,E,_))),p=new Set;for(const _ of d){let C=-1,y;for(const R of v){const x=_.computeSimilarity(R);x>C&&(C=x,y=R)}if(C>.9&&y&&(v.delete(y),s.push(new D.LineRangeMapping(_.range,y.range)),p.add(_.source),p.add(y.source)),!w.isValid())return{moves:s,excludedChanges:p}}return{moves:s,excludedChanges:p}}function h(N,M,E,w,s,d){const v=[],p=new c.SetMap;for(const x of N)for(let P=x.original.startLineNumber;P<x.original.endLineNumberExclusive-2;P++){const O=`${M[P-1]}:${M[P+1-1]}:${M[P+2-1]}`;p.add(O,{range:new m.LineRange(P,P+3)})}const _=[];N.sort((0,A.compareBy)(x=>x.modified.startLineNumber,A.numberComparator));for(const x of N){let P=[];for(let O=x.modified.startLineNumber;O<x.modified.endLineNumberExclusive-2;O++){const q=`${E[O-1]}:${E[O+1-1]}:${E[O+2-1]}`,V=new m.LineRange(O,O+3),$=[];p.forEach(q,({range:I})=>{for(const B of P)if(B.originalLineRange.endLineNumberExclusive+1===I.endLineNumberExclusive&&B.modifiedLineRange.endLineNumberExclusive+1===V.endLineNumberExclusive){B.originalLineRange=new m.LineRange(B.originalLineRange.startLineNumber,I.endLineNumberExclusive),B.modifiedLineRange=new m.LineRange(B.modifiedLineRange.startLineNumber,V.endLineNumberExclusive),$.push(B);return}const F={modifiedLineRange:V,originalLineRange:I};_.push(F),$.push(F)}),P=$}if(!d.isValid())return[]}_.sort((0,A.reverseOrder)((0,A.compareBy)(x=>x.modifiedLineRange.length,A.numberComparator)));const C=new m.LineRangeSet,y=new m.LineRangeSet;for(const x of _){const P=x.modifiedLineRange.startLineNumber-x.originalLineRange.startLineNumber,O=C.subtractFrom(x.modifiedLineRange),q=y.subtractFrom(x.originalLineRange).getWithDelta(P),V=O.getIntersection(q);for(const $ of V.ranges){if($.length<3)continue;const I=$,F=$.delta(-P);v.push(new D.LineRangeMapping(F,I)),C.addRange(I),y.addRange(F)}}v.sort((0,A.compareBy)(x=>x.original.startLineNumber,A.numberComparator));const R=new g.MonotonousArray(N);for(let x=0;x<v.length;x++){const P=v[x],O=R.findLastMonotonous(j=>j.original.startLineNumber<=P.original.startLineNumber),q=(0,g.findLastMonotonous)(N,j=>j.modified.startLineNumber<=P.modified.startLineNumber),V=Math.max(P.original.startLineNumber-O.original.startLineNumber,P.modified.startLineNumber-q.modified.startLineNumber),$=R.findLastMonotonous(j=>j.original.startLineNumber<P.original.endLineNumberExclusive),I=(0,g.findLastMonotonous)(N,j=>j.modified.startLineNumber<P.modified.endLineNumberExclusive),F=Math.max($.original.endLineNumberExclusive-P.original.endLineNumberExclusive,I.modified.endLineNumberExclusive-P.modified.endLineNumberExclusive);let B;for(B=0;B<V;B++){const j=P.original.startLineNumber-B-1,ee=P.modified.startLineNumber-B-1;if(j>w.length||ee>s.length||C.contains(ee)||y.contains(j)||!l(w[j-1],s[ee-1],d))break}B>0&&(y.addRange(new m.LineRange(P.original.startLineNumber-B,P.original.startLineNumber)),C.addRange(new m.LineRange(P.modified.startLineNumber-B,P.modified.startLineNumber)));let G;for(G=0;G<F;G++){const j=P.original.endLineNumberExclusive+G,ee=P.modified.endLineNumberExclusive+G;if(j>w.length||ee>s.length||C.contains(ee)||y.contains(j)||!l(w[j-1],s[ee-1],d))break}G>0&&(y.addRange(new m.LineRange(P.original.endLineNumberExclusive,P.original.endLineNumberExclusive+G)),C.addRange(new m.LineRange(P.modified.endLineNumberExclusive,P.modified.endLineNumberExclusive+G))),(B>0||G>0)&&(v[x]=new D.LineRangeMapping(new m.LineRange(P.original.startLineNumber-B,P.original.endLineNumberExclusive+G),new m.LineRange(P.modified.startLineNumber-B,P.modified.endLineNumberExclusive+G)))}return v}function l(N,M,E){if(N.trim()===M.trim())return!0;if(N.length>300&&M.length>300)return!1;const s=new b.MyersDiffAlgorithm().compute(new o.LinesSliceCharSequence([N],new e.Range(1,1,1,N.length),!1),new o.LinesSliceCharSequence([M],new e.Range(1,1,1,M.length),!1),E);let d=0;const v=n.SequenceDiff.invert(s.diffs,N.length);for(const y of v)y.seq1Range.forEach(R=>{(0,u.isSpace)(N.charCodeAt(R))||d++});function p(y){let R=0;for(let x=0;x<N.length;x++)(0,u.isSpace)(y.charCodeAt(x))||R++;return R}const _=p(N.length>M.length?N:M);return d/_>.6&&_>10}function S(N){if(N.length===0)return N;N.sort((0,A.compareBy)(E=>E.original.startLineNumber,A.numberComparator));const M=[N[0]];for(let E=1;E<N.length;E++){const w=M[M.length-1],s=N[E],d=s.original.startLineNumber-w.original.endLineNumberExclusive,v=s.modified.startLineNumber-w.modified.endLineNumberExclusive;if(d>=0&&v>=0&&d+v<=2){M[M.length-1]=w.join(s);continue}M.push(s)}return M}function L(N,M){const E=new g.MonotonousArray(N);return M=M.filter(w=>{const s=E.findLastMonotonous(p=>p.original.startLineNumber<w.original.endLineNumberExclusive)||new D.LineRangeMapping(new m.LineRange(1,1),new m.LineRange(1,1)),d=(0,g.findLastMonotonous)(N,p=>p.modified.startLineNumber<w.modified.endLineNumberExclusive);return s!==d}),M}}),X(Y[54],J([0,1,7,9,13,5,2,8,52,33,53,50,51,34,35,18]),function(W,r,n,D,A,g,c,m,o,u,b,e,f,i,a,h){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.DefaultLinesDiffComputer=void 0,r.lineRangeMappingFromRangeMappings=S,r.getLineRangeMapping=L;class l{constructor(){this.dynamicProgrammingDiffing=new o.DynamicProgrammingDiffing,this.myersDiffingAlgorithm=new u.MyersDiffAlgorithm}computeDiff(E,w,s){if(E.length<=1&&(0,n.equals)(E,w,(j,ee)=>j===ee))return new a.LinesDiff([],[],!1);if(E.length===1&&E[0].length===0||w.length===1&&w[0].length===0)return new a.LinesDiff([new h.DetailedLineRangeMapping(new A.LineRange(1,E.length+1),new A.LineRange(1,w.length+1),[new h.RangeMapping(new c.Range(1,1,E.length,E[E.length-1].length+1),new c.Range(1,1,w.length,w[w.length-1].length+1))])],[],!1);const d=s.maxComputationTimeMs===0?m.InfiniteTimeout.instance:new m.DateTimeout(s.maxComputationTimeMs),v=!s.ignoreTrimWhitespace,p=new Map;function _(j){let ee=p.get(j);return ee===void 0&&(ee=p.size,p.set(j,ee)),ee}const C=E.map(j=>_(j.trim())),y=w.map(j=>_(j.trim())),R=new f.LineSequence(C,E),x=new f.LineSequence(y,w),P=R.length+x.length<1700?this.dynamicProgrammingDiffing.compute(R,x,d,(j,ee)=>E[j]===w[ee]?w[ee].length===0?.1:1+Math.log(1+w[ee].length):.99):this.myersDiffingAlgorithm.compute(R,x,d);let O=P.diffs,q=P.hitTimeout;O=(0,e.optimizeSequenceDiffs)(R,x,O),O=(0,e.removeVeryShortMatchingLinesBetweenDiffs)(R,x,O);const V=[],$=j=>{if(v)for(let ee=0;ee<j;ee++){const te=I+ee,re=F+ee;if(E[te]!==w[re]){const oe=this.refineDiff(E,w,new m.SequenceDiff(new g.OffsetRange(te,te+1),new g.OffsetRange(re,re+1)),d,v);for(const ge of oe.mappings)V.push(ge);oe.hitTimeout&&(q=!0)}}};let I=0,F=0;for(const j of O){(0,D.assertFn)(()=>j.seq1Range.start-I===j.seq2Range.start-F);const ee=j.seq1Range.start-I;$(ee),I=j.seq1Range.endExclusive,F=j.seq2Range.endExclusive;const te=this.refineDiff(E,w,j,d,v);te.hitTimeout&&(q=!0);for(const re of te.mappings)V.push(re)}$(E.length-I);const B=S(V,E,w);let G=[];return s.computeMoves&&(G=this.computeMoves(B,E,w,C,y,d,v)),(0,D.assertFn)(()=>{function j(te,re){if(te.lineNumber<1||te.lineNumber>re.length)return!1;const oe=re[te.lineNumber-1];return!(te.column<1||te.column>oe.length+1)}function ee(te,re){return!(te.startLineNumber<1||te.startLineNumber>re.length+1||te.endLineNumberExclusive<1||te.endLineNumberExclusive>re.length+1)}for(const te of B){if(!te.innerChanges)return!1;for(const re of te.innerChanges)if(!(j(re.modifiedRange.getStartPosition(),w)&&j(re.modifiedRange.getEndPosition(),w)&&j(re.originalRange.getStartPosition(),E)&&j(re.originalRange.getEndPosition(),E)))return!1;if(!ee(te.modified,w)||!ee(te.original,E))return!1}return!0}),new a.LinesDiff(B,G,q)}computeMoves(E,w,s,d,v,p,_){return(0,b.computeMovedLines)(E,w,s,d,v,p).map(R=>{const x=this.refineDiff(w,s,new m.SequenceDiff(R.original.toOffsetRange(),R.modified.toOffsetRange()),p,_),P=S(x.mappings,w,s,!0);return new a.MovedText(R,P)})}refineDiff(E,w,s,d,v){const _=N(s).toRangeMapping2(E,w),C=new i.LinesSliceCharSequence(E,_.originalRange,v),y=new i.LinesSliceCharSequence(w,_.modifiedRange,v),R=C.length+y.length<500?this.dynamicProgrammingDiffing.compute(C,y,d):this.myersDiffingAlgorithm.compute(C,y,d),x=!1;let P=R.diffs;x&&m.SequenceDiff.assertSorted(P),P=(0,e.optimizeSequenceDiffs)(C,y,P),x&&m.SequenceDiff.assertSorted(P),P=(0,e.extendDiffsToEntireWordIfAppropriate)(C,y,P),x&&m.SequenceDiff.assertSorted(P),P=(0,e.removeShortMatches)(C,y,P),x&&m.SequenceDiff.assertSorted(P),P=(0,e.removeVeryShortMatchingTextBetweenLongDiffs)(C,y,P),x&&m.SequenceDiff.assertSorted(P);const O=P.map(q=>new h.RangeMapping(C.translateRange(q.seq1Range),y.translateRange(q.seq2Range)));return x&&h.RangeMapping.assertSorted(O),{mappings:O,hitTimeout:R.hitTimeout}}}r.DefaultLinesDiffComputer=l;function S(M,E,w,s=!1){const d=[];for(const v of(0,n.groupAdjacentBy)(M.map(p=>L(p,E,w)),(p,_)=>p.original.overlapOrTouch(_.original)||p.modified.overlapOrTouch(_.modified))){const p=v[0],_=v[v.length-1];d.push(new h.DetailedLineRangeMapping(p.original.join(_.original),p.modified.join(_.modified),v.map(C=>C.innerChanges[0])))}return(0,D.assertFn)(()=>!s&&d.length>0&&(d[0].modified.startLineNumber!==d[0].original.startLineNumber||w.length-d[d.length-1].modified.endLineNumberExclusive!==E.length-d[d.length-1].original.endLineNumberExclusive)?!1:(0,D.checkAdjacentItems)(d,(v,p)=>p.original.startLineNumber-v.original.endLineNumberExclusive===p.modified.startLineNumber-v.modified.endLineNumberExclusive&&v.original.endLineNumberExclusive<p.original.startLineNumber&&v.modified.endLineNumberExclusive<p.modified.startLineNumber)),d}function L(M,E,w){let s=0,d=0;M.modifiedRange.endColumn===1&&M.originalRange.endColumn===1&&M.originalRange.startLineNumber+s<=M.originalRange.endLineNumber&&M.modifiedRange.startLineNumber+s<=M.modifiedRange.endLineNumber&&(d=-1),M.modifiedRange.startColumn-1>=w[M.modifiedRange.startLineNumber-1].length&&M.originalRange.startColumn-1>=E[M.originalRange.startLineNumber-1].length&&M.originalRange.startLineNumber<=M.originalRange.endLineNumber+d&&M.modifiedRange.startLineNumber<=M.modifiedRange.endLineNumber+d&&(s=1);const v=new A.LineRange(M.originalRange.startLineNumber+s,M.originalRange.endLineNumber+1+d),p=new A.LineRange(M.modifiedRange.startLineNumber+s,M.modifiedRange.endLineNumber+1+d);return new h.DetailedLineRangeMapping(v,p,[M])}function N(M){return new h.LineRangeMapping(new A.LineRange(M.seq1Range.start+1,M.seq1Range.endExclusive+1),new A.LineRange(M.seq2Range.start+1,M.seq2Range.endExclusive+1))}}),X(Y[55],J([0,1,25,35,18,6,2,9,13]),function(W,r,n,D,A,g,c,m,o){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.DiffComputer=r.LegacyLinesDiffComputer=void 0;const u=3;class b{computeDiff(w,s,d){const p=new S(w,s,{maxComputationTime:d.maxComputationTimeMs,shouldIgnoreTrimWhitespace:d.ignoreTrimWhitespace,shouldComputeCharChanges:!0,shouldMakePrettyDiff:!0,shouldPostProcessCharChanges:!0}).computeDiff(),_=[];let C=null;for(const y of p.changes){let R;y.originalEndLineNumber===0?R=new o.LineRange(y.originalStartLineNumber+1,y.originalStartLineNumber+1):R=new o.LineRange(y.originalStartLineNumber,y.originalEndLineNumber+1);let x;y.modifiedEndLineNumber===0?x=new o.LineRange(y.modifiedStartLineNumber+1,y.modifiedStartLineNumber+1):x=new o.LineRange(y.modifiedStartLineNumber,y.modifiedEndLineNumber+1);let P=new A.DetailedLineRangeMapping(R,x,y.charChanges?.map(O=>new A.RangeMapping(new c.Range(O.originalStartLineNumber,O.originalStartColumn,O.originalEndLineNumber,O.originalEndColumn),new c.Range(O.modifiedStartLineNumber,O.modifiedStartColumn,O.modifiedEndLineNumber,O.modifiedEndColumn))));C&&(C.modified.endLineNumberExclusive===P.modified.startLineNumber||C.original.endLineNumberExclusive===P.original.startLineNumber)&&(P=new A.DetailedLineRangeMapping(C.original.join(P.original),C.modified.join(P.modified),C.innerChanges&&P.innerChanges?C.innerChanges.concat(P.innerChanges):void 0),_.pop()),_.push(P),C=P}return(0,m.assertFn)(()=>(0,m.checkAdjacentItems)(_,(y,R)=>R.original.startLineNumber-y.original.endLineNumberExclusive===R.modified.startLineNumber-y.modified.endLineNumberExclusive&&y.original.endLineNumberExclusive<R.original.startLineNumber&&y.modified.endLineNumberExclusive<R.modified.startLineNumber)),new D.LinesDiff(_,[],p.quitEarly)}}r.LegacyLinesDiffComputer=b;function e(E,w,s,d){return new n.LcsDiff(E,w,s).ComputeDiff(d)}class f{constructor(w){const s=[],d=[];for(let v=0,p=w.length;v<p;v++)s[v]=L(w[v],1),d[v]=N(w[v],1);this.lines=w,this._startColumns=s,this._endColumns=d}getElements(){const w=[];for(let s=0,d=this.lines.length;s<d;s++)w[s]=this.lines[s].substring(this._startColumns[s]-1,this._endColumns[s]-1);return w}getStrictElement(w){return this.lines[w]}getStartLineNumber(w){return w+1}getEndLineNumber(w){return w+1}createCharSequence(w,s,d){const v=[],p=[],_=[];let C=0;for(let y=s;y<=d;y++){const R=this.lines[y],x=w?this._startColumns[y]:1,P=w?this._endColumns[y]:R.length+1;for(let O=x;O<P;O++)v[C]=R.charCodeAt(O-1),p[C]=y+1,_[C]=O,C++;!w&&y<d&&(v[C]=10,p[C]=y+1,_[C]=R.length+1,C++)}return new i(v,p,_)}}class i{constructor(w,s,d){this._charCodes=w,this._lineNumbers=s,this._columns=d}toString(){return"["+this._charCodes.map((w,s)=>(w===10?"\\n":String.fromCharCode(w))+`-(${this._lineNumbers[s]},${this._columns[s]})`).join(", ")+"]"}_assertIndex(w,s){if(w<0||w>=s.length)throw new Error("Illegal index")}getElements(){return this._charCodes}getStartLineNumber(w){return w>0&&w===this._lineNumbers.length?this.getEndLineNumber(w-1):(this._assertIndex(w,this._lineNumbers),this._lineNumbers[w])}getEndLineNumber(w){return w===-1?this.getStartLineNumber(w+1):(this._assertIndex(w,this._lineNumbers),this._charCodes[w]===10?this._lineNumbers[w]+1:this._lineNumbers[w])}getStartColumn(w){return w>0&&w===this._columns.length?this.getEndColumn(w-1):(this._assertIndex(w,this._columns),this._columns[w])}getEndColumn(w){return w===-1?this.getStartColumn(w+1):(this._assertIndex(w,this._columns),this._charCodes[w]===10?1:this._columns[w]+1)}}class a{constructor(w,s,d,v,p,_,C,y){this.originalStartLineNumber=w,this.originalStartColumn=s,this.originalEndLineNumber=d,this.originalEndColumn=v,this.modifiedStartLineNumber=p,this.modifiedStartColumn=_,this.modifiedEndLineNumber=C,this.modifiedEndColumn=y}static createFromDiffChange(w,s,d){const v=s.getStartLineNumber(w.originalStart),p=s.getStartColumn(w.originalStart),_=s.getEndLineNumber(w.originalStart+w.originalLength-1),C=s.getEndColumn(w.originalStart+w.originalLength-1),y=d.getStartLineNumber(w.modifiedStart),R=d.getStartColumn(w.modifiedStart),x=d.getEndLineNumber(w.modifiedStart+w.modifiedLength-1),P=d.getEndColumn(w.modifiedStart+w.modifiedLength-1);return new a(v,p,_,C,y,R,x,P)}}function h(E){if(E.length<=1)return E;const w=[E[0]];let s=w[0];for(let d=1,v=E.length;d<v;d++){const p=E[d],_=p.originalStart-(s.originalStart+s.originalLength),C=p.modifiedStart-(s.modifiedStart+s.modifiedLength);Math.min(_,C)<u?(s.originalLength=p.originalStart+p.originalLength-s.originalStart,s.modifiedLength=p.modifiedStart+p.modifiedLength-s.modifiedStart):(w.push(p),s=p)}return w}class l{constructor(w,s,d,v,p){this.originalStartLineNumber=w,this.originalEndLineNumber=s,this.modifiedStartLineNumber=d,this.modifiedEndLineNumber=v,this.charChanges=p}static createFromDiffResult(w,s,d,v,p,_,C){let y,R,x,P,O;if(s.originalLength===0?(y=d.getStartLineNumber(s.originalStart)-1,R=0):(y=d.getStartLineNumber(s.originalStart),R=d.getEndLineNumber(s.originalStart+s.originalLength-1)),s.modifiedLength===0?(x=v.getStartLineNumber(s.modifiedStart)-1,P=0):(x=v.getStartLineNumber(s.modifiedStart),P=v.getEndLineNumber(s.modifiedStart+s.modifiedLength-1)),_&&s.originalLength>0&&s.originalLength<20&&s.modifiedLength>0&&s.modifiedLength<20&&p()){const q=d.createCharSequence(w,s.originalStart,s.originalStart+s.originalLength-1),V=v.createCharSequence(w,s.modifiedStart,s.modifiedStart+s.modifiedLength-1);if(q.getElements().length>0&&V.getElements().length>0){let $=e(q,V,p,!0).changes;C&&($=h($)),O=[];for(let I=0,F=$.length;I<F;I++)O.push(a.createFromDiffChange($[I],q,V))}}return new l(y,R,x,P,O)}}class S{constructor(w,s,d){this.shouldComputeCharChanges=d.shouldComputeCharChanges,this.shouldPostProcessCharChanges=d.shouldPostProcessCharChanges,this.shouldIgnoreTrimWhitespace=d.shouldIgnoreTrimWhitespace,this.shouldMakePrettyDiff=d.shouldMakePrettyDiff,this.originalLines=w,this.modifiedLines=s,this.original=new f(w),this.modified=new f(s),this.continueLineDiff=M(d.maxComputationTime),this.continueCharDiff=M(d.maxComputationTime===0?0:Math.min(d.maxComputationTime,5e3))}computeDiff(){if(this.original.lines.length===1&&this.original.lines[0].length===0)return this.modified.lines.length===1&&this.modified.lines[0].length===0?{quitEarly:!1,changes:[]}:{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:1,modifiedStartLineNumber:1,modifiedEndLineNumber:this.modified.lines.length,charChanges:void 0}]};if(this.modified.lines.length===1&&this.modified.lines[0].length===0)return{quitEarly:!1,changes:[{originalStartLineNumber:1,originalEndLineNumber:this.original.lines.length,modifiedStartLineNumber:1,modifiedEndLineNumber:1,charChanges:void 0}]};const w=e(this.original,this.modified,this.continueLineDiff,this.shouldMakePrettyDiff),s=w.changes,d=w.quitEarly;if(this.shouldIgnoreTrimWhitespace){const C=[];for(let y=0,R=s.length;y<R;y++)C.push(l.createFromDiffResult(this.shouldIgnoreTrimWhitespace,s[y],this.original,this.modified,this.continueCharDiff,this.shouldComputeCharChanges,this.shouldPostProcessCharChanges));return{quitEarly:d,changes:C}}const v=[];let p=0,_=0;for(let C=-1,y=s.length;C<y;C++){const R=C+1<y?s[C+1]:null,x=R?R.originalStart:this.originalLines.length,P=R?R.modifiedStart:this.modifiedLines.length;for(;p<x&&_<P;){const O=this.originalLines[p],q=this.modifiedLines[_];if(O!==q){{let V=L(O,1),$=L(q,1);for(;V>1&&$>1;){const I=O.charCodeAt(V-2),F=q.charCodeAt($-2);if(I!==F)break;V--,$--}(V>1||$>1)&&this._pushTrimWhitespaceCharChange(v,p+1,1,V,_+1,1,$)}{let V=N(O,1),$=N(q,1);const I=O.length+1,F=q.length+1;for(;V<I&&$<F;){const B=O.charCodeAt(V-1),G=O.charCodeAt($-1);if(B!==G)break;V++,$++}(V<I||$<F)&&this._pushTrimWhitespaceCharChange(v,p+1,V,I,_+1,$,F)}}p++,_++}R&&(v.push(l.createFromDiffResult(this.shouldIgnoreTrimWhitespace,R,this.original,this.modified,this.continueCharDiff,this.shouldComputeCharChanges,this.shouldPostProcessCharChanges)),p+=R.originalLength,_+=R.modifiedLength)}return{quitEarly:d,changes:v}}_pushTrimWhitespaceCharChange(w,s,d,v,p,_,C){if(this._mergeTrimWhitespaceCharChange(w,s,d,v,p,_,C))return;let y;this.shouldComputeCharChanges&&(y=[new a(s,d,s,v,p,_,p,C)]),w.push(new l(s,s,p,p,y))}_mergeTrimWhitespaceCharChange(w,s,d,v,p,_,C){const y=w.length;if(y===0)return!1;const R=w[y-1];return R.originalEndLineNumber===0||R.modifiedEndLineNumber===0?!1:R.originalEndLineNumber===s&&R.modifiedEndLineNumber===p?(this.shouldComputeCharChanges&&R.charChanges&&R.charChanges.push(new a(s,d,s,v,p,_,p,C)),!0):R.originalEndLineNumber+1===s&&R.modifiedEndLineNumber+1===p?(R.originalEndLineNumber=s,R.modifiedEndLineNumber=p,this.shouldComputeCharChanges&&R.charChanges&&R.charChanges.push(new a(s,d,s,v,p,_,p,C)),!0):!1}}r.DiffComputer=S;function L(E,w){const s=g.firstNonWhitespaceIndex(E);return s===-1?w:s+1}function N(E,w){const s=g.lastNonWhitespaceIndex(E);return s===-1?w:s+2}function M(E){if(E===0)return()=>!0;const w=Date.now();return()=>Date.now()-w<E}}),X(Y[56],J([0,1,55,54]),function(W,r,n,D){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.linesDiffComputers=void 0,r.linesDiffComputers={getLegacy:()=>new n.LegacyLinesDiffComputer,getDefault:()=>new D.DefaultLinesDiffComputer}}),X(Y[57],J([0,1,37]),function(W,r,n){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.computeDefaultDocumentColors=e;function D(f){const i=[];for(const a of f){const h=Number(a);(h||h===0&&a.replace(/\s/g,"")!=="")&&i.push(h)}return i}function A(f,i,a,h){return{red:f/255,blue:a/255,green:i/255,alpha:h}}function g(f,i){const a=i.index,h=i[0].length;if(!a)return;const l=f.positionAt(a);return{startLineNumber:l.lineNumber,startColumn:l.column,endLineNumber:l.lineNumber,endColumn:l.column+h}}function c(f,i){if(!f)return;const a=n.Color.Format.CSS.parseHex(i);if(a)return{range:f,color:A(a.rgba.r,a.rgba.g,a.rgba.b,a.rgba.a)}}function m(f,i,a){if(!f||i.length!==1)return;const l=i[0].values(),S=D(l);return{range:f,color:A(S[0],S[1],S[2],a?S[3]:1)}}function o(f,i,a){if(!f||i.length!==1)return;const l=i[0].values(),S=D(l),L=new n.Color(new n.HSLA(S[0],S[1]/100,S[2]/100,a?S[3]:1));return{range:f,color:A(L.rgba.r,L.rgba.g,L.rgba.b,L.rgba.a)}}function u(f,i){return typeof f=="string"?[...f.matchAll(i)]:f.findMatches(i)}function b(f){const i=[],h=u(f,/\b(rgb|rgba|hsl|hsla)(\([0-9\s,.\%]*\))|(#)([A-Fa-f0-9]{3})\b|(#)([A-Fa-f0-9]{4})\b|(#)([A-Fa-f0-9]{6})\b|(#)([A-Fa-f0-9]{8})\b/gm);if(h.length>0)for(const l of h){const S=l.filter(E=>E!==void 0),L=S[1],N=S[2];if(!N)continue;let M;if(L==="rgb"){const E=/^\(\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*\)$/gm;M=m(g(f,l),u(N,E),!1)}else if(L==="rgba"){const E=/^\(\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(25[0-5]|2[0-4][0-9]|1[0-9]{2}|[1-9][0-9]|[0-9])\s*,\s*(0[.][0-9]+|[.][0-9]+|[01][.]|[01])\s*\)$/gm;M=m(g(f,l),u(N,E),!0)}else if(L==="hsl"){const E=/^\(\s*(36[0]|3[0-5][0-9]|[12][0-9][0-9]|[1-9]?[0-9])\s*,\s*(100|\d{1,2}[.]\d*|\d{1,2})%\s*,\s*(100|\d{1,2}[.]\d*|\d{1,2})%\s*\)$/gm;M=o(g(f,l),u(N,E),!1)}else if(L==="hsla"){const E=/^\(\s*(36[0]|3[0-5][0-9]|[12][0-9][0-9]|[1-9]?[0-9])\s*,\s*(100|\d{1,2}[.]\d*|\d{1,2})%\s*,\s*(100|\d{1,2}[.]\d*|\d{1,2})%\s*,\s*(0[.][0-9]+|[.][0-9]+|[01][.]|[01])\s*\)$/gm;M=o(g(f,l),u(N,E),!0)}else L==="#"&&(M=c(g(f,l),L+N));M&&i.push(M)}return i}function e(f){return!f||typeof f.getValue!="function"||typeof f.positionAt!="function"?[]:b(f)}}),X(Y[58],J([0,1,30]),function(W,r,n){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.LinkComputer=r.StateMachine=void 0,r.computeLinks=b;class D{constructor(f,i,a){const h=new Uint8Array(f*i);for(let l=0,S=f*i;l<S;l++)h[l]=a;this._data=h,this.rows=f,this.cols=i}get(f,i){return this._data[f*this.cols+i]}set(f,i,a){this._data[f*this.cols+i]=a}}class A{constructor(f){let i=0,a=0;for(let l=0,S=f.length;l<S;l++){const[L,N,M]=f[l];N>i&&(i=N),L>a&&(a=L),M>a&&(a=M)}i++,a++;const h=new D(a,i,0);for(let l=0,S=f.length;l<S;l++){const[L,N,M]=f[l];h.set(L,N,M)}this._states=h,this._maxCharCode=i}nextState(f,i){return i<0||i>=this._maxCharCode?0:this._states.get(f,i)}}r.StateMachine=A;let g=null;function c(){return g===null&&(g=new A([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),g}let m=null;function o(){if(m===null){m=new n.CharacterClassifier(0);const e=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u3008\u300C\u300E\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u300F\u300D\u3009\u2019\uFF40\uFF5E\u2026`;for(let i=0;i<e.length;i++)m.set(e.charCodeAt(i),1);const f=".,;:";for(let i=0;i<f.length;i++)m.set(f.charCodeAt(i),2)}return m}class u{static _createLink(f,i,a,h,l){let S=l-1;do{const L=i.charCodeAt(S);if(f.get(L)!==2)break;S--}while(S>h);if(h>0){const L=i.charCodeAt(h-1),N=i.charCodeAt(S);(L===40&&N===41||L===91&&N===93||L===123&&N===125)&&S--}return{range:{startLineNumber:a,startColumn:h+1,endLineNumber:a,endColumn:S+2},url:i.substring(h,S+1)}}static computeLinks(f,i=c()){const a=o(),h=[];for(let l=1,S=f.getLineCount();l<=S;l++){const L=f.getLineContent(l),N=L.length;let M=0,E=0,w=0,s=1,d=!1,v=!1,p=!1,_=!1;for(;M<N;){let C=!1;const y=L.charCodeAt(M);if(s===13){let R;switch(y){case 40:d=!0,R=0;break;case 41:R=d?0:1;break;case 91:p=!0,v=!0,R=0;break;case 93:p=!1,R=v?0:1;break;case 123:_=!0,R=0;break;case 125:R=_?0:1;break;case 39:case 34:case 96:w===y?R=1:w===39||w===34||w===96?R=0:R=1;break;case 42:R=w===42?1:0;break;case 124:R=w===124?1:0;break;case 32:R=p?0:1;break;default:R=a.get(y)}R===1&&(h.push(u._createLink(a,L,l,E,M)),C=!0)}else if(s===12){let R;y===91?(v=!0,R=0):R=a.get(y),R===1?C=!0:s=13}else s=i.nextState(s,y),s===0&&(C=!0);C&&(s=1,d=!1,v=!1,_=!1,E=M+1,w=y),M++}s===13&&h.push(u._createLink(a,L,l,E,N))}return h}}r.LinkComputer=u;function b(e){return!e||typeof e.getLineCount!="function"||typeof e.getLineContent!="function"?[]:u.computeLinks(e)}}),X(Y[59],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.BasicInplaceReplace=void 0;class n{constructor(){this._defaultValueSet=[["true","false"],["True","False"],["Private","Public","Friend","ReadOnly","Partial","Protected","WriteOnly"],["public","protected","private"]]}static{this.INSTANCE=new n}navigateValueSet(A,g,c,m,o){if(A&&g){const u=this.doNavigateValueSet(g,o);if(u)return{range:A,value:u}}if(c&&m){const u=this.doNavigateValueSet(m,o);if(u)return{range:c,value:u}}return null}doNavigateValueSet(A,g){const c=this.numberReplace(A,g);return c!==null?c:this.textReplace(A,g)}numberReplace(A,g){const c=Math.pow(10,A.length-(A.lastIndexOf(".")+1));let m=Number(A);const o=parseFloat(A);return!isNaN(m)&&!isNaN(o)&&m===o?m===0&&!g?null:(m=Math.floor(m*c),m+=g?c:-c,String(m/c)):null}textReplace(A,g){return this.valueSetsReplace(this._defaultValueSet,A,g)}valueSetsReplace(A,g,c){let m=null;for(let o=0,u=A.length;m===null&&o<u;o++)m=this.valueSetReplace(A[o],g,c);return m}valueSetReplace(A,g,c){let m=A.indexOf(g);return m>=0?(m+=c?1:-1,m<0?m=A.length-1:m%=A.length,A[m]):null}}r.BasicInplaceReplace=n}),X(Y[60],J([0,1,16]),function(W,r,n){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.ApplyEditsResult=r.SearchData=r.ValidAnnotatedEditOperation=r.FindMatch=r.TextModelResolvedOptions=r.InjectedTextCursorStops=r.GlyphMarginLane=r.OverviewRulerLane=void 0,r.isITextSnapshot=o,r.shouldSynchronizeModel=f;var D;(function(i){i[i.Left=1]="Left",i[i.Center=2]="Center",i[i.Right=4]="Right",i[i.Full=7]="Full"})(D||(r.OverviewRulerLane=D={}));var A;(function(i){i[i.Left=1]="Left",i[i.Center=2]="Center",i[i.Right=3]="Right"})(A||(r.GlyphMarginLane=A={}));var g;(function(i){i[i.Both=0]="Both",i[i.Right=1]="Right",i[i.Left=2]="Left",i[i.None=3]="None"})(g||(r.InjectedTextCursorStops=g={}));class c{get originalIndentSize(){return this._indentSizeIsTabSize?"tabSize":this.indentSize}constructor(a){this._textModelResolvedOptionsBrand=void 0,this.tabSize=Math.max(1,a.tabSize|0),a.indentSize==="tabSize"?(this.indentSize=this.tabSize,this._indentSizeIsTabSize=!0):(this.indentSize=Math.max(1,a.indentSize|0),this._indentSizeIsTabSize=!1),this.insertSpaces=!!a.insertSpaces,this.defaultEOL=a.defaultEOL|0,this.trimAutoWhitespace=!!a.trimAutoWhitespace,this.bracketPairColorizationOptions=a.bracketPairColorizationOptions}equals(a){return this.tabSize===a.tabSize&&this._indentSizeIsTabSize===a._indentSizeIsTabSize&&this.indentSize===a.indentSize&&this.insertSpaces===a.insertSpaces&&this.defaultEOL===a.defaultEOL&&this.trimAutoWhitespace===a.trimAutoWhitespace&&(0,n.equals)(this.bracketPairColorizationOptions,a.bracketPairColorizationOptions)}createChangeEvent(a){return{tabSize:this.tabSize!==a.tabSize,indentSize:this.indentSize!==a.indentSize,insertSpaces:this.insertSpaces!==a.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==a.trimAutoWhitespace}}}r.TextModelResolvedOptions=c;class m{constructor(a,h){this._findMatchBrand=void 0,this.range=a,this.matches=h}}r.FindMatch=m;function o(i){return i&&typeof i.read=="function"}class u{constructor(a,h,l,S,L,N){this.identifier=a,this.range=h,this.text=l,this.forceMoveMarkers=S,this.isAutoWhitespaceEdit=L,this._isTracked=N}}r.ValidAnnotatedEditOperation=u;class b{constructor(a,h,l){this.regex=a,this.wordSeparators=h,this.simpleSearch=l}}r.SearchData=b;class e{constructor(a,h,l){this.reverseEdits=a,this.changes=h,this.trimAutoWhitespaceLineNumbers=l}}r.ApplyEditsResult=e;function f(i){return!i.isTooLargeForSyncing()&&!i.isForSimpleWidget}}),X(Y[61],J([0,1,7,28]),function(W,r,n,D){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.PrefixSumIndexOfResult=r.ConstantTimePrefixSumComputer=r.PrefixSumComputer=void 0;class A{constructor(o){this.values=o,this.prefixSum=new Uint32Array(o.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}insertValues(o,u){o=(0,D.toUint32)(o);const b=this.values,e=this.prefixSum,f=u.length;return f===0?!1:(this.values=new Uint32Array(b.length+f),this.values.set(b.subarray(0,o),0),this.values.set(b.subarray(o),o+f),this.values.set(u,o),o-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=o-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(e.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}setValue(o,u){return o=(0,D.toUint32)(o),u=(0,D.toUint32)(u),this.values[o]===u?!1:(this.values[o]=u,o-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=o-1),!0)}removeValues(o,u){o=(0,D.toUint32)(o),u=(0,D.toUint32)(u);const b=this.values,e=this.prefixSum;if(o>=b.length)return!1;const f=b.length-o;return u>=f&&(u=f),u===0?!1:(this.values=new Uint32Array(b.length-u),this.values.set(b.subarray(0,o),0),this.values.set(b.subarray(o+u),o),this.prefixSum=new Uint32Array(this.values.length),o-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=o-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(e.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalSum(){return this.values.length===0?0:this._getPrefixSum(this.values.length-1)}getPrefixSum(o){return o<0?0:(o=(0,D.toUint32)(o),this._getPrefixSum(o))}_getPrefixSum(o){if(o<=this.prefixSumValidIndex[0])return this.prefixSum[o];let u=this.prefixSumValidIndex[0]+1;u===0&&(this.prefixSum[0]=this.values[0],u++),o>=this.values.length&&(o=this.values.length-1);for(let b=u;b<=o;b++)this.prefixSum[b]=this.prefixSum[b-1]+this.values[b];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],o),this.prefixSum[o]}getIndexOf(o){o=Math.floor(o),this.getTotalSum();let u=0,b=this.values.length-1,e=0,f=0,i=0;for(;u<=b;)if(e=u+(b-u)/2|0,f=this.prefixSum[e],i=f-this.values[e],o<i)b=e-1;else if(o>=f)u=e+1;else break;return new c(e,o-i)}}r.PrefixSumComputer=A;class g{constructor(o){this._values=o,this._isValid=!1,this._validEndIndex=-1,this._prefixSum=[],this._indexBySum=[]}getTotalSum(){return this._ensureValid(),this._indexBySum.length}getPrefixSum(o){return this._ensureValid(),o===0?0:this._prefixSum[o-1]}getIndexOf(o){this._ensureValid();const u=this._indexBySum[o],b=u>0?this._prefixSum[u-1]:0;return new c(u,o-b)}removeValues(o,u){this._values.splice(o,u),this._invalidate(o)}insertValues(o,u){this._values=(0,n.arrayInsert)(this._values,o,u),this._invalidate(o)}_invalidate(o){this._isValid=!1,this._validEndIndex=Math.min(this._validEndIndex,o-1)}_ensureValid(){if(!this._isValid){for(let o=this._validEndIndex+1,u=this._values.length;o<u;o++){const b=this._values[o],e=o>0?this._prefixSum[o-1]:0;this._prefixSum[o]=e+b;for(let f=0;f<b;f++)this._indexBySum[e+f]=o}this._prefixSum.length=this._values.length,this._indexBySum.length=this._prefixSum[this._prefixSum.length-1],this._isValid=!0,this._validEndIndex=this._values.length-1}}setValue(o,u){this._values[o]!==u&&(this._values[o]=u,this._invalidate(o))}}r.ConstantTimePrefixSumComputer=g;class c{constructor(o,u){this.index=o,this.remainder=u,this._prefixSumIndexOfResultBrand=void 0,this.index=o,this.remainder=u}}r.PrefixSumIndexOfResult=c}),X(Y[62],J([0,1,6,3,61]),function(W,r,n,D,A){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.MirrorTextModel=void 0;class g{constructor(m,o,u,b){this._uri=m,this._lines=o,this._eol=u,this._versionId=b,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(m){m.eol&&m.eol!==this._eol&&(this._eol=m.eol,this._lineStarts=null);const o=m.changes;for(const u of o)this._acceptDeleteRange(u.range),this._acceptInsertText(new D.Position(u.range.startLineNumber,u.range.startColumn),u.text);this._versionId=m.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const m=this._eol.length,o=this._lines.length,u=new Uint32Array(o);for(let b=0;b<o;b++)u[b]=this._lines[b].length+m;this._lineStarts=new A.PrefixSumComputer(u)}}_setLineText(m,o){this._lines[m]=o,this._lineStarts&&this._lineStarts.setValue(m,this._lines[m].length+this._eol.length)}_acceptDeleteRange(m){if(m.startLineNumber===m.endLineNumber){if(m.startColumn===m.endColumn)return;this._setLineText(m.startLineNumber-1,this._lines[m.startLineNumber-1].substring(0,m.startColumn-1)+this._lines[m.startLineNumber-1].substring(m.endColumn-1));return}this._setLineText(m.startLineNumber-1,this._lines[m.startLineNumber-1].substring(0,m.startColumn-1)+this._lines[m.endLineNumber-1].substring(m.endColumn-1)),this._lines.splice(m.startLineNumber,m.endLineNumber-m.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(m.startLineNumber,m.endLineNumber-m.startLineNumber)}_acceptInsertText(m,o){if(o.length===0)return;const u=(0,n.splitLines)(o);if(u.length===1){this._setLineText(m.lineNumber-1,this._lines[m.lineNumber-1].substring(0,m.column-1)+u[0]+this._lines[m.lineNumber-1].substring(m.column-1));return}u[u.length-1]+=this._lines[m.lineNumber-1].substring(m.column-1),this._setLineText(m.lineNumber-1,this._lines[m.lineNumber-1].substring(0,m.column-1)+u[0]);const b=new Uint32Array(u.length-1);for(let e=1;e<u.length;e++)this._lines.splice(m.lineNumber+e-1,0,u[e]),b[e-1]=u[e].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(m.lineNumber,b)}}r.MirrorTextModel=g}),X(Y[63],J([0,1,6,49,3,2,60]),function(W,r,n,D,A,g,c){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.Searcher=r.TextModelSearch=r.SearchParams=void 0,r.isMultilineRegexSource=u,r.createFindMatch=b,r.isValidMatch=h;const m=999;class o{constructor(L,N,M,E){this.searchString=L,this.isRegex=N,this.matchCase=M,this.wordSeparators=E}parseSearchRequest(){if(this.searchString==="")return null;let L;this.isRegex?L=u(this.searchString):L=this.searchString.indexOf(`
`)>=0;let N=null;try{N=n.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:L,global:!0,unicode:!0})}catch{return null}if(!N)return null;let M=!this.isRegex&&!L;return M&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(M=this.matchCase),new c.SearchData(N,this.wordSeparators?(0,D.getMapForWordSeparators)(this.wordSeparators,[]):null,M?this.searchString:null)}}r.SearchParams=o;function u(S){if(!S||S.length===0)return!1;for(let L=0,N=S.length;L<N;L++){const M=S.charCodeAt(L);if(M===10)return!0;if(M===92){if(L++,L>=N)break;const E=S.charCodeAt(L);if(E===110||E===114||E===87)return!0}}return!1}function b(S,L,N){if(!N)return new c.FindMatch(S,null);const M=[];for(let E=0,w=L.length;E<w;E++)M[E]=L[E];return new c.FindMatch(S,M)}class e{constructor(L){const N=[];let M=0;for(let E=0,w=L.length;E<w;E++)L.charCodeAt(E)===10&&(N[M++]=E);this._lineFeedsOffsets=N}findLineFeedCountBeforeOffset(L){const N=this._lineFeedsOffsets;let M=0,E=N.length-1;if(E===-1||L<=N[0])return 0;for(;M<E;){const w=M+((E-M)/2>>0);N[w]>=L?E=w-1:N[w+1]>=L?(M=w,E=w):M=w+1}return M+1}}class f{static findMatches(L,N,M,E,w){const s=N.parseSearchRequest();return s?s.regex.multiline?this._doFindMatchesMultiline(L,M,new l(s.wordSeparators,s.regex),E,w):this._doFindMatchesLineByLine(L,M,s,E,w):[]}static _getMultilineMatchRange(L,N,M,E,w,s){let d,v=0;E?(v=E.findLineFeedCountBeforeOffset(w),d=N+w+v):d=N+w;let p;if(E){const R=E.findLineFeedCountBeforeOffset(w+s.length)-v;p=d+s.length+R}else p=d+s.length;const _=L.getPositionAt(d),C=L.getPositionAt(p);return new g.Range(_.lineNumber,_.column,C.lineNumber,C.column)}static _doFindMatchesMultiline(L,N,M,E,w){const s=L.getOffsetAt(N.getStartPosition()),d=L.getValueInRange(N,1),v=L.getEOL()===`\r
`?new e(d):null,p=[];let _=0,C;for(M.reset(0);C=M.next(d);)if(p[_++]=b(this._getMultilineMatchRange(L,s,d,v,C.index,C[0]),C,E),_>=w)return p;return p}static _doFindMatchesLineByLine(L,N,M,E,w){const s=[];let d=0;if(N.startLineNumber===N.endLineNumber){const p=L.getLineContent(N.startLineNumber).substring(N.startColumn-1,N.endColumn-1);return d=this._findMatchesInLine(M,p,N.startLineNumber,N.startColumn-1,d,s,E,w),s}const v=L.getLineContent(N.startLineNumber).substring(N.startColumn-1);d=this._findMatchesInLine(M,v,N.startLineNumber,N.startColumn-1,d,s,E,w);for(let p=N.startLineNumber+1;p<N.endLineNumber&&d<w;p++)d=this._findMatchesInLine(M,L.getLineContent(p),p,0,d,s,E,w);if(d<w){const p=L.getLineContent(N.endLineNumber).substring(0,N.endColumn-1);d=this._findMatchesInLine(M,p,N.endLineNumber,0,d,s,E,w)}return s}static _findMatchesInLine(L,N,M,E,w,s,d,v){const p=L.wordSeparators;if(!d&&L.simpleSearch){const y=L.simpleSearch,R=y.length,x=N.length;let P=-R;for(;(P=N.indexOf(y,P+R))!==-1;)if((!p||h(p,N,x,P,R))&&(s[w++]=new c.FindMatch(new g.Range(M,P+1+E,M,P+1+R+E),null),w>=v))return w;return w}const _=new l(L.wordSeparators,L.regex);let C;_.reset(0);do if(C=_.next(N),C&&(s[w++]=b(new g.Range(M,C.index+1+E,M,C.index+1+C[0].length+E),C,d),w>=v))return w;while(C);return w}static findNextMatch(L,N,M,E){const w=N.parseSearchRequest();if(!w)return null;const s=new l(w.wordSeparators,w.regex);return w.regex.multiline?this._doFindNextMatchMultiline(L,M,s,E):this._doFindNextMatchLineByLine(L,M,s,E)}static _doFindNextMatchMultiline(L,N,M,E){const w=new A.Position(N.lineNumber,1),s=L.getOffsetAt(w),d=L.getLineCount(),v=L.getValueInRange(new g.Range(w.lineNumber,w.column,d,L.getLineMaxColumn(d)),1),p=L.getEOL()===`\r
`?new e(v):null;M.reset(N.column-1);const _=M.next(v);return _?b(this._getMultilineMatchRange(L,s,v,p,_.index,_[0]),_,E):N.lineNumber!==1||N.column!==1?this._doFindNextMatchMultiline(L,new A.Position(1,1),M,E):null}static _doFindNextMatchLineByLine(L,N,M,E){const w=L.getLineCount(),s=N.lineNumber,d=L.getLineContent(s),v=this._findFirstMatchInLine(M,d,s,N.column,E);if(v)return v;for(let p=1;p<=w;p++){const _=(s+p-1)%w,C=L.getLineContent(_+1),y=this._findFirstMatchInLine(M,C,_+1,1,E);if(y)return y}return null}static _findFirstMatchInLine(L,N,M,E,w){L.reset(E-1);const s=L.next(N);return s?b(new g.Range(M,s.index+1,M,s.index+1+s[0].length),s,w):null}static findPreviousMatch(L,N,M,E){const w=N.parseSearchRequest();if(!w)return null;const s=new l(w.wordSeparators,w.regex);return w.regex.multiline?this._doFindPreviousMatchMultiline(L,M,s,E):this._doFindPreviousMatchLineByLine(L,M,s,E)}static _doFindPreviousMatchMultiline(L,N,M,E){const w=this._doFindMatchesMultiline(L,new g.Range(1,1,N.lineNumber,N.column),M,E,10*m);if(w.length>0)return w[w.length-1];const s=L.getLineCount();return N.lineNumber!==s||N.column!==L.getLineMaxColumn(s)?this._doFindPreviousMatchMultiline(L,new A.Position(s,L.getLineMaxColumn(s)),M,E):null}static _doFindPreviousMatchLineByLine(L,N,M,E){const w=L.getLineCount(),s=N.lineNumber,d=L.getLineContent(s).substring(0,N.column-1),v=this._findLastMatchInLine(M,d,s,E);if(v)return v;for(let p=1;p<=w;p++){const _=(w+s-p-1)%w,C=L.getLineContent(_+1),y=this._findLastMatchInLine(M,C,_+1,E);if(y)return y}return null}static _findLastMatchInLine(L,N,M,E){let w=null,s;for(L.reset(0);s=L.next(N);)w=b(new g.Range(M,s.index+1,M,s.index+1+s[0].length),s,E);return w}}r.TextModelSearch=f;function i(S,L,N,M,E){if(M===0)return!0;const w=L.charCodeAt(M-1);if(S.get(w)!==0||w===13||w===10)return!0;if(E>0){const s=L.charCodeAt(M);if(S.get(s)!==0)return!0}return!1}function a(S,L,N,M,E){if(M+E===N)return!0;const w=L.charCodeAt(M+E);if(S.get(w)!==0||w===13||w===10)return!0;if(E>0){const s=L.charCodeAt(M+E-1);if(S.get(s)!==0)return!0}return!1}function h(S,L,N,M,E){return i(S,L,N,M,E)&&a(S,L,N,M,E)}class l{constructor(L,N){this._wordSeparators=L,this._searchRegex=N,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(L){this._searchRegex.lastIndex=L,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(L){const N=L.length;let M;do{if(this._prevMatchStartIndex+this._prevMatchLength===N||(M=this._searchRegex.exec(L),!M))return null;const E=M.index,w=M[0].length;if(E===this._prevMatchStartIndex&&w===this._prevMatchLength){if(w===0){n.getNextCodePoint(L,N,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=E,this._prevMatchLength=w,!this._wordSeparators||h(this._wordSeparators,L,N,E,w))return M}while(M);return null}}r.Searcher=l}),X(Y[64],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.findSectionHeaders=A;const n=new RegExp("\\bMARK:\\s*(.*)$","d"),D=/^-+|-+$/g;function A(u,b){let e=[];if(b.findRegionSectionHeaders&&b.foldingRules?.markers){const f=g(u,b);e=e.concat(f)}if(b.findMarkSectionHeaders){const f=c(u);e=e.concat(f)}return e}function g(u,b){const e=[],f=u.getLineCount();for(let i=1;i<=f;i++){const a=u.getLineContent(i),h=a.match(b.foldingRules.markers.start);if(h){const l={startLineNumber:i,startColumn:h[0].length+1,endLineNumber:i,endColumn:a.length+1};if(l.endColumn>l.startColumn){const S={range:l,...o(a.substring(h[0].length)),shouldBeInComments:!1};(S.text||S.hasSeparatorLine)&&e.push(S)}}}return e}function c(u){const b=[],e=u.getLineCount();for(let f=1;f<=e;f++){const i=u.getLineContent(f);m(i,f,b)}return b}function m(u,b,e){n.lastIndex=0;const f=n.exec(u);if(f){const i=f.indices[1][0]+1,a=f.indices[1][1]+1,h={startLineNumber:b,startColumn:i,endLineNumber:b,endColumn:a};if(h.endColumn>h.startColumn){const l={range:h,...o(f[1]),shouldBeInComments:!0};(l.text||l.hasSeparatorLine)&&e.push(l)}}}function o(u){u=u.trim();const b=u.startsWith("-");return u=u.replace(D,""),{text:u,hasSeparatorLine:b}}}),X(Y[65],J([0,1,2,63,6,9,32]),function(W,r,n,D,A,g,c){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.UnicodeTextModelHighlighter=void 0;class m{static computeUnicodeHighlights(f,i,a){const h=a?a.startLineNumber:1,l=a?a.endLineNumber:f.getLineCount(),S=new u(i),L=S.getCandidateCodePoints();let N;L==="allNonBasicAscii"?N=new RegExp("[^\\t\\n\\r\\x20-\\x7E]","g"):N=new RegExp(`${o(Array.from(L))}`,"g");const M=new D.Searcher(null,N),E=[];let w=!1,s,d=0,v=0,p=0;e:for(let _=h,C=l;_<=C;_++){const y=f.getLineContent(_),R=y.length;M.reset(0);do if(s=M.next(y),s){let x=s.index,P=s.index+s[0].length;if(x>0){const $=y.charCodeAt(x-1);A.isHighSurrogate($)&&x--}if(P+1<R){const $=y.charCodeAt(P-1);A.isHighSurrogate($)&&P++}const O=y.substring(x,P);let q=(0,c.getWordAtText)(x+1,c.DEFAULT_WORD_REGEXP,y,0);q&&q.endColumn<=x+1&&(q=null);const V=S.shouldHighlightNonBasicASCII(O,q?q.word:null);if(V!==0){if(V===3?d++:V===2?v++:V===1?p++:(0,g.assertNever)(V),E.length>=1e3){w=!0;break e}E.push(new n.Range(_,x+1,_,P+1))}}while(s)}return{ranges:E,hasMore:w,ambiguousCharacterCount:d,invisibleCharacterCount:v,nonBasicAsciiCharacterCount:p}}static computeUnicodeHighlightReason(f,i){const a=new u(i);switch(a.shouldHighlightNonBasicASCII(f,null)){case 0:return null;case 2:return{kind:1};case 3:{const l=f.codePointAt(0),S=a.ambiguousCharacters.getPrimaryConfusable(l),L=A.AmbiguousCharacters.getLocales().filter(N=>!A.AmbiguousCharacters.getInstance(new Set([...i.allowedLocales,N])).isAmbiguous(l));return{kind:0,confusableWith:String.fromCodePoint(S),notAmbiguousInLocales:L}}case 1:return{kind:2}}}}r.UnicodeTextModelHighlighter=m;function o(e,f){return`[${A.escapeRegExpCharacters(e.map(a=>String.fromCodePoint(a)).join(""))}]`}class u{constructor(f){this.options=f,this.allowedCodePoints=new Set(f.allowedCodePoints),this.ambiguousCharacters=A.AmbiguousCharacters.getInstance(new Set(f.allowedLocales))}getCandidateCodePoints(){if(this.options.nonBasicASCII)return"allNonBasicAscii";const f=new Set;if(this.options.invisibleCharacters)for(const i of A.InvisibleCharacters.codePoints)b(String.fromCodePoint(i))||f.add(i);if(this.options.ambiguousCharacters)for(const i of this.ambiguousCharacters.getConfusableCodePoints())f.add(i);for(const i of this.allowedCodePoints)f.delete(i);return f}shouldHighlightNonBasicASCII(f,i){const a=f.codePointAt(0);if(this.allowedCodePoints.has(a))return 0;if(this.options.nonBasicASCII)return 1;let h=!1,l=!1;if(i)for(const S of i){const L=S.codePointAt(0),N=A.isBasicASCII(S);h=h||N,!N&&!this.ambiguousCharacters.isAmbiguous(L)&&!A.InvisibleCharacters.isInvisibleCharacter(L)&&(l=!0)}return!h&&l?0:this.options.invisibleCharacters&&!b(f)&&A.InvisibleCharacters.isInvisibleCharacter(a)?2:this.options.ambiguousCharacters&&this.ambiguousCharacters.isAmbiguous(a)?3:0}}function b(e){return e===" "||e===`
`||e==="	"}}),X(Y[66],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.WrappingIndent=r.TrackedRangeStickiness=r.TextEditorCursorStyle=r.TextEditorCursorBlinkingStyle=r.SymbolTag=r.SymbolKind=r.SignatureHelpTriggerKind=r.ShowLightbulbIconMode=r.SelectionDirection=r.ScrollbarVisibility=r.ScrollType=r.RenderMinimap=r.RenderLineNumbersType=r.PositionAffinity=r.PartialAcceptTriggerKind=r.OverviewRulerLane=r.OverlayWidgetPositionPreference=r.NewSymbolNameTriggerKind=r.NewSymbolNameTag=r.MouseTargetType=r.MinimapSectionHeaderStyle=r.MinimapPosition=r.MarkerTag=r.MarkerSeverity=r.KeyCode=r.InlineEditTriggerKind=r.InlineCompletionTriggerKind=r.InlayHintKind=r.InjectedTextCursorStops=r.IndentAction=r.HoverVerbosityAction=r.GlyphMarginLane=r.EndOfLineSequence=r.EndOfLinePreference=r.EditorOption=r.EditorAutoIndentStrategy=r.DocumentHighlightKind=r.DefaultEndOfLine=r.CursorChangeReason=r.ContentWidgetPositionPreference=r.CompletionTriggerKind=r.CompletionItemTag=r.CompletionItemKind=r.CompletionItemInsertTextRule=r.CodeActionTriggerType=r.AccessibilitySupport=void 0;var n;(function(t){t[t.Unknown=0]="Unknown",t[t.Disabled=1]="Disabled",t[t.Enabled=2]="Enabled"})(n||(r.AccessibilitySupport=n={}));var D;(function(t){t[t.Invoke=1]="Invoke",t[t.Auto=2]="Auto"})(D||(r.CodeActionTriggerType=D={}));var A;(function(t){t[t.None=0]="None",t[t.KeepWhitespace=1]="KeepWhitespace",t[t.InsertAsSnippet=4]="InsertAsSnippet"})(A||(r.CompletionItemInsertTextRule=A={}));var g;(function(t){t[t.Method=0]="Method",t[t.Function=1]="Function",t[t.Constructor=2]="Constructor",t[t.Field=3]="Field",t[t.Variable=4]="Variable",t[t.Class=5]="Class",t[t.Struct=6]="Struct",t[t.Interface=7]="Interface",t[t.Module=8]="Module",t[t.Property=9]="Property",t[t.Event=10]="Event",t[t.Operator=11]="Operator",t[t.Unit=12]="Unit",t[t.Value=13]="Value",t[t.Constant=14]="Constant",t[t.Enum=15]="Enum",t[t.EnumMember=16]="EnumMember",t[t.Keyword=17]="Keyword",t[t.Text=18]="Text",t[t.Color=19]="Color",t[t.File=20]="File",t[t.Reference=21]="Reference",t[t.Customcolor=22]="Customcolor",t[t.Folder=23]="Folder",t[t.TypeParameter=24]="TypeParameter",t[t.User=25]="User",t[t.Issue=26]="Issue",t[t.Snippet=27]="Snippet"})(g||(r.CompletionItemKind=g={}));var c;(function(t){t[t.Deprecated=1]="Deprecated"})(c||(r.CompletionItemTag=c={}));var m;(function(t){t[t.Invoke=0]="Invoke",t[t.TriggerCharacter=1]="TriggerCharacter",t[t.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(m||(r.CompletionTriggerKind=m={}));var o;(function(t){t[t.EXACT=0]="EXACT",t[t.ABOVE=1]="ABOVE",t[t.BELOW=2]="BELOW"})(o||(r.ContentWidgetPositionPreference=o={}));var u;(function(t){t[t.NotSet=0]="NotSet",t[t.ContentFlush=1]="ContentFlush",t[t.RecoverFromMarkers=2]="RecoverFromMarkers",t[t.Explicit=3]="Explicit",t[t.Paste=4]="Paste",t[t.Undo=5]="Undo",t[t.Redo=6]="Redo"})(u||(r.CursorChangeReason=u={}));var b;(function(t){t[t.LF=1]="LF",t[t.CRLF=2]="CRLF"})(b||(r.DefaultEndOfLine=b={}));var e;(function(t){t[t.Text=0]="Text",t[t.Read=1]="Read",t[t.Write=2]="Write"})(e||(r.DocumentHighlightKind=e={}));var f;(function(t){t[t.None=0]="None",t[t.Keep=1]="Keep",t[t.Brackets=2]="Brackets",t[t.Advanced=3]="Advanced",t[t.Full=4]="Full"})(f||(r.EditorAutoIndentStrategy=f={}));var i;(function(t){t[t.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",t[t.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",t[t.accessibilitySupport=2]="accessibilitySupport",t[t.accessibilityPageSize=3]="accessibilityPageSize",t[t.ariaLabel=4]="ariaLabel",t[t.ariaRequired=5]="ariaRequired",t[t.autoClosingBrackets=6]="autoClosingBrackets",t[t.autoClosingComments=7]="autoClosingComments",t[t.screenReaderAnnounceInlineSuggestion=8]="screenReaderAnnounceInlineSuggestion",t[t.autoClosingDelete=9]="autoClosingDelete",t[t.autoClosingOvertype=10]="autoClosingOvertype",t[t.autoClosingQuotes=11]="autoClosingQuotes",t[t.autoIndent=12]="autoIndent",t[t.automaticLayout=13]="automaticLayout",t[t.autoSurround=14]="autoSurround",t[t.bracketPairColorization=15]="bracketPairColorization",t[t.guides=16]="guides",t[t.codeLens=17]="codeLens",t[t.codeLensFontFamily=18]="codeLensFontFamily",t[t.codeLensFontSize=19]="codeLensFontSize",t[t.colorDecorators=20]="colorDecorators",t[t.colorDecoratorsLimit=21]="colorDecoratorsLimit",t[t.columnSelection=22]="columnSelection",t[t.comments=23]="comments",t[t.contextmenu=24]="contextmenu",t[t.copyWithSyntaxHighlighting=25]="copyWithSyntaxHighlighting",t[t.cursorBlinking=26]="cursorBlinking",t[t.cursorSmoothCaretAnimation=27]="cursorSmoothCaretAnimation",t[t.cursorStyle=28]="cursorStyle",t[t.cursorSurroundingLines=29]="cursorSurroundingLines",t[t.cursorSurroundingLinesStyle=30]="cursorSurroundingLinesStyle",t[t.cursorWidth=31]="cursorWidth",t[t.disableLayerHinting=32]="disableLayerHinting",t[t.disableMonospaceOptimizations=33]="disableMonospaceOptimizations",t[t.domReadOnly=34]="domReadOnly",t[t.dragAndDrop=35]="dragAndDrop",t[t.dropIntoEditor=36]="dropIntoEditor",t[t.emptySelectionClipboard=37]="emptySelectionClipboard",t[t.experimentalWhitespaceRendering=38]="experimentalWhitespaceRendering",t[t.extraEditorClassName=39]="extraEditorClassName",t[t.fastScrollSensitivity=40]="fastScrollSensitivity",t[t.find=41]="find",t[t.fixedOverflowWidgets=42]="fixedOverflowWidgets",t[t.folding=43]="folding",t[t.foldingStrategy=44]="foldingStrategy",t[t.foldingHighlight=45]="foldingHighlight",t[t.foldingImportsByDefault=46]="foldingImportsByDefault",t[t.foldingMaximumRegions=47]="foldingMaximumRegions",t[t.unfoldOnClickAfterEndOfLine=48]="unfoldOnClickAfterEndOfLine",t[t.fontFamily=49]="fontFamily",t[t.fontInfo=50]="fontInfo",t[t.fontLigatures=51]="fontLigatures",t[t.fontSize=52]="fontSize",t[t.fontWeight=53]="fontWeight",t[t.fontVariations=54]="fontVariations",t[t.formatOnPaste=55]="formatOnPaste",t[t.formatOnType=56]="formatOnType",t[t.glyphMargin=57]="glyphMargin",t[t.gotoLocation=58]="gotoLocation",t[t.hideCursorInOverviewRuler=59]="hideCursorInOverviewRuler",t[t.hover=60]="hover",t[t.inDiffEditor=61]="inDiffEditor",t[t.inlineSuggest=62]="inlineSuggest",t[t.inlineEdit=63]="inlineEdit",t[t.letterSpacing=64]="letterSpacing",t[t.lightbulb=65]="lightbulb",t[t.lineDecorationsWidth=66]="lineDecorationsWidth",t[t.lineHeight=67]="lineHeight",t[t.lineNumbers=68]="lineNumbers",t[t.lineNumbersMinChars=69]="lineNumbersMinChars",t[t.linkedEditing=70]="linkedEditing",t[t.links=71]="links",t[t.matchBrackets=72]="matchBrackets",t[t.minimap=73]="minimap",t[t.mouseStyle=74]="mouseStyle",t[t.mouseWheelScrollSensitivity=75]="mouseWheelScrollSensitivity",t[t.mouseWheelZoom=76]="mouseWheelZoom",t[t.multiCursorMergeOverlapping=77]="multiCursorMergeOverlapping",t[t.multiCursorModifier=78]="multiCursorModifier",t[t.multiCursorPaste=79]="multiCursorPaste",t[t.multiCursorLimit=80]="multiCursorLimit",t[t.occurrencesHighlight=81]="occurrencesHighlight",t[t.overviewRulerBorder=82]="overviewRulerBorder",t[t.overviewRulerLanes=83]="overviewRulerLanes",t[t.padding=84]="padding",t[t.pasteAs=85]="pasteAs",t[t.parameterHints=86]="parameterHints",t[t.peekWidgetDefaultFocus=87]="peekWidgetDefaultFocus",t[t.placeholder=88]="placeholder",t[t.definitionLinkOpensInPeek=89]="definitionLinkOpensInPeek",t[t.quickSuggestions=90]="quickSuggestions",t[t.quickSuggestionsDelay=91]="quickSuggestionsDelay",t[t.readOnly=92]="readOnly",t[t.readOnlyMessage=93]="readOnlyMessage",t[t.renameOnType=94]="renameOnType",t[t.renderControlCharacters=95]="renderControlCharacters",t[t.renderFinalNewline=96]="renderFinalNewline",t[t.renderLineHighlight=97]="renderLineHighlight",t[t.renderLineHighlightOnlyWhenFocus=98]="renderLineHighlightOnlyWhenFocus",t[t.renderValidationDecorations=99]="renderValidationDecorations",t[t.renderWhitespace=100]="renderWhitespace",t[t.revealHorizontalRightPadding=101]="revealHorizontalRightPadding",t[t.roundedSelection=102]="roundedSelection",t[t.rulers=103]="rulers",t[t.scrollbar=104]="scrollbar",t[t.scrollBeyondLastColumn=105]="scrollBeyondLastColumn",t[t.scrollBeyondLastLine=106]="scrollBeyondLastLine",t[t.scrollPredominantAxis=107]="scrollPredominantAxis",t[t.selectionClipboard=108]="selectionClipboard",t[t.selectionHighlight=109]="selectionHighlight",t[t.selectOnLineNumbers=110]="selectOnLineNumbers",t[t.showFoldingControls=111]="showFoldingControls",t[t.showUnused=112]="showUnused",t[t.snippetSuggestions=113]="snippetSuggestions",t[t.smartSelect=114]="smartSelect",t[t.smoothScrolling=115]="smoothScrolling",t[t.stickyScroll=116]="stickyScroll",t[t.stickyTabStops=117]="stickyTabStops",t[t.stopRenderingLineAfter=118]="stopRenderingLineAfter",t[t.suggest=119]="suggest",t[t.suggestFontSize=120]="suggestFontSize",t[t.suggestLineHeight=121]="suggestLineHeight",t[t.suggestOnTriggerCharacters=122]="suggestOnTriggerCharacters",t[t.suggestSelection=123]="suggestSelection",t[t.tabCompletion=124]="tabCompletion",t[t.tabIndex=125]="tabIndex",t[t.unicodeHighlighting=126]="unicodeHighlighting",t[t.unusualLineTerminators=127]="unusualLineTerminators",t[t.useShadowDOM=128]="useShadowDOM",t[t.useTabStops=129]="useTabStops",t[t.wordBreak=130]="wordBreak",t[t.wordSegmenterLocales=131]="wordSegmenterLocales",t[t.wordSeparators=132]="wordSeparators",t[t.wordWrap=133]="wordWrap",t[t.wordWrapBreakAfterCharacters=134]="wordWrapBreakAfterCharacters",t[t.wordWrapBreakBeforeCharacters=135]="wordWrapBreakBeforeCharacters",t[t.wordWrapColumn=136]="wordWrapColumn",t[t.wordWrapOverride1=137]="wordWrapOverride1",t[t.wordWrapOverride2=138]="wordWrapOverride2",t[t.wrappingIndent=139]="wrappingIndent",t[t.wrappingStrategy=140]="wrappingStrategy",t[t.showDeprecated=141]="showDeprecated",t[t.inlayHints=142]="inlayHints",t[t.editorClassName=143]="editorClassName",t[t.pixelRatio=144]="pixelRatio",t[t.tabFocusMode=145]="tabFocusMode",t[t.layoutInfo=146]="layoutInfo",t[t.wrappingInfo=147]="wrappingInfo",t[t.defaultColorDecorators=148]="defaultColorDecorators",t[t.colorDecoratorsActivatedOn=149]="colorDecoratorsActivatedOn",t[t.inlineCompletionsAccessibilityVerbose=150]="inlineCompletionsAccessibilityVerbose"})(i||(r.EditorOption=i={}));var a;(function(t){t[t.TextDefined=0]="TextDefined",t[t.LF=1]="LF",t[t.CRLF=2]="CRLF"})(a||(r.EndOfLinePreference=a={}));var h;(function(t){t[t.LF=0]="LF",t[t.CRLF=1]="CRLF"})(h||(r.EndOfLineSequence=h={}));var l;(function(t){t[t.Left=1]="Left",t[t.Center=2]="Center",t[t.Right=3]="Right"})(l||(r.GlyphMarginLane=l={}));var S;(function(t){t[t.Increase=0]="Increase",t[t.Decrease=1]="Decrease"})(S||(r.HoverVerbosityAction=S={}));var L;(function(t){t[t.None=0]="None",t[t.Indent=1]="Indent",t[t.IndentOutdent=2]="IndentOutdent",t[t.Outdent=3]="Outdent"})(L||(r.IndentAction=L={}));var N;(function(t){t[t.Both=0]="Both",t[t.Right=1]="Right",t[t.Left=2]="Left",t[t.None=3]="None"})(N||(r.InjectedTextCursorStops=N={}));var M;(function(t){t[t.Type=1]="Type",t[t.Parameter=2]="Parameter"})(M||(r.InlayHintKind=M={}));var E;(function(t){t[t.Automatic=0]="Automatic",t[t.Explicit=1]="Explicit"})(E||(r.InlineCompletionTriggerKind=E={}));var w;(function(t){t[t.Invoke=0]="Invoke",t[t.Automatic=1]="Automatic"})(w||(r.InlineEditTriggerKind=w={}));var s;(function(t){t[t.DependsOnKbLayout=-1]="DependsOnKbLayout",t[t.Unknown=0]="Unknown",t[t.Backspace=1]="Backspace",t[t.Tab=2]="Tab",t[t.Enter=3]="Enter",t[t.Shift=4]="Shift",t[t.Ctrl=5]="Ctrl",t[t.Alt=6]="Alt",t[t.PauseBreak=7]="PauseBreak",t[t.CapsLock=8]="CapsLock",t[t.Escape=9]="Escape",t[t.Space=10]="Space",t[t.PageUp=11]="PageUp",t[t.PageDown=12]="PageDown",t[t.End=13]="End",t[t.Home=14]="Home",t[t.LeftArrow=15]="LeftArrow",t[t.UpArrow=16]="UpArrow",t[t.RightArrow=17]="RightArrow",t[t.DownArrow=18]="DownArrow",t[t.Insert=19]="Insert",t[t.Delete=20]="Delete",t[t.Digit0=21]="Digit0",t[t.Digit1=22]="Digit1",t[t.Digit2=23]="Digit2",t[t.Digit3=24]="Digit3",t[t.Digit4=25]="Digit4",t[t.Digit5=26]="Digit5",t[t.Digit6=27]="Digit6",t[t.Digit7=28]="Digit7",t[t.Digit8=29]="Digit8",t[t.Digit9=30]="Digit9",t[t.KeyA=31]="KeyA",t[t.KeyB=32]="KeyB",t[t.KeyC=33]="KeyC",t[t.KeyD=34]="KeyD",t[t.KeyE=35]="KeyE",t[t.KeyF=36]="KeyF",t[t.KeyG=37]="KeyG",t[t.KeyH=38]="KeyH",t[t.KeyI=39]="KeyI",t[t.KeyJ=40]="KeyJ",t[t.KeyK=41]="KeyK",t[t.KeyL=42]="KeyL",t[t.KeyM=43]="KeyM",t[t.KeyN=44]="KeyN",t[t.KeyO=45]="KeyO",t[t.KeyP=46]="KeyP",t[t.KeyQ=47]="KeyQ",t[t.KeyR=48]="KeyR",t[t.KeyS=49]="KeyS",t[t.KeyT=50]="KeyT",t[t.KeyU=51]="KeyU",t[t.KeyV=52]="KeyV",t[t.KeyW=53]="KeyW",t[t.KeyX=54]="KeyX",t[t.KeyY=55]="KeyY",t[t.KeyZ=56]="KeyZ",t[t.Meta=57]="Meta",t[t.ContextMenu=58]="ContextMenu",t[t.F1=59]="F1",t[t.F2=60]="F2",t[t.F3=61]="F3",t[t.F4=62]="F4",t[t.F5=63]="F5",t[t.F6=64]="F6",t[t.F7=65]="F7",t[t.F8=66]="F8",t[t.F9=67]="F9",t[t.F10=68]="F10",t[t.F11=69]="F11",t[t.F12=70]="F12",t[t.F13=71]="F13",t[t.F14=72]="F14",t[t.F15=73]="F15",t[t.F16=74]="F16",t[t.F17=75]="F17",t[t.F18=76]="F18",t[t.F19=77]="F19",t[t.F20=78]="F20",t[t.F21=79]="F21",t[t.F22=80]="F22",t[t.F23=81]="F23",t[t.F24=82]="F24",t[t.NumLock=83]="NumLock",t[t.ScrollLock=84]="ScrollLock",t[t.Semicolon=85]="Semicolon",t[t.Equal=86]="Equal",t[t.Comma=87]="Comma",t[t.Minus=88]="Minus",t[t.Period=89]="Period",t[t.Slash=90]="Slash",t[t.Backquote=91]="Backquote",t[t.BracketLeft=92]="BracketLeft",t[t.Backslash=93]="Backslash",t[t.BracketRight=94]="BracketRight",t[t.Quote=95]="Quote",t[t.OEM_8=96]="OEM_8",t[t.IntlBackslash=97]="IntlBackslash",t[t.Numpad0=98]="Numpad0",t[t.Numpad1=99]="Numpad1",t[t.Numpad2=100]="Numpad2",t[t.Numpad3=101]="Numpad3",t[t.Numpad4=102]="Numpad4",t[t.Numpad5=103]="Numpad5",t[t.Numpad6=104]="Numpad6",t[t.Numpad7=105]="Numpad7",t[t.Numpad8=106]="Numpad8",t[t.Numpad9=107]="Numpad9",t[t.NumpadMultiply=108]="NumpadMultiply",t[t.NumpadAdd=109]="NumpadAdd",t[t.NUMPAD_SEPARATOR=110]="NUMPAD_SEPARATOR",t[t.NumpadSubtract=111]="NumpadSubtract",t[t.NumpadDecimal=112]="NumpadDecimal",t[t.NumpadDivide=113]="NumpadDivide",t[t.KEY_IN_COMPOSITION=114]="KEY_IN_COMPOSITION",t[t.ABNT_C1=115]="ABNT_C1",t[t.ABNT_C2=116]="ABNT_C2",t[t.AudioVolumeMute=117]="AudioVolumeMute",t[t.AudioVolumeUp=118]="AudioVolumeUp",t[t.AudioVolumeDown=119]="AudioVolumeDown",t[t.BrowserSearch=120]="BrowserSearch",t[t.BrowserHome=121]="BrowserHome",t[t.BrowserBack=122]="BrowserBack",t[t.BrowserForward=123]="BrowserForward",t[t.MediaTrackNext=124]="MediaTrackNext",t[t.MediaTrackPrevious=125]="MediaTrackPrevious",t[t.MediaStop=126]="MediaStop",t[t.MediaPlayPause=127]="MediaPlayPause",t[t.LaunchMediaPlayer=128]="LaunchMediaPlayer",t[t.LaunchMail=129]="LaunchMail",t[t.LaunchApp2=130]="LaunchApp2",t[t.Clear=131]="Clear",t[t.MAX_VALUE=132]="MAX_VALUE"})(s||(r.KeyCode=s={}));var d;(function(t){t[t.Hint=1]="Hint",t[t.Info=2]="Info",t[t.Warning=4]="Warning",t[t.Error=8]="Error"})(d||(r.MarkerSeverity=d={}));var v;(function(t){t[t.Unnecessary=1]="Unnecessary",t[t.Deprecated=2]="Deprecated"})(v||(r.MarkerTag=v={}));var p;(function(t){t[t.Inline=1]="Inline",t[t.Gutter=2]="Gutter"})(p||(r.MinimapPosition=p={}));var _;(function(t){t[t.Normal=1]="Normal",t[t.Underlined=2]="Underlined"})(_||(r.MinimapSectionHeaderStyle=_={}));var C;(function(t){t[t.UNKNOWN=0]="UNKNOWN",t[t.TEXTAREA=1]="TEXTAREA",t[t.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",t[t.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",t[t.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",t[t.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",t[t.CONTENT_TEXT=6]="CONTENT_TEXT",t[t.CONTENT_EMPTY=7]="CONTENT_EMPTY",t[t.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",t[t.CONTENT_WIDGET=9]="CONTENT_WIDGET",t[t.OVERVIEW_RULER=10]="OVERVIEW_RULER",t[t.SCROLLBAR=11]="SCROLLBAR",t[t.OVERLAY_WIDGET=12]="OVERLAY_WIDGET",t[t.OUTSIDE_EDITOR=13]="OUTSIDE_EDITOR"})(C||(r.MouseTargetType=C={}));var y;(function(t){t[t.AIGenerated=1]="AIGenerated"})(y||(r.NewSymbolNameTag=y={}));var R;(function(t){t[t.Invoke=0]="Invoke",t[t.Automatic=1]="Automatic"})(R||(r.NewSymbolNameTriggerKind=R={}));var x;(function(t){t[t.TOP_RIGHT_CORNER=0]="TOP_RIGHT_CORNER",t[t.BOTTOM_RIGHT_CORNER=1]="BOTTOM_RIGHT_CORNER",t[t.TOP_CENTER=2]="TOP_CENTER"})(x||(r.OverlayWidgetPositionPreference=x={}));var P;(function(t){t[t.Left=1]="Left",t[t.Center=2]="Center",t[t.Right=4]="Right",t[t.Full=7]="Full"})(P||(r.OverviewRulerLane=P={}));var O;(function(t){t[t.Word=0]="Word",t[t.Line=1]="Line",t[t.Suggest=2]="Suggest"})(O||(r.PartialAcceptTriggerKind=O={}));var q;(function(t){t[t.Left=0]="Left",t[t.Right=1]="Right",t[t.None=2]="None",t[t.LeftOfInjectedText=3]="LeftOfInjectedText",t[t.RightOfInjectedText=4]="RightOfInjectedText"})(q||(r.PositionAffinity=q={}));var V;(function(t){t[t.Off=0]="Off",t[t.On=1]="On",t[t.Relative=2]="Relative",t[t.Interval=3]="Interval",t[t.Custom=4]="Custom"})(V||(r.RenderLineNumbersType=V={}));var $;(function(t){t[t.None=0]="None",t[t.Text=1]="Text",t[t.Blocks=2]="Blocks"})($||(r.RenderMinimap=$={}));var I;(function(t){t[t.Smooth=0]="Smooth",t[t.Immediate=1]="Immediate"})(I||(r.ScrollType=I={}));var F;(function(t){t[t.Auto=1]="Auto",t[t.Hidden=2]="Hidden",t[t.Visible=3]="Visible"})(F||(r.ScrollbarVisibility=F={}));var B;(function(t){t[t.LTR=0]="LTR",t[t.RTL=1]="RTL"})(B||(r.SelectionDirection=B={}));var G;(function(t){t.Off="off",t.OnCode="onCode",t.On="on"})(G||(r.ShowLightbulbIconMode=G={}));var j;(function(t){t[t.Invoke=1]="Invoke",t[t.TriggerCharacter=2]="TriggerCharacter",t[t.ContentChange=3]="ContentChange"})(j||(r.SignatureHelpTriggerKind=j={}));var ee;(function(t){t[t.File=0]="File",t[t.Module=1]="Module",t[t.Namespace=2]="Namespace",t[t.Package=3]="Package",t[t.Class=4]="Class",t[t.Method=5]="Method",t[t.Property=6]="Property",t[t.Field=7]="Field",t[t.Constructor=8]="Constructor",t[t.Enum=9]="Enum",t[t.Interface=10]="Interface",t[t.Function=11]="Function",t[t.Variable=12]="Variable",t[t.Constant=13]="Constant",t[t.String=14]="String",t[t.Number=15]="Number",t[t.Boolean=16]="Boolean",t[t.Array=17]="Array",t[t.Object=18]="Object",t[t.Key=19]="Key",t[t.Null=20]="Null",t[t.EnumMember=21]="EnumMember",t[t.Struct=22]="Struct",t[t.Event=23]="Event",t[t.Operator=24]="Operator",t[t.TypeParameter=25]="TypeParameter"})(ee||(r.SymbolKind=ee={}));var te;(function(t){t[t.Deprecated=1]="Deprecated"})(te||(r.SymbolTag=te={}));var re;(function(t){t[t.Hidden=0]="Hidden",t[t.Blink=1]="Blink",t[t.Smooth=2]="Smooth",t[t.Phase=3]="Phase",t[t.Expand=4]="Expand",t[t.Solid=5]="Solid"})(re||(r.TextEditorCursorBlinkingStyle=re={}));var oe;(function(t){t[t.Line=1]="Line",t[t.Block=2]="Block",t[t.Underline=3]="Underline",t[t.LineThin=4]="LineThin",t[t.BlockOutline=5]="BlockOutline",t[t.UnderlineThin=6]="UnderlineThin"})(oe||(r.TextEditorCursorStyle=oe={}));var ge;(function(t){t[t.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",t[t.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",t[t.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",t[t.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(ge||(r.TrackedRangeStickiness=ge={}));var me;(function(t){t[t.None=0]="None",t[t.Same=1]="Same",t[t.Indent=2]="Indent",t[t.DeepIndent=3]="DeepIndent"})(me||(r.WrappingIndent=me={}))}),X(Y[67],J([0,1,11,15]),function(W,r,n,D){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.TokenizationRegistry=void 0;class A{constructor(){this._tokenizationSupports=new Map,this._factories=new Map,this._onDidChange=new n.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}handleChange(m){this._onDidChange.fire({changedLanguages:m,changedColorMap:!1})}register(m,o){return this._tokenizationSupports.set(m,o),this.handleChange([m]),(0,D.toDisposable)(()=>{this._tokenizationSupports.get(m)===o&&(this._tokenizationSupports.delete(m),this.handleChange([m]))})}get(m){return this._tokenizationSupports.get(m)||null}registerFactory(m,o){this._factories.get(m)?.dispose();const u=new g(this,m,o);return this._factories.set(m,u),(0,D.toDisposable)(()=>{const b=this._factories.get(m);!b||b!==u||(this._factories.delete(m),b.dispose())})}async getOrCreate(m){const o=this.get(m);if(o)return o;const u=this._factories.get(m);return!u||u.isResolved?null:(await u.resolve(),this.get(m))}isResolved(m){if(this.get(m))return!0;const u=this._factories.get(m);return!!(!u||u.isResolved)}setColorMap(m){this._colorMap=m,this._onDidChange.fire({changedLanguages:Array.from(this._tokenizationSupports.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}r.TokenizationRegistry=A;class g extends D.Disposable{get isResolved(){return this._isResolved}constructor(m,o,u){super(),this._registry=m,this._languageId=o,this._factory=u,this._isDisposed=!1,this._resolvePromise=null,this._isResolved=!1}dispose(){this._isDisposed=!0,super.dispose()}async resolve(){return this._resolvePromise||(this._resolvePromise=this._create()),this._resolvePromise}async _create(){const m=await this._factory.tokenizationSupport;this._isResolved=!0,m&&!this._isDisposed&&this._register(this._registry.register(this._languageId,m))}}}),X(Y[68],J([0,1]),function(W,r){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.localize=A,r.localize2=c;const n=globalThis._VSCODE_NLS_LANGUAGE==="pseudo"||typeof document<"u"&&document.location&&document.location.hash.indexOf("pseudo=true")>=0;function D(m,o){let u;return o.length===0?u=m:u=m.replace(/\{(\d+)\}/g,(b,e)=>{const f=e[0],i=o[f];let a=b;return typeof i=="string"?a=i:(typeof i=="number"||typeof i=="boolean"||i===void 0||i===null)&&(a=String(i)),a}),n&&(u="\uFF3B"+u.replace(/[aouei]/g,"$&$&")+"\uFF3D"),u}function A(m,o,...u){return D(typeof m=="number"?g(m,o):o,u)}function g(m,o){const u=globalThis._VSCODE_NLS_MESSAGES?.[m];if(typeof u!="string"){if(typeof o=="string")return o;throw new Error(`!!! NLS MISSING: ${m} !!!`)}return u}function c(m,o,...u){let b;typeof m=="number"?b=g(m,o):b=o;const e=D(b,u);return{value:e,original:o===b?e:D(o,u)}}}),X(Y[69],J([0,1,45,12,2,67,68]),function(W,r,n,D,A,g,c){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.InlineEditTriggerKind=r.TreeSitterTokenizationRegistry=r.TokenizationRegistry=r.LazyTokenizationSupport=r.InlayHintKind=r.Command=r.NewSymbolNameTriggerKind=r.NewSymbolNameTag=r.FoldingRangeKind=r.TextEdit=r.SymbolKinds=r.symbolKindNames=r.DocumentHighlightKind=r.SignatureHelpTriggerKind=r.DocumentPasteTriggerKind=r.SelectedSuggestionInfo=r.InlineCompletionTriggerKind=r.CompletionItemKinds=r.HoverVerbosityAction=r.EncodedTokenizationResult=r.TokenizationResult=r.Token=void 0,r.isLocationLink=S,r.getAriaLabelForSymbol=L;class m{constructor(y,R,x){this.offset=y,this.type=R,this.language=x,this._tokenBrand=void 0}toString(){return"("+this.offset+", "+this.type+")"}}r.Token=m;class o{constructor(y,R){this.tokens=y,this.endState=R,this._tokenizationResultBrand=void 0}}r.TokenizationResult=o;class u{constructor(y,R){this.tokens=y,this.endState=R,this._encodedTokenizationResultBrand=void 0}}r.EncodedTokenizationResult=u;var b;(function(C){C[C.Increase=0]="Increase",C[C.Decrease=1]="Decrease"})(b||(r.HoverVerbosityAction=b={}));var e;(function(C){const y=new Map;y.set(0,n.Codicon.symbolMethod),y.set(1,n.Codicon.symbolFunction),y.set(2,n.Codicon.symbolConstructor),y.set(3,n.Codicon.symbolField),y.set(4,n.Codicon.symbolVariable),y.set(5,n.Codicon.symbolClass),y.set(6,n.Codicon.symbolStruct),y.set(7,n.Codicon.symbolInterface),y.set(8,n.Codicon.symbolModule),y.set(9,n.Codicon.symbolProperty),y.set(10,n.Codicon.symbolEvent),y.set(11,n.Codicon.symbolOperator),y.set(12,n.Codicon.symbolUnit),y.set(13,n.Codicon.symbolValue),y.set(15,n.Codicon.symbolEnum),y.set(14,n.Codicon.symbolConstant),y.set(15,n.Codicon.symbolEnum),y.set(16,n.Codicon.symbolEnumMember),y.set(17,n.Codicon.symbolKeyword),y.set(27,n.Codicon.symbolSnippet),y.set(18,n.Codicon.symbolText),y.set(19,n.Codicon.symbolColor),y.set(20,n.Codicon.symbolFile),y.set(21,n.Codicon.symbolReference),y.set(22,n.Codicon.symbolCustomColor),y.set(23,n.Codicon.symbolFolder),y.set(24,n.Codicon.symbolTypeParameter),y.set(25,n.Codicon.account),y.set(26,n.Codicon.issues);function R(O){let q=y.get(O);return q||(console.info("No codicon found for CompletionItemKind "+O),q=n.Codicon.symbolProperty),q}C.toIcon=R;const x=new Map;x.set("method",0),x.set("function",1),x.set("constructor",2),x.set("field",3),x.set("variable",4),x.set("class",5),x.set("struct",6),x.set("interface",7),x.set("module",8),x.set("property",9),x.set("event",10),x.set("operator",11),x.set("unit",12),x.set("value",13),x.set("constant",14),x.set("enum",15),x.set("enum-member",16),x.set("enumMember",16),x.set("keyword",17),x.set("snippet",27),x.set("text",18),x.set("color",19),x.set("file",20),x.set("reference",21),x.set("customcolor",22),x.set("folder",23),x.set("type-parameter",24),x.set("typeParameter",24),x.set("account",25),x.set("issue",26);function P(O,q){let V=x.get(O);return typeof V>"u"&&!q&&(V=9),V}C.fromString=P})(e||(r.CompletionItemKinds=e={}));var f;(function(C){C[C.Automatic=0]="Automatic",C[C.Explicit=1]="Explicit"})(f||(r.InlineCompletionTriggerKind=f={}));class i{constructor(y,R,x,P){this.range=y,this.text=R,this.completionKind=x,this.isSnippetText=P}equals(y){return A.Range.lift(this.range).equalsRange(y.range)&&this.text===y.text&&this.completionKind===y.completionKind&&this.isSnippetText===y.isSnippetText}}r.SelectedSuggestionInfo=i;var a;(function(C){C[C.Automatic=0]="Automatic",C[C.PasteAs=1]="PasteAs"})(a||(r.DocumentPasteTriggerKind=a={}));var h;(function(C){C[C.Invoke=1]="Invoke",C[C.TriggerCharacter=2]="TriggerCharacter",C[C.ContentChange=3]="ContentChange"})(h||(r.SignatureHelpTriggerKind=h={}));var l;(function(C){C[C.Text=0]="Text",C[C.Read=1]="Read",C[C.Write=2]="Write"})(l||(r.DocumentHighlightKind=l={}));function S(C){return C&&D.URI.isUri(C.uri)&&A.Range.isIRange(C.range)&&(A.Range.isIRange(C.originSelectionRange)||A.Range.isIRange(C.targetSelectionRange))}r.symbolKindNames={17:(0,c.localize)(669,"array"),16:(0,c.localize)(670,"boolean"),4:(0,c.localize)(671,"class"),13:(0,c.localize)(672,"constant"),8:(0,c.localize)(673,"constructor"),9:(0,c.localize)(674,"enumeration"),21:(0,c.localize)(675,"enumeration member"),23:(0,c.localize)(676,"event"),7:(0,c.localize)(677,"field"),0:(0,c.localize)(678,"file"),11:(0,c.localize)(679,"function"),10:(0,c.localize)(680,"interface"),19:(0,c.localize)(681,"key"),5:(0,c.localize)(682,"method"),1:(0,c.localize)(683,"module"),2:(0,c.localize)(684,"namespace"),20:(0,c.localize)(685,"null"),15:(0,c.localize)(686,"number"),18:(0,c.localize)(687,"object"),24:(0,c.localize)(688,"operator"),3:(0,c.localize)(689,"package"),6:(0,c.localize)(690,"property"),14:(0,c.localize)(691,"string"),22:(0,c.localize)(692,"struct"),25:(0,c.localize)(693,"type parameter"),12:(0,c.localize)(694,"variable")};function L(C,y){return(0,c.localize)(695,"{0} ({1})",C,r.symbolKindNames[y])}var N;(function(C){const y=new Map;y.set(0,n.Codicon.symbolFile),y.set(1,n.Codicon.symbolModule),y.set(2,n.Codicon.symbolNamespace),y.set(3,n.Codicon.symbolPackage),y.set(4,n.Codicon.symbolClass),y.set(5,n.Codicon.symbolMethod),y.set(6,n.Codicon.symbolProperty),y.set(7,n.Codicon.symbolField),y.set(8,n.Codicon.symbolConstructor),y.set(9,n.Codicon.symbolEnum),y.set(10,n.Codicon.symbolInterface),y.set(11,n.Codicon.symbolFunction),y.set(12,n.Codicon.symbolVariable),y.set(13,n.Codicon.symbolConstant),y.set(14,n.Codicon.symbolString),y.set(15,n.Codicon.symbolNumber),y.set(16,n.Codicon.symbolBoolean),y.set(17,n.Codicon.symbolArray),y.set(18,n.Codicon.symbolObject),y.set(19,n.Codicon.symbolKey),y.set(20,n.Codicon.symbolNull),y.set(21,n.Codicon.symbolEnumMember),y.set(22,n.Codicon.symbolStruct),y.set(23,n.Codicon.symbolEvent),y.set(24,n.Codicon.symbolOperator),y.set(25,n.Codicon.symbolTypeParameter);function R(x){let P=y.get(x);return P||(console.info("No codicon found for SymbolKind "+x),P=n.Codicon.symbolProperty),P}C.toIcon=R})(N||(r.SymbolKinds=N={}));class M{}r.TextEdit=M;class E{static{this.Comment=new E("comment")}static{this.Imports=new E("imports")}static{this.Region=new E("region")}static fromValue(y){switch(y){case"comment":return E.Comment;case"imports":return E.Imports;case"region":return E.Region}return new E(y)}constructor(y){this.value=y}}r.FoldingRangeKind=E;var w;(function(C){C[C.AIGenerated=1]="AIGenerated"})(w||(r.NewSymbolNameTag=w={}));var s;(function(C){C[C.Invoke=0]="Invoke",C[C.Automatic=1]="Automatic"})(s||(r.NewSymbolNameTriggerKind=s={}));var d;(function(C){function y(R){return!R||typeof R!="object"?!1:typeof R.id=="string"&&typeof R.title=="string"}C.is=y})(d||(r.Command=d={}));var v;(function(C){C[C.Type=1]="Type",C[C.Parameter=2]="Parameter"})(v||(r.InlayHintKind=v={}));class p{constructor(y){this.createSupport=y,this._tokenizationSupport=null}dispose(){this._tokenizationSupport&&this._tokenizationSupport.then(y=>{y&&y.dispose()})}get tokenizationSupport(){return this._tokenizationSupport||(this._tokenizationSupport=this.createSupport()),this._tokenizationSupport}}r.LazyTokenizationSupport=p,r.TokenizationRegistry=new g.TokenizationRegistry,r.TreeSitterTokenizationRegistry=new g.TokenizationRegistry;var _;(function(C){C[C.Invoke=0]="Invoke",C[C.Automatic=1]="Automatic"})(_||(r.InlineEditTriggerKind=_={}))}),X(Y[70],J([0,1,42,11,39,12,3,2,46,69,66]),function(W,r,n,D,A,g,c,m,o,u,b){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.KeyMod=void 0,r.createMonacoBaseAPI=f;class e{static{this.CtrlCmd=2048}static{this.Shift=1024}static{this.Alt=512}static{this.WinCtrl=256}static chord(a,h){return(0,A.KeyChord)(a,h)}}r.KeyMod=e;function f(){return{editor:void 0,languages:void 0,CancellationTokenSource:n.CancellationTokenSource,Emitter:D.Emitter,KeyCode:b.KeyCode,KeyMod:e,Position:c.Position,Range:m.Range,Selection:o.Selection,SelectionDirection:b.SelectionDirection,MarkerSeverity:b.MarkerSeverity,MarkerTag:b.MarkerTag,Uri:g.URI,Token:u.Token}}}),X(Y[72],J([0,1,25,12,3,2,62,32,58,59,70,24,65,56,16,29,57,64]),function(W,r,n,D,A,g,c,m,o,u,b,e,f,i,a,h,l,S){"use strict";Object.defineProperty(r,"__esModule",{value:!0}),r.EditorSimpleWorker=void 0,r.create=E;const L=!1;class N extends c.MirrorTextModel{get uri(){return this._uri}get eol(){return this._eol}getValue(){return this.getText()}findMatches(s){const d=[];for(let v=0;v<this._lines.length;v++){const p=this._lines[v],_=this.offsetAt(new A.Position(v+1,1)),C=p.matchAll(s);for(const y of C)(y.index||y.index===0)&&(y.index=y.index+_),d.push(y)}return d}getLinesContent(){return this._lines.slice(0)}getLineCount(){return this._lines.length}getLineContent(s){return this._lines[s-1]}getWordAtPosition(s,d){const v=(0,m.getWordAtText)(s.column,(0,m.ensureValidWordDefinition)(d),this._lines[s.lineNumber-1],0);return v?new g.Range(s.lineNumber,v.startColumn,s.lineNumber,v.endColumn):null}words(s){const d=this._lines,v=this._wordenize.bind(this);let p=0,_="",C=0,y=[];return{*[Symbol.iterator](){for(;;)if(C<y.length){const R=_.substring(y[C].start,y[C].end);C+=1,yield R}else if(p<d.length)_=d[p],y=v(_,s),C=0,p+=1;else break}}}getLineWords(s,d){const v=this._lines[s-1],p=this._wordenize(v,d),_=[];for(const C of p)_.push({word:v.substring(C.start,C.end),startColumn:C.start+1,endColumn:C.end+1});return _}_wordenize(s,d){const v=[];let p;for(d.lastIndex=0;(p=d.exec(s))&&p[0].length!==0;)v.push({start:p.index,end:p.index+p[0].length});return v}getValueInRange(s){if(s=this._validateRange(s),s.startLineNumber===s.endLineNumber)return this._lines[s.startLineNumber-1].substring(s.startColumn-1,s.endColumn-1);const d=this._eol,v=s.startLineNumber-1,p=s.endLineNumber-1,_=[];_.push(this._lines[v].substring(s.startColumn-1));for(let C=v+1;C<p;C++)_.push(this._lines[C]);return _.push(this._lines[p].substring(0,s.endColumn-1)),_.join(d)}offsetAt(s){return s=this._validatePosition(s),this._ensureLineStarts(),this._lineStarts.getPrefixSum(s.lineNumber-2)+(s.column-1)}positionAt(s){s=Math.floor(s),s=Math.max(0,s),this._ensureLineStarts();const d=this._lineStarts.getIndexOf(s),v=this._lines[d.index].length;return{lineNumber:1+d.index,column:1+Math.min(d.remainder,v)}}_validateRange(s){const d=this._validatePosition({lineNumber:s.startLineNumber,column:s.startColumn}),v=this._validatePosition({lineNumber:s.endLineNumber,column:s.endColumn});return d.lineNumber!==s.startLineNumber||d.column!==s.startColumn||v.lineNumber!==s.endLineNumber||v.column!==s.endColumn?{startLineNumber:d.lineNumber,startColumn:d.column,endLineNumber:v.lineNumber,endColumn:v.column}:s}_validatePosition(s){if(!A.Position.isIPosition(s))throw new Error("bad position");let{lineNumber:d,column:v}=s,p=!1;if(d<1)d=1,v=1,p=!0;else if(d>this._lines.length)d=this._lines.length,v=this._lines[d-1].length+1,p=!0;else{const _=this._lines[d-1].length+1;v<1?(v=1,p=!0):v>_&&(v=_,p=!0)}return p?{lineNumber:d,column:v}:s}}class M{constructor(s,d){this._host=s,this._models=Object.create(null),this._foreignModuleFactory=d,this._foreignModule=null}dispose(){this._models=Object.create(null)}_getModel(s){return this._models[s]}_getModels(){const s=[];return Object.keys(this._models).forEach(d=>s.push(this._models[d])),s}acceptNewModel(s){this._models[s.url]=new N(D.URI.parse(s.url),s.lines,s.EOL,s.versionId)}acceptModelChanged(s,d){if(!this._models[s])return;this._models[s].onEvents(d)}acceptRemovedModel(s){this._models[s]&&delete this._models[s]}async computeUnicodeHighlights(s,d,v){const p=this._getModel(s);return p?f.UnicodeTextModelHighlighter.computeUnicodeHighlights(p,d,v):{ranges:[],hasMore:!1,ambiguousCharacterCount:0,invisibleCharacterCount:0,nonBasicAsciiCharacterCount:0}}async findSectionHeaders(s,d){const v=this._getModel(s);return v?(0,S.findSectionHeaders)(v,d):[]}async computeDiff(s,d,v,p){const _=this._getModel(s),C=this._getModel(d);return!_||!C?null:M.computeDiff(_,C,v,p)}static computeDiff(s,d,v,p){const _=p==="advanced"?i.linesDiffComputers.getDefault():i.linesDiffComputers.getLegacy(),C=s.getLinesContent(),y=d.getLinesContent(),R=_.computeDiff(C,y,v),x=R.changes.length>0?!1:this._modelsAreIdentical(s,d);function P(O){return O.map(q=>[q.original.startLineNumber,q.original.endLineNumberExclusive,q.modified.startLineNumber,q.modified.endLineNumberExclusive,q.innerChanges?.map(V=>[V.originalRange.startLineNumber,V.originalRange.startColumn,V.originalRange.endLineNumber,V.originalRange.endColumn,V.modifiedRange.startLineNumber,V.modifiedRange.startColumn,V.modifiedRange.endLineNumber,V.modifiedRange.endColumn])])}return{identical:x,quitEarly:R.hitTimeout,changes:P(R.changes),moves:R.moves.map(O=>[O.lineRangeMapping.original.startLineNumber,O.lineRangeMapping.original.endLineNumberExclusive,O.lineRangeMapping.modified.startLineNumber,O.lineRangeMapping.modified.endLineNumberExclusive,P(O.changes)])}}static _modelsAreIdentical(s,d){const v=s.getLineCount(),p=d.getLineCount();if(v!==p)return!1;for(let _=1;_<=v;_++){const C=s.getLineContent(_),y=d.getLineContent(_);if(C!==y)return!1}return!0}static{this._diffLimit=1e5}async computeMoreMinimalEdits(s,d,v){const p=this._getModel(s);if(!p)return d;const _=[];let C;d=d.slice(0).sort((R,x)=>{if(R.range&&x.range)return g.Range.compareRangesUsingStarts(R.range,x.range);const P=R.range?0:1,O=x.range?0:1;return P-O});let y=0;for(let R=1;R<d.length;R++)g.Range.getEndPosition(d[y].range).equals(g.Range.getStartPosition(d[R].range))?(d[y].range=g.Range.fromPositions(g.Range.getStartPosition(d[y].range),g.Range.getEndPosition(d[R].range)),d[y].text+=d[R].text):(y++,d[y]=d[R]);d.length=y+1;for(let{range:R,text:x,eol:P}of d){if(typeof P=="number"&&(C=P),g.Range.isEmpty(R)&&!x)continue;const O=p.getValueInRange(R);if(x=x.replace(/\r\n|\n|\r/g,p.eol),O===x)continue;if(Math.max(x.length,O.length)>M._diffLimit){_.push({range:R,text:x});continue}const q=(0,n.stringDiff)(O,x,v),V=p.offsetAt(g.Range.lift(R).getStartPosition());for(const $ of q){const I=p.positionAt(V+$.originalStart),F=p.positionAt(V+$.originalStart+$.originalLength),B={text:x.substr($.modifiedStart,$.modifiedLength),range:{startLineNumber:I.lineNumber,startColumn:I.column,endLineNumber:F.lineNumber,endColumn:F.column}};p.getValueInRange(B.range)!==B.text&&_.push(B)}}return typeof C=="number"&&_.push({eol:C,text:"",range:{startLineNumber:0,startColumn:0,endLineNumber:0,endColumn:0}}),_}async computeLinks(s){const d=this._getModel(s);return d?(0,o.computeLinks)(d):null}async computeDefaultDocumentColors(s){const d=this._getModel(s);return d?(0,l.computeDefaultDocumentColors)(d):null}static{this._suggestionsLimit=1e4}async textualSuggest(s,d,v,p){const _=new e.StopWatch,C=new RegExp(v,p),y=new Set;e:for(const R of s){const x=this._getModel(R);if(x){for(const P of x.words(C))if(!(P===d||!isNaN(Number(P)))&&(y.add(P),y.size>M._suggestionsLimit))break e}}return{words:Array.from(y),duration:_.elapsed()}}async computeWordRanges(s,d,v,p){const _=this._getModel(s);if(!_)return Object.create(null);const C=new RegExp(v,p),y=Object.create(null);for(let R=d.startLineNumber;R<d.endLineNumber;R++){const x=_.getLineWords(R,C);for(const P of x){if(!isNaN(Number(P.word)))continue;let O=y[P.word];O||(O=[],y[P.word]=O),O.push({startLineNumber:R,startColumn:P.startColumn,endLineNumber:R,endColumn:P.endColumn})}}return y}async navigateValueSet(s,d,v,p,_){const C=this._getModel(s);if(!C)return null;const y=new RegExp(p,_);d.startColumn===d.endColumn&&(d={startLineNumber:d.startLineNumber,startColumn:d.startColumn,endLineNumber:d.endLineNumber,endColumn:d.endColumn+1});const R=C.getValueInRange(d),x=C.getWordAtPosition({lineNumber:d.startLineNumber,column:d.startColumn},y);if(!x)return null;const P=C.getValueInRange(x);return u.BasicInplaceReplace.INSTANCE.navigateValueSet(d,R,x,P,v)}loadForeignModule(s,d,v){const p=(y,R)=>this._host.fhr(y,R),C={host:(0,a.createProxyObject)(v,p),getMirrorModels:()=>this._getModels()};return this._foreignModuleFactory?(this._foreignModule=this._foreignModuleFactory(C,d),Promise.resolve((0,a.getAllMethodNames)(this._foreignModule))):new Promise((y,R)=>{const x=P=>{this._foreignModule=P.create(C,d),y((0,a.getAllMethodNames)(this._foreignModule))};if(!L)W([`${s}`],x,R);else{const P=h.FileAccess.asBrowserUri(`${s}.js`).toString(!0);new Promise((O,q)=>{W([`${P}`],O,q)}).then(x).catch(R)}})}fmr(s,d){if(!this._foreignModule||typeof this._foreignModule[s]!="function")return Promise.reject(new Error("Missing requestHandler or method: "+s));try{return Promise.resolve(this._foreignModule[s].apply(this._foreignModule,d))}catch(v){return Promise.reject(v)}}}r.EditorSimpleWorker=M;function E(w){return new M(w,null)}typeof importScripts=="function"&&(globalThis.monaco=(0,b.createMonacoBaseAPI)())})}).call(this);

//# sourceMappingURL=../../../../min-maps/vs/base/worker/workerMain.js.map